package get

import (
	"github.com/k0kubun/pp/v3"
	"github.com/spf13/cobra"

	"gitea.libretechconsulting.com/50W/eia-api-go/cmd/eia-client/internal/util"
)

var GetFacetsCmd = &cobra.Command{
	Use:               "facet route facet",
	Args:              cobra.ExactArgs(2),
	Short:             "Describe facet for given API route",
	ValidArgsFunction: util.CompleteRouteOrFacet,
	Run:               RunGetFacetCmd,
}

func RunGetFacetCmd(cmd *cobra.Command, args []string) {
	logger := util.Logger(cmd)

	facet, err := util.GetFacet(cmd, args[0], args[1])
	if err != nil {
		logger.Fatal().Err(err).Send()
	}

	pp.Println(facet)
}
