package list

import (
	"github.com/k0kubun/pp/v3"
	"github.com/spf13/cobra"

	"gitea.libretechconsulting.com/50W/eia-api-go/cmd/eia-client/internal/util"
)

var listFacetsCmd = &cobra.Command{
	Use:               "facets route",
	Args:              cobra.ExactArgs(1),
	Short:             "List facets for given API route",
	ValidArgsFunction: util.CompleteRouteOrFacet,
	Run:               RunListFacetsCmd,
}

func RunListFacetsCmd(cmd *cobra.Command, args []string) {
	logger := util.Logger(cmd)

	resp, err := util.GetFacets(cmd, args[0])
	if err != nil {
		logger.Fatal().
			Err(err).Str("route", args[0]).Msg("failed to fetch facets")
	}

	pp.Print(resp)
}
