// Package eiaapi provides primitives to interact with the openapi HTTP API.
//
// Code generated by github.com/oapi-codegen/oapi-codegen/v2 version v2.4.1 DO NOT EDIT.
package eiaapi

import (
	"bytes"
	"context"
	"encoding/json"
	"fmt"
	"io"
	"net/http"
	"net/url"
	"strings"

	"github.com/oapi-codegen/runtime"
)

const (
	Api_keyScopes = "api_key.Scopes"
)

// DataParams defines model for DataParams.
type DataParams struct {
	Data      *[]string               `json:"data,omitempty"`
	End       *string                 `json:"end,omitempty"`
	Facets    *map[string]interface{} `json:"facets,omitempty"`
	Frequency *string                 `json:"frequency,omitempty"`
	Length    *int                    `json:"length,omitempty"`
	Offset    *int                    `json:"offset,omitempty"`
	Sort      *[]Sort                 `json:"sort,omitempty"`
	Start     *string                 `json:"start,omitempty"`
}

// DataResponse defines model for DataResponse.
type DataResponse struct {
	Data        *interface{} `json:"data,omitempty"`
	DateFormat  *string      `json:"dateFormat,omitempty"`
	Description *string      `json:"description,omitempty"`
	Frequency   *string      `json:"frequency,omitempty"`
	Total       *string      `json:"total,omitempty"`
}

// DataResponseContainer defines model for DataResponseContainer.
type DataResponseContainer struct {
	ApiVersion *string       `json:"apiVersion,omitempty"`
	Request    *RouteRequest `json:"request,omitempty"`
	Response   *DataResponse `json:"response,omitempty"`
}

// Facet defines model for Facet.
type Facet struct {
	Alias *string `json:"alias,omitempty"`
	Id    *string `json:"id,omitempty"`
	Name  *string `json:"name,omitempty"`
}

// FacetDetails defines model for FacetDetails.
type FacetDetails struct {
	Facets      *[]Facet `json:"facets,omitempty"`
	TotalFacets *int     `json:"totalFacets,omitempty"`
}

// FacetDetailsContainer defines model for FacetDetailsContainer.
type FacetDetailsContainer struct {
	ApiVersion *string       `json:"apiVersion,omitempty"`
	Request    *RouteRequest `json:"request,omitempty"`
	Response   *FacetDetails `json:"response,omitempty"`
}

// FacetMetaData defines model for FacetMetaData.
type FacetMetaData struct {
	Description *string `json:"description,omitempty"`
	Id          *string `json:"id,omitempty"`
}

// FacetOptionList defines model for FacetOptionList.
type FacetOptionList struct {
	FacetOptions      *[]string `json:"facetOptions,omitempty"`
	TotalFacetOptions *int      `json:"totalFacetOptions,omitempty"`
}

// FacetOptionListContainer defines model for FacetOptionListContainer.
type FacetOptionListContainer struct {
	ApiVersion *string          `json:"apiVersion,omitempty"`
	Request    *RouteRequest    `json:"request,omitempty"`
	Response   *FacetOptionList `json:"response,omitempty"`
}

// FinalRoute defines model for FinalRoute.
type FinalRoute struct {
	Data              *interface{}       `json:"data,omitempty"`
	DefaultDateFormat *string            `json:"defaultDateFormat,omitempty"`
	DefaultFrequency  *string            `json:"defaultFrequency,omitempty"`
	Description       *string            `json:"description,omitempty"`
	EndPeriod         *string            `json:"endPeriod,omitempty"`
	Facets            *[]FacetMetaData   `json:"facets,omitempty"`
	Frequency         *[]FrequencyObject `json:"frequency,omitempty"`
	Id                *string            `json:"id,omitempty"`
	Name              *string            `json:"name,omitempty"`
	StartPeriod       *string            `json:"startPeriod,omitempty"`
}

// FinalRouteResponse defines model for FinalRouteResponse.
type FinalRouteResponse struct {
	Request  *RouteRequest `json:"request,omitempty"`
	Response *FinalRoute   `json:"response,omitempty"`
}

// FinalRouteResponseContainer defines model for FinalRouteResponseContainer.
type FinalRouteResponseContainer struct {
	ApiVersion *string             `json:"apiVersion,omitempty"`
	Request    *RouteRequest       `json:"request,omitempty"`
	Response   *FinalRouteResponse `json:"response,omitempty"`
}

// FrequencyObject defines model for Frequency.
type FrequencyObject struct {
	Description *string `json:"description,omitempty"`
	Format      *string `json:"format,omitempty"`
	Id          *string `json:"id,omitempty"`
	Query       *string `json:"query,omitempty"`
}

// RouteRequest defines model for RouteRequest.
type RouteRequest struct {
	Command *string      `json:"command,omitempty"`
	Params  *interface{} `json:"params,omitempty"`
}

// RouteResponse defines model for RouteResponse.
type RouteResponse struct {
	Request  *RouteRequest `json:"request,omitempty"`
	Response *Routes       `json:"response,omitempty"`
}

// RouteResponseContainer defines model for RouteResponseContainer.
type RouteResponseContainer struct {
	ApiVersion *string        `json:"apiVersion,omitempty"`
	Request    *RouteRequest  `json:"request,omitempty"`
	Response   *RouteResponse `json:"response,omitempty"`
}

// Routes defines model for Routes.
type Routes struct {
	Description *string   `json:"description,omitempty"`
	Id          *string   `json:"id,omitempty"`
	Name        *string   `json:"name,omitempty"`
	Routes      *[]string `json:"routes,omitempty"`
}

// Sort defines model for Sort.
type Sort struct {
	Column    *string `json:"column,omitempty"`
	Direction *string `json:"direction,omitempty"`
}

// Data defines model for data.
type Data = []string

// End defines model for end.
type End = string

// FacetId defines model for facetId.
type FacetId = string

// Facets defines model for facets.
type Facets = map[string]interface{}

// Frequency defines model for frequency.
type Frequency = string

// Length defines model for length.
type Length = int

// Offset defines model for offset.
type Offset = int

// Route1 defines model for route1.
type Route1 = string

// Route2 defines model for route2.
type Route2 = string

// Start defines model for start.
type Start = string

// GetV2AeoRoute1DataParams defines parameters for GetV2AeoRoute1Data.
type GetV2AeoRoute1DataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2Co2EmissionsCo2EmissionsAggregatesDataParams defines parameters for GetV2Co2EmissionsCo2EmissionsAggregatesData.
type GetV2Co2EmissionsCo2EmissionsAggregatesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams defines parameters for GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData.
type GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalAggregateProductionDataParams defines parameters for GetV2CoalAggregateProductionData.
type GetV2CoalAggregateProductionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalConsumptionAndQualityDataParams defines parameters for GetV2CoalConsumptionAndQualityData.
type GetV2CoalConsumptionAndQualityDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalExportsImportsQuantityPriceDataParams defines parameters for GetV2CoalExportsImportsQuantityPriceData.
type GetV2CoalExportsImportsQuantityPriceDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalMarketSalesPriceDataParams defines parameters for GetV2CoalMarketSalesPriceData.
type GetV2CoalMarketSalesPriceDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalMineProductionDataParams defines parameters for GetV2CoalMineProductionData.
type GetV2CoalMineProductionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalPriceByRankDataParams defines parameters for GetV2CoalPriceByRankData.
type GetV2CoalPriceByRankDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalReservesCapacityDataParams defines parameters for GetV2CoalReservesCapacityData.
type GetV2CoalReservesCapacityDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalShipmentsByMineByPlantDataParams defines parameters for GetV2CoalShipmentsByMineByPlantData.
type GetV2CoalShipmentsByMineByPlantDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalShipmentsMineAggregatesDataParams defines parameters for GetV2CoalShipmentsMineAggregatesData.
type GetV2CoalShipmentsMineAggregatesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalShipmentsMineStateAggregatesDataParams defines parameters for GetV2CoalShipmentsMineStateAggregatesData.
type GetV2CoalShipmentsMineStateAggregatesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalShipmentsPlantAggregatesDataParams defines parameters for GetV2CoalShipmentsPlantAggregatesData.
type GetV2CoalShipmentsPlantAggregatesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalShipmentsPlantStateAggregatesDataParams defines parameters for GetV2CoalShipmentsPlantStateAggregatesData.
type GetV2CoalShipmentsPlantStateAggregatesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CoalShipmentsReceiptsDataParams defines parameters for GetV2CoalShipmentsReceiptsData.
type GetV2CoalShipmentsReceiptsDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2CrudeOilImportsDataParams defines parameters for GetV2CrudeOilImportsData.
type GetV2CrudeOilImportsDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassCapacityByRegionDataParams defines parameters for GetV2DensifiedBiomassCapacityByRegionData.
type GetV2DensifiedBiomassCapacityByRegionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassCharacteristicsByRegionDataParams defines parameters for GetV2DensifiedBiomassCharacteristicsByRegionData.
type GetV2DensifiedBiomassCharacteristicsByRegionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassExportSalesAndPriceDataParams defines parameters for GetV2DensifiedBiomassExportSalesAndPriceData.
type GetV2DensifiedBiomassExportSalesAndPriceDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassFeedstocksAndCostDataParams defines parameters for GetV2DensifiedBiomassFeedstocksAndCostData.
type GetV2DensifiedBiomassFeedstocksAndCostDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassInventoriesByRegionDataParams defines parameters for GetV2DensifiedBiomassInventoriesByRegionData.
type GetV2DensifiedBiomassInventoriesByRegionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassProductionByRegionDataParams defines parameters for GetV2DensifiedBiomassProductionByRegionData.
type GetV2DensifiedBiomassProductionByRegionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassSalesAndPriceByRegionDataParams defines parameters for GetV2DensifiedBiomassSalesAndPriceByRegionData.
type GetV2DensifiedBiomassSalesAndPriceByRegionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2DensifiedBiomassWoodPelletPlantsDataParams defines parameters for GetV2DensifiedBiomassWoodPelletPlantsData.
type GetV2DensifiedBiomassWoodPelletPlantsDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityElectricPowerOperationalDataDataParams defines parameters for GetV2ElectricityElectricPowerOperationalDataData.
type GetV2ElectricityElectricPowerOperationalDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityFacilityFuelDataParams defines parameters for GetV2ElectricityFacilityFuelData.
type GetV2ElectricityFacilityFuelDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityOperatingGeneratorCapacityDataParams defines parameters for GetV2ElectricityOperatingGeneratorCapacityData.
type GetV2ElectricityOperatingGeneratorCapacityDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRetailSalesDataParams defines parameters for GetV2ElectricityRetailSalesData.
type GetV2ElectricityRetailSalesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoDailyFuelTypeDataDataParams defines parameters for GetV2ElectricityRtoDailyFuelTypeDataData.
type GetV2ElectricityRtoDailyFuelTypeDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoDailyInterchangeDataDataParams defines parameters for GetV2ElectricityRtoDailyInterchangeDataData.
type GetV2ElectricityRtoDailyInterchangeDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoDailyRegionDataDataParams defines parameters for GetV2ElectricityRtoDailyRegionDataData.
type GetV2ElectricityRtoDailyRegionDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoDailyRegionSubBaDataDataParams defines parameters for GetV2ElectricityRtoDailyRegionSubBaDataData.
type GetV2ElectricityRtoDailyRegionSubBaDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoFuelTypeDataDataParams defines parameters for GetV2ElectricityRtoFuelTypeDataData.
type GetV2ElectricityRtoFuelTypeDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoInterchangeDataDataParams defines parameters for GetV2ElectricityRtoInterchangeDataData.
type GetV2ElectricityRtoInterchangeDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoRegionDataDataParams defines parameters for GetV2ElectricityRtoRegionDataData.
type GetV2ElectricityRtoRegionDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityRtoRegionSubBaDataDataParams defines parameters for GetV2ElectricityRtoRegionSubBaDataData.
type GetV2ElectricityRtoRegionSubBaDataDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesCapabilityDataParams defines parameters for GetV2ElectricityStateElectricityProfilesCapabilityData.
type GetV2ElectricityStateElectricityProfilesCapabilityDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams defines parameters for GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData.
type GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams defines parameters for GetV2ElectricityStateElectricityProfilesEnergyEfficiencyData.
type GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesMetersDataParams defines parameters for GetV2ElectricityStateElectricityProfilesMetersData.
type GetV2ElectricityStateElectricityProfilesMetersDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesNetMeteringDataParams defines parameters for GetV2ElectricityStateElectricityProfilesNetMeteringData.
type GetV2ElectricityStateElectricityProfilesNetMeteringDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams defines parameters for GetV2ElectricityStateElectricityProfilesSourceDispositionData.
type GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2ElectricityStateElectricityProfilesSummaryDataParams defines parameters for GetV2ElectricityStateElectricityProfilesSummaryData.
type GetV2ElectricityStateElectricityProfilesSummaryDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams defines parameters for EIAAPIControllersDatasetAeoIeoIeoControllerGetData.
type EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2InternationalDataParams defines parameters for GetV2InternationalData.
type GetV2InternationalDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2NaturalGasRoute1Route2DataParams defines parameters for GetV2NaturalGasRoute1Route2Data.
type GetV2NaturalGasRoute1Route2DataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2NuclearOutagesFacilityNuclearOutagesDataParams defines parameters for GetV2NuclearOutagesFacilityNuclearOutagesData.
type GetV2NuclearOutagesFacilityNuclearOutagesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2NuclearOutagesGeneratorNuclearOutagesDataParams defines parameters for GetV2NuclearOutagesGeneratorNuclearOutagesData.
type GetV2NuclearOutagesGeneratorNuclearOutagesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2NuclearOutagesUsNuclearOutagesDataParams defines parameters for GetV2NuclearOutagesUsNuclearOutagesData.
type GetV2NuclearOutagesUsNuclearOutagesDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2SedsDataParams defines parameters for GetV2SedsData.
type GetV2SedsDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2SteoDataParams defines parameters for GetV2SteoData.
type GetV2SteoDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// GetV2TotalEnergyDataParams defines parameters for GetV2TotalEnergyData.
type GetV2TotalEnergyDataParams struct {
	// Data Data columns to filter by
	Data *Data `form:"data,omitempty" json:"data,omitempty"`

	// Facets Facets to filter by
	Facets *Facets `form:"facets,omitempty" json:"facets,omitempty"`

	// Frequency Frequency to filter by
	Frequency *Frequency `form:"frequency,omitempty" json:"frequency,omitempty"`

	// Start Start date to filter by
	Start *Start `form:"start,omitempty" json:"start,omitempty"`

	// End End date to filter by
	End *End `form:"end,omitempty" json:"end,omitempty"`

	// Sort How to sort returned data
	Sort *Sort `form:"sort,omitempty" json:"sort,omitempty"`

	// Length Max length of returned data
	Length *Length `form:"length,omitempty" json:"length,omitempty"`

	// Offset Offset of returned data
	Offset *Offset `form:"offset,omitempty" json:"offset,omitempty"`
}

// PostV2AeoRoute1DataJSONRequestBody defines body for PostV2AeoRoute1Data for application/json ContentType.
type PostV2AeoRoute1DataJSONRequestBody = DataParams

// PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody defines body for PostV2Co2EmissionsCo2EmissionsAggregatesData for application/json ContentType.
type PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody = DataParams

// PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody defines body for PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData for application/json ContentType.
type PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody = DataParams

// PostV2CoalAggregateProductionDataJSONRequestBody defines body for PostV2CoalAggregateProductionData for application/json ContentType.
type PostV2CoalAggregateProductionDataJSONRequestBody = DataParams

// PostV2CoalConsumptionAndQualityDataJSONRequestBody defines body for PostV2CoalConsumptionAndQualityData for application/json ContentType.
type PostV2CoalConsumptionAndQualityDataJSONRequestBody = DataParams

// PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody defines body for PostV2CoalExportsImportsQuantityPriceData for application/json ContentType.
type PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody = DataParams

// PostV2CoalMarketSalesPriceDataJSONRequestBody defines body for PostV2CoalMarketSalesPriceData for application/json ContentType.
type PostV2CoalMarketSalesPriceDataJSONRequestBody = DataParams

// PostV2CoalMineProductionDataJSONRequestBody defines body for PostV2CoalMineProductionData for application/json ContentType.
type PostV2CoalMineProductionDataJSONRequestBody = DataParams

// PostV2CoalPriceByRankDataJSONRequestBody defines body for PostV2CoalPriceByRankData for application/json ContentType.
type PostV2CoalPriceByRankDataJSONRequestBody = DataParams

// PostV2CoalReservesCapacityDataJSONRequestBody defines body for PostV2CoalReservesCapacityData for application/json ContentType.
type PostV2CoalReservesCapacityDataJSONRequestBody = DataParams

// PostV2CoalShipmentsByMineByPlantDataJSONRequestBody defines body for PostV2CoalShipmentsByMineByPlantData for application/json ContentType.
type PostV2CoalShipmentsByMineByPlantDataJSONRequestBody = DataParams

// PostV2CoalShipmentsMineAggregatesDataJSONRequestBody defines body for PostV2CoalShipmentsMineAggregatesData for application/json ContentType.
type PostV2CoalShipmentsMineAggregatesDataJSONRequestBody = DataParams

// PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody defines body for PostV2CoalShipmentsMineStateAggregatesData for application/json ContentType.
type PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody = DataParams

// PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody defines body for PostV2CoalShipmentsPlantAggregatesData for application/json ContentType.
type PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody = DataParams

// PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody defines body for PostV2CoalShipmentsPlantStateAggregatesData for application/json ContentType.
type PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody = DataParams

// PostV2CoalShipmentsReceiptsDataJSONRequestBody defines body for PostV2CoalShipmentsReceiptsData for application/json ContentType.
type PostV2CoalShipmentsReceiptsDataJSONRequestBody = DataParams

// PostV2CrudeOilImportsDataJSONRequestBody defines body for PostV2CrudeOilImportsData for application/json ContentType.
type PostV2CrudeOilImportsDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody defines body for PostV2DensifiedBiomassCapacityByRegionData for application/json ContentType.
type PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody defines body for PostV2DensifiedBiomassCharacteristicsByRegionData for application/json ContentType.
type PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody defines body for PostV2DensifiedBiomassExportSalesAndPriceData for application/json ContentType.
type PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody defines body for PostV2DensifiedBiomassFeedstocksAndCostData for application/json ContentType.
type PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody defines body for PostV2DensifiedBiomassInventoriesByRegionData for application/json ContentType.
type PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody defines body for PostV2DensifiedBiomassProductionByRegionData for application/json ContentType.
type PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody defines body for PostV2DensifiedBiomassSalesAndPriceByRegionData for application/json ContentType.
type PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody = DataParams

// PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody defines body for PostV2DensifiedBiomassWoodPelletPlantsData for application/json ContentType.
type PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody = DataParams

// PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody defines body for PostV2ElectricityElectricPowerOperationalDataData for application/json ContentType.
type PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody = DataParams

// PostV2ElectricityFacilityFuelDataJSONRequestBody defines body for PostV2ElectricityFacilityFuelData for application/json ContentType.
type PostV2ElectricityFacilityFuelDataJSONRequestBody = DataParams

// PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody defines body for PostV2ElectricityOperatingGeneratorCapacityData for application/json ContentType.
type PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody = DataParams

// PostV2ElectricityRetailSalesDataJSONRequestBody defines body for PostV2ElectricityRetailSalesData for application/json ContentType.
type PostV2ElectricityRetailSalesDataJSONRequestBody = DataParams

// PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody defines body for PostV2ElectricityRtoDailyFuelTypeDataData for application/json ContentType.
type PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody defines body for PostV2ElectricityRtoDailyInterchangeDataData for application/json ContentType.
type PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody defines body for PostV2ElectricityRtoDailyRegionDataData for application/json ContentType.
type PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody defines body for PostV2ElectricityRtoDailyRegionSubBaDataData for application/json ContentType.
type PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody defines body for PostV2ElectricityRtoFuelTypeDataData for application/json ContentType.
type PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoInterchangeDataDataJSONRequestBody defines body for PostV2ElectricityRtoInterchangeDataData for application/json ContentType.
type PostV2ElectricityRtoInterchangeDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoRegionDataDataJSONRequestBody defines body for PostV2ElectricityRtoRegionDataData for application/json ContentType.
type PostV2ElectricityRtoRegionDataDataJSONRequestBody = DataParams

// PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody defines body for PostV2ElectricityRtoRegionSubBaDataData for application/json ContentType.
type PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesCapabilityData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesEnergyEfficiencyData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesMetersData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesNetMeteringData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesSourceDispositionData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody = DataParams

// PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody defines body for PostV2ElectricityStateElectricityProfilesSummaryData for application/json ContentType.
type PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody = DataParams

// EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody defines body for EIAAPIControllersDatasetAeoIeoIeoControllerPostData for application/json ContentType.
type EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody = DataParams

// PostV2InternationalDataJSONRequestBody defines body for PostV2InternationalData for application/json ContentType.
type PostV2InternationalDataJSONRequestBody = DataParams

// PostV2NaturalGasRoute1Route2DataJSONRequestBody defines body for PostV2NaturalGasRoute1Route2Data for application/json ContentType.
type PostV2NaturalGasRoute1Route2DataJSONRequestBody = DataParams

// PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody defines body for PostV2NuclearOutagesFacilityNuclearOutagesData for application/json ContentType.
type PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody = DataParams

// PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody defines body for PostV2NuclearOutagesGeneratorNuclearOutagesData for application/json ContentType.
type PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody = DataParams

// PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody defines body for PostV2NuclearOutagesUsNuclearOutagesData for application/json ContentType.
type PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody = DataParams

// PostV2SedsDataJSONRequestBody defines body for PostV2SedsData for application/json ContentType.
type PostV2SedsDataJSONRequestBody = DataParams

// PostV2SteoDataJSONRequestBody defines body for PostV2SteoData for application/json ContentType.
type PostV2SteoDataJSONRequestBody = DataParams

// PostV2TotalEnergyDataJSONRequestBody defines body for PostV2TotalEnergyData for application/json ContentType.
type PostV2TotalEnergyDataJSONRequestBody = DataParams

// RequestEditorFn  is the function signature for the RequestEditor callback function
type RequestEditorFn func(ctx context.Context, req *http.Request) error

// Doer performs HTTP requests.
//
// The standard http.Client implements this interface.
type HttpRequestDoer interface {
	Do(req *http.Request) (*http.Response, error)
}

// Client which conforms to the OpenAPI3 specification for this service.
type Client struct {
	// The endpoint of the server conforming to this interface, with scheme,
	// https://api.deepmap.com for example. This can contain a path relative
	// to the server, such as https://api.deepmap.com/dev-test, and all the
	// paths in the swagger spec will be appended to the server.
	Server string

	// Doer for performing requests, typically a *http.Client with any
	// customized settings, such as certificate chains.
	Client HttpRequestDoer

	// A list of callbacks for modifying requests which are generated before sending over
	// the network.
	RequestEditors []RequestEditorFn
}

// ClientOption allows setting custom parameters during construction
type ClientOption func(*Client) error

// Creates a new Client, with reasonable defaults
func NewClient(server string, opts ...ClientOption) (*Client, error) {
	// create a client with sane default values
	client := Client{
		Server: server,
	}
	// mutate client and add all optional params
	for _, o := range opts {
		if err := o(&client); err != nil {
			return nil, err
		}
	}
	// ensure the server URL always has a trailing slash
	if !strings.HasSuffix(client.Server, "/") {
		client.Server += "/"
	}
	// create httpClient, if not already present
	if client.Client == nil {
		client.Client = &http.Client{}
	}
	return &client, nil
}

// WithHTTPClient allows overriding the default Doer, which is
// automatically created using http.Client. This is useful for tests.
func WithHTTPClient(doer HttpRequestDoer) ClientOption {
	return func(c *Client) error {
		c.Client = doer
		return nil
	}
}

// WithRequestEditorFn allows setting up a callback function, which will be
// called right before sending the request. This can be used to mutate the request.
func WithRequestEditorFn(fn RequestEditorFn) ClientOption {
	return func(c *Client) error {
		c.RequestEditors = append(c.RequestEditors, fn)
		return nil
	}
}

// The interface specification for the client above.
type ClientInterface interface {
	// GetV2 request
	GetV2(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Aeo request
	GetV2Aeo(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2AeoRoute1 request
	GetV2AeoRoute1(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2AeoRoute1Data request
	GetV2AeoRoute1Data(ctx context.Context, route1 Route1, params *GetV2AeoRoute1DataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2AeoRoute1DataWithBody request with any body
	PostV2AeoRoute1DataWithBody(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2AeoRoute1Data(ctx context.Context, route1 Route1, body PostV2AeoRoute1DataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2AeoRoute1Facet request
	GetV2AeoRoute1Facet(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2AeoRoute1FacetFacetId request
	GetV2AeoRoute1FacetFacetId(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2Emissions request
	GetV2Co2Emissions(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAggregates request
	GetV2Co2EmissionsCo2EmissionsAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesData request
	GetV2Co2EmissionsCo2EmissionsAggregatesData(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBody request with any body
	PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2Co2EmissionsCo2EmissionsAggregatesData(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesFacet request
	GetV2Co2EmissionsCo2EmissionsAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetId request
	GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficients request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficients(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBody request with any body
	PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacet request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetId request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Coal request
	GetV2Coal(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalAggregateProduction request
	GetV2CoalAggregateProduction(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalAggregateProductionData request
	GetV2CoalAggregateProductionData(ctx context.Context, params *GetV2CoalAggregateProductionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalAggregateProductionDataWithBody request with any body
	PostV2CoalAggregateProductionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalAggregateProductionData(ctx context.Context, body PostV2CoalAggregateProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalAggregateProductionFacet request
	GetV2CoalAggregateProductionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalAggregateProductionFacetFacetId request
	GetV2CoalAggregateProductionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalConsumptionAndQuality request
	GetV2CoalConsumptionAndQuality(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalConsumptionAndQualityData request
	GetV2CoalConsumptionAndQualityData(ctx context.Context, params *GetV2CoalConsumptionAndQualityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalConsumptionAndQualityDataWithBody request with any body
	PostV2CoalConsumptionAndQualityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalConsumptionAndQualityData(ctx context.Context, body PostV2CoalConsumptionAndQualityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalConsumptionAndQualityFacet request
	GetV2CoalConsumptionAndQualityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalConsumptionAndQualityFacetFacetId request
	GetV2CoalConsumptionAndQualityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalExportsImportsQuantityPrice request
	GetV2CoalExportsImportsQuantityPrice(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalExportsImportsQuantityPriceData request
	GetV2CoalExportsImportsQuantityPriceData(ctx context.Context, params *GetV2CoalExportsImportsQuantityPriceDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalExportsImportsQuantityPriceDataWithBody request with any body
	PostV2CoalExportsImportsQuantityPriceDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalExportsImportsQuantityPriceData(ctx context.Context, body PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalExportsImportsQuantityPriceFacet request
	GetV2CoalExportsImportsQuantityPriceFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalExportsImportsQuantityPriceFacetFacetId request
	GetV2CoalExportsImportsQuantityPriceFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMarketSalesPrice request
	GetV2CoalMarketSalesPrice(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMarketSalesPriceData request
	GetV2CoalMarketSalesPriceData(ctx context.Context, params *GetV2CoalMarketSalesPriceDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalMarketSalesPriceDataWithBody request with any body
	PostV2CoalMarketSalesPriceDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalMarketSalesPriceData(ctx context.Context, body PostV2CoalMarketSalesPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMarketSalesPriceFacet request
	GetV2CoalMarketSalesPriceFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMarketSalesPriceFacetFacetId request
	GetV2CoalMarketSalesPriceFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMineProduction request
	GetV2CoalMineProduction(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMineProductionData request
	GetV2CoalMineProductionData(ctx context.Context, params *GetV2CoalMineProductionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalMineProductionDataWithBody request with any body
	PostV2CoalMineProductionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalMineProductionData(ctx context.Context, body PostV2CoalMineProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMineProductionFacet request
	GetV2CoalMineProductionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalMineProductionFacetFacetId request
	GetV2CoalMineProductionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalPriceByRank request
	GetV2CoalPriceByRank(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalPriceByRankData request
	GetV2CoalPriceByRankData(ctx context.Context, params *GetV2CoalPriceByRankDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalPriceByRankDataWithBody request with any body
	PostV2CoalPriceByRankDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalPriceByRankData(ctx context.Context, body PostV2CoalPriceByRankDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalPriceByRankFacet request
	GetV2CoalPriceByRankFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalPriceByRankFacetFacetId request
	GetV2CoalPriceByRankFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalReservesCapacity request
	GetV2CoalReservesCapacity(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalReservesCapacityData request
	GetV2CoalReservesCapacityData(ctx context.Context, params *GetV2CoalReservesCapacityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalReservesCapacityDataWithBody request with any body
	PostV2CoalReservesCapacityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalReservesCapacityData(ctx context.Context, body PostV2CoalReservesCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalReservesCapacityFacet request
	GetV2CoalReservesCapacityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalReservesCapacityFacetFacetId request
	GetV2CoalReservesCapacityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipments request
	GetV2CoalShipments(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsByMineByPlant request
	GetV2CoalShipmentsByMineByPlant(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsByMineByPlantData request
	GetV2CoalShipmentsByMineByPlantData(ctx context.Context, params *GetV2CoalShipmentsByMineByPlantDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalShipmentsByMineByPlantDataWithBody request with any body
	PostV2CoalShipmentsByMineByPlantDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalShipmentsByMineByPlantData(ctx context.Context, body PostV2CoalShipmentsByMineByPlantDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsByMineByPlantFacet request
	GetV2CoalShipmentsByMineByPlantFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsByMineByPlantFacetFacetId request
	GetV2CoalShipmentsByMineByPlantFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineAggregates request
	GetV2CoalShipmentsMineAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineAggregatesData request
	GetV2CoalShipmentsMineAggregatesData(ctx context.Context, params *GetV2CoalShipmentsMineAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalShipmentsMineAggregatesDataWithBody request with any body
	PostV2CoalShipmentsMineAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalShipmentsMineAggregatesData(ctx context.Context, body PostV2CoalShipmentsMineAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineAggregatesFacet request
	GetV2CoalShipmentsMineAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineAggregatesFacetFacetId request
	GetV2CoalShipmentsMineAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineStateAggregates request
	GetV2CoalShipmentsMineStateAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineStateAggregatesData request
	GetV2CoalShipmentsMineStateAggregatesData(ctx context.Context, params *GetV2CoalShipmentsMineStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalShipmentsMineStateAggregatesDataWithBody request with any body
	PostV2CoalShipmentsMineStateAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalShipmentsMineStateAggregatesData(ctx context.Context, body PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineStateAggregatesFacet request
	GetV2CoalShipmentsMineStateAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsMineStateAggregatesFacetFacetId request
	GetV2CoalShipmentsMineStateAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantAggregates request
	GetV2CoalShipmentsPlantAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantAggregatesData request
	GetV2CoalShipmentsPlantAggregatesData(ctx context.Context, params *GetV2CoalShipmentsPlantAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalShipmentsPlantAggregatesDataWithBody request with any body
	PostV2CoalShipmentsPlantAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalShipmentsPlantAggregatesData(ctx context.Context, body PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantAggregatesFacet request
	GetV2CoalShipmentsPlantAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantAggregatesFacetFacetId request
	GetV2CoalShipmentsPlantAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantStateAggregates request
	GetV2CoalShipmentsPlantStateAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantStateAggregatesData request
	GetV2CoalShipmentsPlantStateAggregatesData(ctx context.Context, params *GetV2CoalShipmentsPlantStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalShipmentsPlantStateAggregatesDataWithBody request with any body
	PostV2CoalShipmentsPlantStateAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalShipmentsPlantStateAggregatesData(ctx context.Context, body PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantStateAggregatesFacet request
	GetV2CoalShipmentsPlantStateAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsPlantStateAggregatesFacetFacetId request
	GetV2CoalShipmentsPlantStateAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsReceipts request
	GetV2CoalShipmentsReceipts(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsReceiptsData request
	GetV2CoalShipmentsReceiptsData(ctx context.Context, params *GetV2CoalShipmentsReceiptsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CoalShipmentsReceiptsDataWithBody request with any body
	PostV2CoalShipmentsReceiptsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CoalShipmentsReceiptsData(ctx context.Context, body PostV2CoalShipmentsReceiptsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsReceiptsFacet request
	GetV2CoalShipmentsReceiptsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CoalShipmentsReceiptsFacetFacetId request
	GetV2CoalShipmentsReceiptsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CrudeOilImports request
	GetV2CrudeOilImports(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CrudeOilImportsData request
	GetV2CrudeOilImportsData(ctx context.Context, params *GetV2CrudeOilImportsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2CrudeOilImportsDataWithBody request with any body
	PostV2CrudeOilImportsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2CrudeOilImportsData(ctx context.Context, body PostV2CrudeOilImportsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CrudeOilImportsFacet request
	GetV2CrudeOilImportsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2CrudeOilImportsFacetFacetId request
	GetV2CrudeOilImportsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomass request
	GetV2DensifiedBiomass(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCapacityByRegion request
	GetV2DensifiedBiomassCapacityByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCapacityByRegionData request
	GetV2DensifiedBiomassCapacityByRegionData(ctx context.Context, params *GetV2DensifiedBiomassCapacityByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassCapacityByRegionDataWithBody request with any body
	PostV2DensifiedBiomassCapacityByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassCapacityByRegionData(ctx context.Context, body PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCapacityByRegionFacet request
	GetV2DensifiedBiomassCapacityByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCapacityByRegionFacetFacetId request
	GetV2DensifiedBiomassCapacityByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCharacteristicsByRegion request
	GetV2DensifiedBiomassCharacteristicsByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionData request
	GetV2DensifiedBiomassCharacteristicsByRegionData(ctx context.Context, params *GetV2DensifiedBiomassCharacteristicsByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassCharacteristicsByRegionDataWithBody request with any body
	PostV2DensifiedBiomassCharacteristicsByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassCharacteristicsByRegionData(ctx context.Context, body PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionFacet request
	GetV2DensifiedBiomassCharacteristicsByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetId request
	GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassExportSalesAndPrice request
	GetV2DensifiedBiomassExportSalesAndPrice(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassExportSalesAndPriceData request
	GetV2DensifiedBiomassExportSalesAndPriceData(ctx context.Context, params *GetV2DensifiedBiomassExportSalesAndPriceDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassExportSalesAndPriceDataWithBody request with any body
	PostV2DensifiedBiomassExportSalesAndPriceDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassExportSalesAndPriceData(ctx context.Context, body PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassExportSalesAndPriceFacet request
	GetV2DensifiedBiomassExportSalesAndPriceFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassExportSalesAndPriceFacetFacetId request
	GetV2DensifiedBiomassExportSalesAndPriceFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassFeedstocksAndCost request
	GetV2DensifiedBiomassFeedstocksAndCost(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassFeedstocksAndCostData request
	GetV2DensifiedBiomassFeedstocksAndCostData(ctx context.Context, params *GetV2DensifiedBiomassFeedstocksAndCostDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassFeedstocksAndCostDataWithBody request with any body
	PostV2DensifiedBiomassFeedstocksAndCostDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassFeedstocksAndCostData(ctx context.Context, body PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassFeedstocksAndCostFacet request
	GetV2DensifiedBiomassFeedstocksAndCostFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassFeedstocksAndCostFacetFacetId request
	GetV2DensifiedBiomassFeedstocksAndCostFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassInventoriesByRegion request
	GetV2DensifiedBiomassInventoriesByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassInventoriesByRegionData request
	GetV2DensifiedBiomassInventoriesByRegionData(ctx context.Context, params *GetV2DensifiedBiomassInventoriesByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassInventoriesByRegionDataWithBody request with any body
	PostV2DensifiedBiomassInventoriesByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassInventoriesByRegionData(ctx context.Context, body PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassInventoriesByRegionFacet request
	GetV2DensifiedBiomassInventoriesByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassInventoriesByRegionFacetFacetId request
	GetV2DensifiedBiomassInventoriesByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassProductionByRegion request
	GetV2DensifiedBiomassProductionByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassProductionByRegionData request
	GetV2DensifiedBiomassProductionByRegionData(ctx context.Context, params *GetV2DensifiedBiomassProductionByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassProductionByRegionDataWithBody request with any body
	PostV2DensifiedBiomassProductionByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassProductionByRegionData(ctx context.Context, body PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassProductionByRegionFacet request
	GetV2DensifiedBiomassProductionByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassProductionByRegionFacetFacetId request
	GetV2DensifiedBiomassProductionByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegion request
	GetV2DensifiedBiomassSalesAndPriceByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionData request
	GetV2DensifiedBiomassSalesAndPriceByRegionData(ctx context.Context, params *GetV2DensifiedBiomassSalesAndPriceByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBody request with any body
	PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassSalesAndPriceByRegionData(ctx context.Context, body PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionFacet request
	GetV2DensifiedBiomassSalesAndPriceByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetId request
	GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassWoodPelletPlants request
	GetV2DensifiedBiomassWoodPelletPlants(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassWoodPelletPlantsData request
	GetV2DensifiedBiomassWoodPelletPlantsData(ctx context.Context, params *GetV2DensifiedBiomassWoodPelletPlantsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2DensifiedBiomassWoodPelletPlantsDataWithBody request with any body
	PostV2DensifiedBiomassWoodPelletPlantsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2DensifiedBiomassWoodPelletPlantsData(ctx context.Context, body PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassWoodPelletPlantsFacet request
	GetV2DensifiedBiomassWoodPelletPlantsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2DensifiedBiomassWoodPelletPlantsFacetFacetId request
	GetV2DensifiedBiomassWoodPelletPlantsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Electricity request
	GetV2Electricity(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityElectricPowerOperationalData request
	GetV2ElectricityElectricPowerOperationalData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityElectricPowerOperationalDataData request
	GetV2ElectricityElectricPowerOperationalDataData(ctx context.Context, params *GetV2ElectricityElectricPowerOperationalDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityElectricPowerOperationalDataDataWithBody request with any body
	PostV2ElectricityElectricPowerOperationalDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityElectricPowerOperationalDataData(ctx context.Context, body PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityElectricPowerOperationalDataFacet request
	GetV2ElectricityElectricPowerOperationalDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityElectricPowerOperationalDataFacetFacetId request
	GetV2ElectricityElectricPowerOperationalDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityFacilityFuel request
	GetV2ElectricityFacilityFuel(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityFacilityFuelData request
	GetV2ElectricityFacilityFuelData(ctx context.Context, params *GetV2ElectricityFacilityFuelDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityFacilityFuelDataWithBody request with any body
	PostV2ElectricityFacilityFuelDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityFacilityFuelData(ctx context.Context, body PostV2ElectricityFacilityFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityFacilityFuelFacet request
	GetV2ElectricityFacilityFuelFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityFacilityFuelFacetFacetId request
	GetV2ElectricityFacilityFuelFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityOperatingGeneratorCapacity request
	GetV2ElectricityOperatingGeneratorCapacity(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityOperatingGeneratorCapacityData request
	GetV2ElectricityOperatingGeneratorCapacityData(ctx context.Context, params *GetV2ElectricityOperatingGeneratorCapacityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityOperatingGeneratorCapacityDataWithBody request with any body
	PostV2ElectricityOperatingGeneratorCapacityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityOperatingGeneratorCapacityData(ctx context.Context, body PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityOperatingGeneratorCapacityFacet request
	GetV2ElectricityOperatingGeneratorCapacityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityOperatingGeneratorCapacityFacetFacetId request
	GetV2ElectricityOperatingGeneratorCapacityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRetailSales request
	GetV2ElectricityRetailSales(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRetailSalesData request
	GetV2ElectricityRetailSalesData(ctx context.Context, params *GetV2ElectricityRetailSalesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRetailSalesDataWithBody request with any body
	PostV2ElectricityRetailSalesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRetailSalesData(ctx context.Context, body PostV2ElectricityRetailSalesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRetailSalesFacet request
	GetV2ElectricityRetailSalesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRetailSalesFacetFacetId request
	GetV2ElectricityRetailSalesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRto request
	GetV2ElectricityRto(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyFuelTypeData request
	GetV2ElectricityRtoDailyFuelTypeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyFuelTypeDataData request
	GetV2ElectricityRtoDailyFuelTypeDataData(ctx context.Context, params *GetV2ElectricityRtoDailyFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoDailyFuelTypeDataDataWithBody request with any body
	PostV2ElectricityRtoDailyFuelTypeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoDailyFuelTypeDataData(ctx context.Context, body PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyFuelTypeDataFacet request
	GetV2ElectricityRtoDailyFuelTypeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyFuelTypeDataFacetFacetId request
	GetV2ElectricityRtoDailyFuelTypeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyInterchangeData request
	GetV2ElectricityRtoDailyInterchangeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyInterchangeDataData request
	GetV2ElectricityRtoDailyInterchangeDataData(ctx context.Context, params *GetV2ElectricityRtoDailyInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoDailyInterchangeDataDataWithBody request with any body
	PostV2ElectricityRtoDailyInterchangeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoDailyInterchangeDataData(ctx context.Context, body PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyInterchangeDataFacet request
	GetV2ElectricityRtoDailyInterchangeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyInterchangeDataFacetFacetId request
	GetV2ElectricityRtoDailyInterchangeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionData request
	GetV2ElectricityRtoDailyRegionData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionDataData request
	GetV2ElectricityRtoDailyRegionDataData(ctx context.Context, params *GetV2ElectricityRtoDailyRegionDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoDailyRegionDataDataWithBody request with any body
	PostV2ElectricityRtoDailyRegionDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoDailyRegionDataData(ctx context.Context, body PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionDataFacet request
	GetV2ElectricityRtoDailyRegionDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionDataFacetFacetId request
	GetV2ElectricityRtoDailyRegionDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionSubBaData request
	GetV2ElectricityRtoDailyRegionSubBaData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataData request
	GetV2ElectricityRtoDailyRegionSubBaDataData(ctx context.Context, params *GetV2ElectricityRtoDailyRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoDailyRegionSubBaDataDataWithBody request with any body
	PostV2ElectricityRtoDailyRegionSubBaDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoDailyRegionSubBaDataData(ctx context.Context, body PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataFacet request
	GetV2ElectricityRtoDailyRegionSubBaDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetId request
	GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoFuelTypeData request
	GetV2ElectricityRtoFuelTypeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoFuelTypeDataData request
	GetV2ElectricityRtoFuelTypeDataData(ctx context.Context, params *GetV2ElectricityRtoFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoFuelTypeDataDataWithBody request with any body
	PostV2ElectricityRtoFuelTypeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoFuelTypeDataData(ctx context.Context, body PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoFuelTypeDataFacet request
	GetV2ElectricityRtoFuelTypeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoFuelTypeDataFacetFacetId request
	GetV2ElectricityRtoFuelTypeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoInterchangeData request
	GetV2ElectricityRtoInterchangeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoInterchangeDataData request
	GetV2ElectricityRtoInterchangeDataData(ctx context.Context, params *GetV2ElectricityRtoInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoInterchangeDataDataWithBody request with any body
	PostV2ElectricityRtoInterchangeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoInterchangeDataData(ctx context.Context, body PostV2ElectricityRtoInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoInterchangeDataFacet request
	GetV2ElectricityRtoInterchangeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoInterchangeDataFacetFacetId request
	GetV2ElectricityRtoInterchangeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionData request
	GetV2ElectricityRtoRegionData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionDataData request
	GetV2ElectricityRtoRegionDataData(ctx context.Context, params *GetV2ElectricityRtoRegionDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoRegionDataDataWithBody request with any body
	PostV2ElectricityRtoRegionDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoRegionDataData(ctx context.Context, body PostV2ElectricityRtoRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionDataFacet request
	GetV2ElectricityRtoRegionDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionDataFacetFacetId request
	GetV2ElectricityRtoRegionDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionSubBaData request
	GetV2ElectricityRtoRegionSubBaData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionSubBaDataData request
	GetV2ElectricityRtoRegionSubBaDataData(ctx context.Context, params *GetV2ElectricityRtoRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityRtoRegionSubBaDataDataWithBody request with any body
	PostV2ElectricityRtoRegionSubBaDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityRtoRegionSubBaDataData(ctx context.Context, body PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionSubBaDataFacet request
	GetV2ElectricityRtoRegionSubBaDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityRtoRegionSubBaDataFacetFacetId request
	GetV2ElectricityRtoRegionSubBaDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricitySep request
	GetV2ElectricitySep(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesCapability request
	GetV2ElectricityStateElectricityProfilesCapability(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityData request
	GetV2ElectricityStateElectricityProfilesCapabilityData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesCapabilityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesCapabilityDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesCapabilityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesCapabilityData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityFacet request
	GetV2ElectricityStateElectricityProfilesCapabilityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetId request
	GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuel request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuel(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacet request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetId request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiency request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiency(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyData request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesEnergyEfficiencyData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacet request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetId request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesMeters request
	GetV2ElectricityStateElectricityProfilesMeters(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesMetersData request
	GetV2ElectricityStateElectricityProfilesMetersData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesMetersDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesMetersDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesMetersDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesMetersData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesMetersFacet request
	GetV2ElectricityStateElectricityProfilesMetersFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesMetersFacetFacetId request
	GetV2ElectricityStateElectricityProfilesMetersFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesNetMetering request
	GetV2ElectricityStateElectricityProfilesNetMetering(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringData request
	GetV2ElectricityStateElectricityProfilesNetMeteringData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesNetMeteringDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesNetMeteringData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringFacet request
	GetV2ElectricityStateElectricityProfilesNetMeteringFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetId request
	GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSourceDisposition request
	GetV2ElectricityStateElectricityProfilesSourceDisposition(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionData request
	GetV2ElectricityStateElectricityProfilesSourceDispositionData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesSourceDispositionData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionFacet request
	GetV2ElectricityStateElectricityProfilesSourceDispositionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetId request
	GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSummary request
	GetV2ElectricityStateElectricityProfilesSummary(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSummaryData request
	GetV2ElectricityStateElectricityProfilesSummaryData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSummaryDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2ElectricityStateElectricityProfilesSummaryDataWithBody request with any body
	PostV2ElectricityStateElectricityProfilesSummaryDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2ElectricityStateElectricityProfilesSummaryData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSummaryFacet request
	GetV2ElectricityStateElectricityProfilesSummaryFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2ElectricityStateElectricityProfilesSummaryFacetFacetId request
	GetV2ElectricityStateElectricityProfilesSummaryFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerIeo request
	EIAAPIControllersDatasetAeoIeoIeoControllerIeo(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerConstruct request
	EIAAPIControllersDatasetAeoIeoIeoControllerConstruct(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*http.Response, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerGetData request
	EIAAPIControllersDatasetAeoIeoIeoControllerGetData(ctx context.Context, route1 Route1, params *EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBody request with any body
	EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBody(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	EIAAPIControllersDatasetAeoIeoIeoControllerPostData(ctx context.Context, route1 Route1, body EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacet request
	EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacet(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*http.Response, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetId request
	EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetId(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2International request
	GetV2International(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2InternationalData request
	GetV2InternationalData(ctx context.Context, params *GetV2InternationalDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2InternationalDataWithBody request with any body
	PostV2InternationalDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2InternationalData(ctx context.Context, body PostV2InternationalDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2InternationalFacet request
	GetV2InternationalFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2InternationalFacetFacetId request
	GetV2InternationalFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NaturalGas request
	GetV2NaturalGas(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NaturalGasRoute1 request
	GetV2NaturalGasRoute1(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NaturalGasRoute1Route2 request
	GetV2NaturalGasRoute1Route2(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NaturalGasRoute1Route2Data request
	GetV2NaturalGasRoute1Route2Data(ctx context.Context, route1 Route1, route2 Route2, params *GetV2NaturalGasRoute1Route2DataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2NaturalGasRoute1Route2DataWithBody request with any body
	PostV2NaturalGasRoute1Route2DataWithBody(ctx context.Context, route1 Route1, route2 Route2, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2NaturalGasRoute1Route2Data(ctx context.Context, route1 Route1, route2 Route2, body PostV2NaturalGasRoute1Route2DataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NaturalGasRoute1Route2Facet request
	GetV2NaturalGasRoute1Route2Facet(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NaturalGasRoute1Route2FacetFacetId request
	GetV2NaturalGasRoute1Route2FacetFacetId(ctx context.Context, route1 Route1, route2 Route2, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutages request
	GetV2NuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesFacilityNuclearOutages request
	GetV2NuclearOutagesFacilityNuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesData request
	GetV2NuclearOutagesFacilityNuclearOutagesData(ctx context.Context, params *GetV2NuclearOutagesFacilityNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2NuclearOutagesFacilityNuclearOutagesDataWithBody request with any body
	PostV2NuclearOutagesFacilityNuclearOutagesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2NuclearOutagesFacilityNuclearOutagesData(ctx context.Context, body PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesFacet request
	GetV2NuclearOutagesFacilityNuclearOutagesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetId request
	GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesGeneratorNuclearOutages request
	GetV2NuclearOutagesGeneratorNuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesData request
	GetV2NuclearOutagesGeneratorNuclearOutagesData(ctx context.Context, params *GetV2NuclearOutagesGeneratorNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBody request with any body
	PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2NuclearOutagesGeneratorNuclearOutagesData(ctx context.Context, body PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesFacet request
	GetV2NuclearOutagesGeneratorNuclearOutagesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetId request
	GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesUsNuclearOutages request
	GetV2NuclearOutagesUsNuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesUsNuclearOutagesData request
	GetV2NuclearOutagesUsNuclearOutagesData(ctx context.Context, params *GetV2NuclearOutagesUsNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2NuclearOutagesUsNuclearOutagesDataWithBody request with any body
	PostV2NuclearOutagesUsNuclearOutagesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2NuclearOutagesUsNuclearOutagesData(ctx context.Context, body PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesUsNuclearOutagesFacet request
	GetV2NuclearOutagesUsNuclearOutagesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2NuclearOutagesUsNuclearOutagesFacetFacetId request
	GetV2NuclearOutagesUsNuclearOutagesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Seds request
	GetV2Seds(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2SedsData request
	GetV2SedsData(ctx context.Context, params *GetV2SedsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2SedsDataWithBody request with any body
	PostV2SedsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2SedsData(ctx context.Context, body PostV2SedsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2SedsFacet request
	GetV2SedsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2SedsFacetFacetId request
	GetV2SedsFacetFacetId(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2Steo request
	GetV2Steo(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2SteoData request
	GetV2SteoData(ctx context.Context, params *GetV2SteoDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2SteoDataWithBody request with any body
	PostV2SteoDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2SteoData(ctx context.Context, body PostV2SteoDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2SteoFacet request
	GetV2SteoFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2SteoFacetFacetId request
	GetV2SteoFacetFacetId(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2TotalEnergy request
	GetV2TotalEnergy(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2TotalEnergyData request
	GetV2TotalEnergyData(ctx context.Context, params *GetV2TotalEnergyDataParams, reqEditors ...RequestEditorFn) (*http.Response, error)

	// PostV2TotalEnergyDataWithBody request with any body
	PostV2TotalEnergyDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error)

	PostV2TotalEnergyData(ctx context.Context, body PostV2TotalEnergyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2TotalEnergyFacet request
	GetV2TotalEnergyFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error)

	// GetV2TotalEnergyFacetFacetId request
	GetV2TotalEnergyFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error)
}

func (c *Client) GetV2(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Request(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Aeo(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2AeoRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2AeoRoute1(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2AeoRoute1Request(c.Server, route1)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2AeoRoute1Data(ctx context.Context, route1 Route1, params *GetV2AeoRoute1DataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2AeoRoute1DataRequest(c.Server, route1, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2AeoRoute1DataWithBody(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2AeoRoute1DataRequestWithBody(c.Server, route1, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2AeoRoute1Data(ctx context.Context, route1 Route1, body PostV2AeoRoute1DataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2AeoRoute1DataRequest(c.Server, route1, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2AeoRoute1Facet(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2AeoRoute1FacetRequest(c.Server, route1)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2AeoRoute1FacetFacetId(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2AeoRoute1FacetFacetIdRequest(c.Server, route1, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2Emissions(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAggregatesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAggregatesData(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAggregatesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2Co2EmissionsCo2EmissionsAggregatesData(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAggregatesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficients(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Coal(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalAggregateProduction(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalAggregateProductionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalAggregateProductionData(ctx context.Context, params *GetV2CoalAggregateProductionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalAggregateProductionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalAggregateProductionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalAggregateProductionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalAggregateProductionData(ctx context.Context, body PostV2CoalAggregateProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalAggregateProductionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalAggregateProductionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalAggregateProductionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalAggregateProductionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalAggregateProductionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalConsumptionAndQuality(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalConsumptionAndQualityRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalConsumptionAndQualityData(ctx context.Context, params *GetV2CoalConsumptionAndQualityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalConsumptionAndQualityDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalConsumptionAndQualityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalConsumptionAndQualityDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalConsumptionAndQualityData(ctx context.Context, body PostV2CoalConsumptionAndQualityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalConsumptionAndQualityDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalConsumptionAndQualityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalConsumptionAndQualityFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalConsumptionAndQualityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalConsumptionAndQualityFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalExportsImportsQuantityPrice(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalExportsImportsQuantityPriceRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalExportsImportsQuantityPriceData(ctx context.Context, params *GetV2CoalExportsImportsQuantityPriceDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalExportsImportsQuantityPriceDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalExportsImportsQuantityPriceDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalExportsImportsQuantityPriceDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalExportsImportsQuantityPriceData(ctx context.Context, body PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalExportsImportsQuantityPriceDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalExportsImportsQuantityPriceFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalExportsImportsQuantityPriceFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalExportsImportsQuantityPriceFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalExportsImportsQuantityPriceFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMarketSalesPrice(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMarketSalesPriceRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMarketSalesPriceData(ctx context.Context, params *GetV2CoalMarketSalesPriceDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMarketSalesPriceDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalMarketSalesPriceDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalMarketSalesPriceDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalMarketSalesPriceData(ctx context.Context, body PostV2CoalMarketSalesPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalMarketSalesPriceDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMarketSalesPriceFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMarketSalesPriceFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMarketSalesPriceFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMarketSalesPriceFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMineProduction(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMineProductionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMineProductionData(ctx context.Context, params *GetV2CoalMineProductionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMineProductionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalMineProductionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalMineProductionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalMineProductionData(ctx context.Context, body PostV2CoalMineProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalMineProductionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMineProductionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMineProductionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalMineProductionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalMineProductionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalPriceByRank(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalPriceByRankRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalPriceByRankData(ctx context.Context, params *GetV2CoalPriceByRankDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalPriceByRankDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalPriceByRankDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalPriceByRankDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalPriceByRankData(ctx context.Context, body PostV2CoalPriceByRankDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalPriceByRankDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalPriceByRankFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalPriceByRankFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalPriceByRankFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalPriceByRankFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalReservesCapacity(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalReservesCapacityRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalReservesCapacityData(ctx context.Context, params *GetV2CoalReservesCapacityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalReservesCapacityDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalReservesCapacityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalReservesCapacityDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalReservesCapacityData(ctx context.Context, body PostV2CoalReservesCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalReservesCapacityDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalReservesCapacityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalReservesCapacityFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalReservesCapacityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalReservesCapacityFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipments(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsByMineByPlant(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsByMineByPlantRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsByMineByPlantData(ctx context.Context, params *GetV2CoalShipmentsByMineByPlantDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsByMineByPlantDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsByMineByPlantDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsByMineByPlantDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsByMineByPlantData(ctx context.Context, body PostV2CoalShipmentsByMineByPlantDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsByMineByPlantDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsByMineByPlantFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsByMineByPlantFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsByMineByPlantFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsByMineByPlantFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineAggregatesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineAggregatesData(ctx context.Context, params *GetV2CoalShipmentsMineAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineAggregatesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsMineAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsMineAggregatesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsMineAggregatesData(ctx context.Context, body PostV2CoalShipmentsMineAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsMineAggregatesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineAggregatesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineAggregatesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineStateAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineStateAggregatesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineStateAggregatesData(ctx context.Context, params *GetV2CoalShipmentsMineStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineStateAggregatesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsMineStateAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsMineStateAggregatesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsMineStateAggregatesData(ctx context.Context, body PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsMineStateAggregatesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineStateAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineStateAggregatesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsMineStateAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsMineStateAggregatesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantAggregatesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantAggregatesData(ctx context.Context, params *GetV2CoalShipmentsPlantAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantAggregatesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsPlantAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsPlantAggregatesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsPlantAggregatesData(ctx context.Context, body PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsPlantAggregatesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantAggregatesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantAggregatesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantStateAggregates(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantStateAggregatesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantStateAggregatesData(ctx context.Context, params *GetV2CoalShipmentsPlantStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantStateAggregatesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsPlantStateAggregatesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsPlantStateAggregatesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsPlantStateAggregatesData(ctx context.Context, body PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsPlantStateAggregatesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantStateAggregatesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantStateAggregatesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsPlantStateAggregatesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsPlantStateAggregatesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsReceipts(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsReceiptsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsReceiptsData(ctx context.Context, params *GetV2CoalShipmentsReceiptsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsReceiptsDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsReceiptsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsReceiptsDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CoalShipmentsReceiptsData(ctx context.Context, body PostV2CoalShipmentsReceiptsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CoalShipmentsReceiptsDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsReceiptsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsReceiptsFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CoalShipmentsReceiptsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CoalShipmentsReceiptsFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CrudeOilImports(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CrudeOilImportsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CrudeOilImportsData(ctx context.Context, params *GetV2CrudeOilImportsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CrudeOilImportsDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CrudeOilImportsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CrudeOilImportsDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2CrudeOilImportsData(ctx context.Context, body PostV2CrudeOilImportsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2CrudeOilImportsDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CrudeOilImportsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CrudeOilImportsFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2CrudeOilImportsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2CrudeOilImportsFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomass(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCapacityByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCapacityByRegionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCapacityByRegionData(ctx context.Context, params *GetV2DensifiedBiomassCapacityByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCapacityByRegionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassCapacityByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassCapacityByRegionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassCapacityByRegionData(ctx context.Context, body PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassCapacityByRegionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCapacityByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCapacityByRegionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCapacityByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCapacityByRegionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCharacteristicsByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCharacteristicsByRegionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCharacteristicsByRegionData(ctx context.Context, params *GetV2DensifiedBiomassCharacteristicsByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCharacteristicsByRegionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassCharacteristicsByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassCharacteristicsByRegionData(ctx context.Context, body PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCharacteristicsByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCharacteristicsByRegionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassExportSalesAndPrice(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassExportSalesAndPriceRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassExportSalesAndPriceData(ctx context.Context, params *GetV2DensifiedBiomassExportSalesAndPriceDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassExportSalesAndPriceDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassExportSalesAndPriceDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassExportSalesAndPriceDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassExportSalesAndPriceData(ctx context.Context, body PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassExportSalesAndPriceDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassExportSalesAndPriceFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassExportSalesAndPriceFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassExportSalesAndPriceFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassFeedstocksAndCost(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassFeedstocksAndCostRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassFeedstocksAndCostData(ctx context.Context, params *GetV2DensifiedBiomassFeedstocksAndCostDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassFeedstocksAndCostDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassFeedstocksAndCostDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassFeedstocksAndCostDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassFeedstocksAndCostData(ctx context.Context, body PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassFeedstocksAndCostDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassFeedstocksAndCostFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassFeedstocksAndCostFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassFeedstocksAndCostFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassInventoriesByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassInventoriesByRegionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassInventoriesByRegionData(ctx context.Context, params *GetV2DensifiedBiomassInventoriesByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassInventoriesByRegionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassInventoriesByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassInventoriesByRegionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassInventoriesByRegionData(ctx context.Context, body PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassInventoriesByRegionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassInventoriesByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassInventoriesByRegionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassInventoriesByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassInventoriesByRegionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassProductionByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassProductionByRegionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassProductionByRegionData(ctx context.Context, params *GetV2DensifiedBiomassProductionByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassProductionByRegionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassProductionByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassProductionByRegionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassProductionByRegionData(ctx context.Context, body PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassProductionByRegionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassProductionByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassProductionByRegionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassProductionByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassProductionByRegionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassSalesAndPriceByRegion(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassSalesAndPriceByRegionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassSalesAndPriceByRegionData(ctx context.Context, params *GetV2DensifiedBiomassSalesAndPriceByRegionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassSalesAndPriceByRegionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassSalesAndPriceByRegionData(ctx context.Context, body PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassSalesAndPriceByRegionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassSalesAndPriceByRegionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassWoodPelletPlants(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassWoodPelletPlantsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassWoodPelletPlantsData(ctx context.Context, params *GetV2DensifiedBiomassWoodPelletPlantsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassWoodPelletPlantsDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassWoodPelletPlantsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassWoodPelletPlantsDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2DensifiedBiomassWoodPelletPlantsData(ctx context.Context, body PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2DensifiedBiomassWoodPelletPlantsDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassWoodPelletPlantsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassWoodPelletPlantsFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2DensifiedBiomassWoodPelletPlantsFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Electricity(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityElectricPowerOperationalData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityElectricPowerOperationalDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityElectricPowerOperationalDataData(ctx context.Context, params *GetV2ElectricityElectricPowerOperationalDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityElectricPowerOperationalDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityElectricPowerOperationalDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityElectricPowerOperationalDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityElectricPowerOperationalDataData(ctx context.Context, body PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityElectricPowerOperationalDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityElectricPowerOperationalDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityElectricPowerOperationalDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityElectricPowerOperationalDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityElectricPowerOperationalDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityFacilityFuel(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityFacilityFuelRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityFacilityFuelData(ctx context.Context, params *GetV2ElectricityFacilityFuelDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityFacilityFuelDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityFacilityFuelDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityFacilityFuelDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityFacilityFuelData(ctx context.Context, body PostV2ElectricityFacilityFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityFacilityFuelDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityFacilityFuelFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityFacilityFuelFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityFacilityFuelFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityFacilityFuelFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityOperatingGeneratorCapacity(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityOperatingGeneratorCapacityRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityOperatingGeneratorCapacityData(ctx context.Context, params *GetV2ElectricityOperatingGeneratorCapacityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityOperatingGeneratorCapacityDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityOperatingGeneratorCapacityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityOperatingGeneratorCapacityDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityOperatingGeneratorCapacityData(ctx context.Context, body PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityOperatingGeneratorCapacityDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityOperatingGeneratorCapacityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityOperatingGeneratorCapacityFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityOperatingGeneratorCapacityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityOperatingGeneratorCapacityFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRetailSales(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRetailSalesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRetailSalesData(ctx context.Context, params *GetV2ElectricityRetailSalesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRetailSalesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRetailSalesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRetailSalesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRetailSalesData(ctx context.Context, body PostV2ElectricityRetailSalesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRetailSalesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRetailSalesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRetailSalesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRetailSalesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRetailSalesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRto(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyFuelTypeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyFuelTypeDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyFuelTypeDataData(ctx context.Context, params *GetV2ElectricityRtoDailyFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyFuelTypeDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyFuelTypeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyFuelTypeDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyFuelTypeDataData(ctx context.Context, body PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyFuelTypeDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyFuelTypeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyFuelTypeDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyFuelTypeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyInterchangeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyInterchangeDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyInterchangeDataData(ctx context.Context, params *GetV2ElectricityRtoDailyInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyInterchangeDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyInterchangeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyInterchangeDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyInterchangeDataData(ctx context.Context, body PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyInterchangeDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyInterchangeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyInterchangeDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyInterchangeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyInterchangeDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionDataData(ctx context.Context, params *GetV2ElectricityRtoDailyRegionDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyRegionDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyRegionDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyRegionDataData(ctx context.Context, body PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyRegionDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionSubBaData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionSubBaDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionSubBaDataData(ctx context.Context, params *GetV2ElectricityRtoDailyRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionSubBaDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyRegionSubBaDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoDailyRegionSubBaDataData(ctx context.Context, body PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionSubBaDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionSubBaDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoFuelTypeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoFuelTypeDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoFuelTypeDataData(ctx context.Context, params *GetV2ElectricityRtoFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoFuelTypeDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoFuelTypeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoFuelTypeDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoFuelTypeDataData(ctx context.Context, body PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoFuelTypeDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoFuelTypeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoFuelTypeDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoFuelTypeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoFuelTypeDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoInterchangeData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoInterchangeDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoInterchangeDataData(ctx context.Context, params *GetV2ElectricityRtoInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoInterchangeDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoInterchangeDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoInterchangeDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoInterchangeDataData(ctx context.Context, body PostV2ElectricityRtoInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoInterchangeDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoInterchangeDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoInterchangeDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoInterchangeDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoInterchangeDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionDataData(ctx context.Context, params *GetV2ElectricityRtoRegionDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoRegionDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoRegionDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoRegionDataData(ctx context.Context, body PostV2ElectricityRtoRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoRegionDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionSubBaData(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionSubBaDataRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionSubBaDataData(ctx context.Context, params *GetV2ElectricityRtoRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionSubBaDataDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoRegionSubBaDataDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoRegionSubBaDataDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityRtoRegionSubBaDataData(ctx context.Context, body PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityRtoRegionSubBaDataDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionSubBaDataFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionSubBaDataFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityRtoRegionSubBaDataFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityRtoRegionSubBaDataFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricitySep(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricitySepRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesCapability(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesCapabilityRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesCapabilityData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesCapabilityDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesCapabilityDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesCapabilityDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesCapabilityData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesCapabilityFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesCapabilityFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuel(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEnergyEfficiency(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesEnergyEfficiencyData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesMeters(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesMetersRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesMetersData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesMetersDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesMetersDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesMetersDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesMetersDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesMetersData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesMetersDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesMetersFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesMetersFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesMetersFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesMetersFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesNetMetering(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesNetMeteringRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesNetMeteringData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesNetMeteringDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesNetMeteringDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesNetMeteringData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesNetMeteringFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesNetMeteringFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSourceDisposition(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSourceDispositionRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSourceDispositionData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSourceDispositionDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesSourceDispositionData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSourceDispositionFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSourceDispositionFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSummary(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSummaryRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSummaryData(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSummaryDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSummaryDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesSummaryDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesSummaryDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2ElectricityStateElectricityProfilesSummaryData(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2ElectricityStateElectricityProfilesSummaryDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSummaryFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSummaryFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2ElectricityStateElectricityProfilesSummaryFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerIeo(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerIeoRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerConstruct(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerConstructRequest(c.Server, route1)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerGetData(ctx context.Context, route1 Route1, params *EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerGetDataRequest(c.Server, route1, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBody(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequestWithBody(c.Server, route1, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerPostData(ctx context.Context, route1 Route1, body EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequest(c.Server, route1, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacet(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetRequest(c.Server, route1)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetId(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdRequest(c.Server, route1, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2International(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2InternationalRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2InternationalData(ctx context.Context, params *GetV2InternationalDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2InternationalDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2InternationalDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2InternationalDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2InternationalData(ctx context.Context, body PostV2InternationalDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2InternationalDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2InternationalFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2InternationalFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2InternationalFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2InternationalFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NaturalGas(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NaturalGasRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NaturalGasRoute1(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NaturalGasRoute1Request(c.Server, route1)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NaturalGasRoute1Route2(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NaturalGasRoute1Route2Request(c.Server, route1, route2)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NaturalGasRoute1Route2Data(ctx context.Context, route1 Route1, route2 Route2, params *GetV2NaturalGasRoute1Route2DataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NaturalGasRoute1Route2DataRequest(c.Server, route1, route2, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NaturalGasRoute1Route2DataWithBody(ctx context.Context, route1 Route1, route2 Route2, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NaturalGasRoute1Route2DataRequestWithBody(c.Server, route1, route2, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NaturalGasRoute1Route2Data(ctx context.Context, route1 Route1, route2 Route2, body PostV2NaturalGasRoute1Route2DataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NaturalGasRoute1Route2DataRequest(c.Server, route1, route2, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NaturalGasRoute1Route2Facet(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NaturalGasRoute1Route2FacetRequest(c.Server, route1, route2)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NaturalGasRoute1Route2FacetFacetId(ctx context.Context, route1 Route1, route2 Route2, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NaturalGasRoute1Route2FacetFacetIdRequest(c.Server, route1, route2, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesFacilityNuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesFacilityNuclearOutagesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesFacilityNuclearOutagesData(ctx context.Context, params *GetV2NuclearOutagesFacilityNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesFacilityNuclearOutagesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NuclearOutagesFacilityNuclearOutagesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NuclearOutagesFacilityNuclearOutagesData(ctx context.Context, body PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesFacilityNuclearOutagesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesFacilityNuclearOutagesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesGeneratorNuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesGeneratorNuclearOutagesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesGeneratorNuclearOutagesData(ctx context.Context, params *GetV2NuclearOutagesGeneratorNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesGeneratorNuclearOutagesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NuclearOutagesGeneratorNuclearOutagesData(ctx context.Context, body PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesGeneratorNuclearOutagesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesGeneratorNuclearOutagesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesUsNuclearOutages(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesUsNuclearOutagesRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesUsNuclearOutagesData(ctx context.Context, params *GetV2NuclearOutagesUsNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesUsNuclearOutagesDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NuclearOutagesUsNuclearOutagesDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NuclearOutagesUsNuclearOutagesDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2NuclearOutagesUsNuclearOutagesData(ctx context.Context, body PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2NuclearOutagesUsNuclearOutagesDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesUsNuclearOutagesFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesUsNuclearOutagesFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2NuclearOutagesUsNuclearOutagesFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2NuclearOutagesUsNuclearOutagesFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Seds(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SedsRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2SedsData(ctx context.Context, params *GetV2SedsDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SedsDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2SedsDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2SedsDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2SedsData(ctx context.Context, body PostV2SedsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2SedsDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2SedsFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SedsFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2SedsFacetFacetId(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SedsFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2Steo(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SteoRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2SteoData(ctx context.Context, params *GetV2SteoDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SteoDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2SteoDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2SteoDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2SteoData(ctx context.Context, body PostV2SteoDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2SteoDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2SteoFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SteoFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2SteoFacetFacetId(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2SteoFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2TotalEnergy(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2TotalEnergyRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2TotalEnergyData(ctx context.Context, params *GetV2TotalEnergyDataParams, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2TotalEnergyDataRequest(c.Server, params)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2TotalEnergyDataWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2TotalEnergyDataRequestWithBody(c.Server, contentType, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) PostV2TotalEnergyData(ctx context.Context, body PostV2TotalEnergyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewPostV2TotalEnergyDataRequest(c.Server, body)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2TotalEnergyFacet(ctx context.Context, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2TotalEnergyFacetRequest(c.Server)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

func (c *Client) GetV2TotalEnergyFacetFacetId(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*http.Response, error) {
	req, err := NewGetV2TotalEnergyFacetFacetIdRequest(c.Server, facetId)
	if err != nil {
		return nil, err
	}
	req = req.WithContext(ctx)
	if err := c.applyEditors(ctx, req, reqEditors); err != nil {
		return nil, err
	}
	return c.Client.Do(req)
}

// NewGetV2Request generates requests for GetV2
func NewGetV2Request(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2AeoRequest generates requests for GetV2Aeo
func NewGetV2AeoRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/aeo")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2AeoRoute1Request generates requests for GetV2AeoRoute1
func NewGetV2AeoRoute1Request(server string, route1 string) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/aeo/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2AeoRoute1DataRequest generates requests for GetV2AeoRoute1Data
func NewGetV2AeoRoute1DataRequest(server string, route1 Route1, params *GetV2AeoRoute1DataParams) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/aeo/%s/data", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2AeoRoute1DataRequest calls the generic PostV2AeoRoute1Data builder with application/json body
func NewPostV2AeoRoute1DataRequest(server string, route1 Route1, body PostV2AeoRoute1DataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2AeoRoute1DataRequestWithBody(server, route1, "application/json", bodyReader)
}

// NewPostV2AeoRoute1DataRequestWithBody generates requests for PostV2AeoRoute1Data with any type of body
func NewPostV2AeoRoute1DataRequestWithBody(server string, route1 Route1, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/aeo/%s/data", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2AeoRoute1FacetRequest generates requests for GetV2AeoRoute1Facet
func NewGetV2AeoRoute1FacetRequest(server string, route1 Route1) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/aeo/%s/facet", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2AeoRoute1FacetFacetIdRequest generates requests for GetV2AeoRoute1FacetFacetId
func NewGetV2AeoRoute1FacetFacetIdRequest(server string, route1 Route1, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/aeo/%s/facet/%s", pathParam0, pathParam1)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsRequest generates requests for GetV2Co2Emissions
func NewGetV2Co2EmissionsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAggregatesRequest generates requests for GetV2Co2EmissionsCo2EmissionsAggregates
func NewGetV2Co2EmissionsCo2EmissionsAggregatesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-aggregates")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAggregatesDataRequest generates requests for GetV2Co2EmissionsCo2EmissionsAggregatesData
func NewGetV2Co2EmissionsCo2EmissionsAggregatesDataRequest(server string, params *GetV2Co2EmissionsCo2EmissionsAggregatesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequest calls the generic PostV2Co2EmissionsCo2EmissionsAggregatesData builder with application/json body
func NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequest(server string, body PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequestWithBody generates requests for PostV2Co2EmissionsCo2EmissionsAggregatesData with any type of body
func NewPostV2Co2EmissionsCo2EmissionsAggregatesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAggregatesFacetRequest generates requests for GetV2Co2EmissionsCo2EmissionsAggregatesFacet
func NewGetV2Co2EmissionsCo2EmissionsAggregatesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-aggregates/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdRequest generates requests for GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetId
func NewGetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-aggregates/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsRequest generates requests for GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficients
func NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-and-carbon-coefficients")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequest generates requests for GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData
func NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequest(server string, params *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-and-carbon-coefficients/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequest calls the generic PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData builder with application/json body
func NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequest(server string, body PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequestWithBody generates requests for PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData with any type of body
func NewPostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-and-carbon-coefficients/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetRequest generates requests for GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacet
func NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-and-carbon-coefficients/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdRequest generates requests for GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetId
func NewGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/co2-emissions/co2-emissions-and-carbon-coefficients/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalRequest generates requests for GetV2Coal
func NewGetV2CoalRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalAggregateProductionRequest generates requests for GetV2CoalAggregateProduction
func NewGetV2CoalAggregateProductionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/aggregate-production")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalAggregateProductionDataRequest generates requests for GetV2CoalAggregateProductionData
func NewGetV2CoalAggregateProductionDataRequest(server string, params *GetV2CoalAggregateProductionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/aggregate-production/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalAggregateProductionDataRequest calls the generic PostV2CoalAggregateProductionData builder with application/json body
func NewPostV2CoalAggregateProductionDataRequest(server string, body PostV2CoalAggregateProductionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalAggregateProductionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalAggregateProductionDataRequestWithBody generates requests for PostV2CoalAggregateProductionData with any type of body
func NewPostV2CoalAggregateProductionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/aggregate-production/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalAggregateProductionFacetRequest generates requests for GetV2CoalAggregateProductionFacet
func NewGetV2CoalAggregateProductionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/aggregate-production/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalAggregateProductionFacetFacetIdRequest generates requests for GetV2CoalAggregateProductionFacetFacetId
func NewGetV2CoalAggregateProductionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/aggregate-production/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalConsumptionAndQualityRequest generates requests for GetV2CoalConsumptionAndQuality
func NewGetV2CoalConsumptionAndQualityRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/consumption-and-quality")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalConsumptionAndQualityDataRequest generates requests for GetV2CoalConsumptionAndQualityData
func NewGetV2CoalConsumptionAndQualityDataRequest(server string, params *GetV2CoalConsumptionAndQualityDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/consumption-and-quality/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalConsumptionAndQualityDataRequest calls the generic PostV2CoalConsumptionAndQualityData builder with application/json body
func NewPostV2CoalConsumptionAndQualityDataRequest(server string, body PostV2CoalConsumptionAndQualityDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalConsumptionAndQualityDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalConsumptionAndQualityDataRequestWithBody generates requests for PostV2CoalConsumptionAndQualityData with any type of body
func NewPostV2CoalConsumptionAndQualityDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/consumption-and-quality/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalConsumptionAndQualityFacetRequest generates requests for GetV2CoalConsumptionAndQualityFacet
func NewGetV2CoalConsumptionAndQualityFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/consumption-and-quality/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalConsumptionAndQualityFacetFacetIdRequest generates requests for GetV2CoalConsumptionAndQualityFacetFacetId
func NewGetV2CoalConsumptionAndQualityFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/consumption-and-quality/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalExportsImportsQuantityPriceRequest generates requests for GetV2CoalExportsImportsQuantityPrice
func NewGetV2CoalExportsImportsQuantityPriceRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/exports-imports-quantity-price")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalExportsImportsQuantityPriceDataRequest generates requests for GetV2CoalExportsImportsQuantityPriceData
func NewGetV2CoalExportsImportsQuantityPriceDataRequest(server string, params *GetV2CoalExportsImportsQuantityPriceDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/exports-imports-quantity-price/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalExportsImportsQuantityPriceDataRequest calls the generic PostV2CoalExportsImportsQuantityPriceData builder with application/json body
func NewPostV2CoalExportsImportsQuantityPriceDataRequest(server string, body PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalExportsImportsQuantityPriceDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalExportsImportsQuantityPriceDataRequestWithBody generates requests for PostV2CoalExportsImportsQuantityPriceData with any type of body
func NewPostV2CoalExportsImportsQuantityPriceDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/exports-imports-quantity-price/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalExportsImportsQuantityPriceFacetRequest generates requests for GetV2CoalExportsImportsQuantityPriceFacet
func NewGetV2CoalExportsImportsQuantityPriceFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/exports-imports-quantity-price/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalExportsImportsQuantityPriceFacetFacetIdRequest generates requests for GetV2CoalExportsImportsQuantityPriceFacetFacetId
func NewGetV2CoalExportsImportsQuantityPriceFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/exports-imports-quantity-price/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalMarketSalesPriceRequest generates requests for GetV2CoalMarketSalesPrice
func NewGetV2CoalMarketSalesPriceRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/market-sales-price")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalMarketSalesPriceDataRequest generates requests for GetV2CoalMarketSalesPriceData
func NewGetV2CoalMarketSalesPriceDataRequest(server string, params *GetV2CoalMarketSalesPriceDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/market-sales-price/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalMarketSalesPriceDataRequest calls the generic PostV2CoalMarketSalesPriceData builder with application/json body
func NewPostV2CoalMarketSalesPriceDataRequest(server string, body PostV2CoalMarketSalesPriceDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalMarketSalesPriceDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalMarketSalesPriceDataRequestWithBody generates requests for PostV2CoalMarketSalesPriceData with any type of body
func NewPostV2CoalMarketSalesPriceDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/market-sales-price/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalMarketSalesPriceFacetRequest generates requests for GetV2CoalMarketSalesPriceFacet
func NewGetV2CoalMarketSalesPriceFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/market-sales-price/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalMarketSalesPriceFacetFacetIdRequest generates requests for GetV2CoalMarketSalesPriceFacetFacetId
func NewGetV2CoalMarketSalesPriceFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/market-sales-price/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalMineProductionRequest generates requests for GetV2CoalMineProduction
func NewGetV2CoalMineProductionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/mine-production")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalMineProductionDataRequest generates requests for GetV2CoalMineProductionData
func NewGetV2CoalMineProductionDataRequest(server string, params *GetV2CoalMineProductionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/mine-production/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalMineProductionDataRequest calls the generic PostV2CoalMineProductionData builder with application/json body
func NewPostV2CoalMineProductionDataRequest(server string, body PostV2CoalMineProductionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalMineProductionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalMineProductionDataRequestWithBody generates requests for PostV2CoalMineProductionData with any type of body
func NewPostV2CoalMineProductionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/mine-production/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalMineProductionFacetRequest generates requests for GetV2CoalMineProductionFacet
func NewGetV2CoalMineProductionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/mine-production/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalMineProductionFacetFacetIdRequest generates requests for GetV2CoalMineProductionFacetFacetId
func NewGetV2CoalMineProductionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/mine-production/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalPriceByRankRequest generates requests for GetV2CoalPriceByRank
func NewGetV2CoalPriceByRankRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/price-by-rank")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalPriceByRankDataRequest generates requests for GetV2CoalPriceByRankData
func NewGetV2CoalPriceByRankDataRequest(server string, params *GetV2CoalPriceByRankDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/price-by-rank/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalPriceByRankDataRequest calls the generic PostV2CoalPriceByRankData builder with application/json body
func NewPostV2CoalPriceByRankDataRequest(server string, body PostV2CoalPriceByRankDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalPriceByRankDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalPriceByRankDataRequestWithBody generates requests for PostV2CoalPriceByRankData with any type of body
func NewPostV2CoalPriceByRankDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/price-by-rank/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalPriceByRankFacetRequest generates requests for GetV2CoalPriceByRankFacet
func NewGetV2CoalPriceByRankFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/price-by-rank/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalPriceByRankFacetFacetIdRequest generates requests for GetV2CoalPriceByRankFacetFacetId
func NewGetV2CoalPriceByRankFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/price-by-rank/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalReservesCapacityRequest generates requests for GetV2CoalReservesCapacity
func NewGetV2CoalReservesCapacityRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/reserves-capacity")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalReservesCapacityDataRequest generates requests for GetV2CoalReservesCapacityData
func NewGetV2CoalReservesCapacityDataRequest(server string, params *GetV2CoalReservesCapacityDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/reserves-capacity/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalReservesCapacityDataRequest calls the generic PostV2CoalReservesCapacityData builder with application/json body
func NewPostV2CoalReservesCapacityDataRequest(server string, body PostV2CoalReservesCapacityDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalReservesCapacityDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalReservesCapacityDataRequestWithBody generates requests for PostV2CoalReservesCapacityData with any type of body
func NewPostV2CoalReservesCapacityDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/reserves-capacity/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalReservesCapacityFacetRequest generates requests for GetV2CoalReservesCapacityFacet
func NewGetV2CoalReservesCapacityFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/reserves-capacity/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalReservesCapacityFacetFacetIdRequest generates requests for GetV2CoalReservesCapacityFacetFacetId
func NewGetV2CoalReservesCapacityFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/reserves-capacity/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsRequest generates requests for GetV2CoalShipments
func NewGetV2CoalShipmentsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsByMineByPlantRequest generates requests for GetV2CoalShipmentsByMineByPlant
func NewGetV2CoalShipmentsByMineByPlantRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/by-mine-by-plant")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsByMineByPlantDataRequest generates requests for GetV2CoalShipmentsByMineByPlantData
func NewGetV2CoalShipmentsByMineByPlantDataRequest(server string, params *GetV2CoalShipmentsByMineByPlantDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/by-mine-by-plant/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalShipmentsByMineByPlantDataRequest calls the generic PostV2CoalShipmentsByMineByPlantData builder with application/json body
func NewPostV2CoalShipmentsByMineByPlantDataRequest(server string, body PostV2CoalShipmentsByMineByPlantDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalShipmentsByMineByPlantDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalShipmentsByMineByPlantDataRequestWithBody generates requests for PostV2CoalShipmentsByMineByPlantData with any type of body
func NewPostV2CoalShipmentsByMineByPlantDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/by-mine-by-plant/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalShipmentsByMineByPlantFacetRequest generates requests for GetV2CoalShipmentsByMineByPlantFacet
func NewGetV2CoalShipmentsByMineByPlantFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/by-mine-by-plant/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsByMineByPlantFacetFacetIdRequest generates requests for GetV2CoalShipmentsByMineByPlantFacetFacetId
func NewGetV2CoalShipmentsByMineByPlantFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/by-mine-by-plant/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsMineAggregatesRequest generates requests for GetV2CoalShipmentsMineAggregates
func NewGetV2CoalShipmentsMineAggregatesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-aggregates")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsMineAggregatesDataRequest generates requests for GetV2CoalShipmentsMineAggregatesData
func NewGetV2CoalShipmentsMineAggregatesDataRequest(server string, params *GetV2CoalShipmentsMineAggregatesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalShipmentsMineAggregatesDataRequest calls the generic PostV2CoalShipmentsMineAggregatesData builder with application/json body
func NewPostV2CoalShipmentsMineAggregatesDataRequest(server string, body PostV2CoalShipmentsMineAggregatesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalShipmentsMineAggregatesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalShipmentsMineAggregatesDataRequestWithBody generates requests for PostV2CoalShipmentsMineAggregatesData with any type of body
func NewPostV2CoalShipmentsMineAggregatesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalShipmentsMineAggregatesFacetRequest generates requests for GetV2CoalShipmentsMineAggregatesFacet
func NewGetV2CoalShipmentsMineAggregatesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-aggregates/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsMineAggregatesFacetFacetIdRequest generates requests for GetV2CoalShipmentsMineAggregatesFacetFacetId
func NewGetV2CoalShipmentsMineAggregatesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-aggregates/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsMineStateAggregatesRequest generates requests for GetV2CoalShipmentsMineStateAggregates
func NewGetV2CoalShipmentsMineStateAggregatesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-state-aggregates")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsMineStateAggregatesDataRequest generates requests for GetV2CoalShipmentsMineStateAggregatesData
func NewGetV2CoalShipmentsMineStateAggregatesDataRequest(server string, params *GetV2CoalShipmentsMineStateAggregatesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-state-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalShipmentsMineStateAggregatesDataRequest calls the generic PostV2CoalShipmentsMineStateAggregatesData builder with application/json body
func NewPostV2CoalShipmentsMineStateAggregatesDataRequest(server string, body PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalShipmentsMineStateAggregatesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalShipmentsMineStateAggregatesDataRequestWithBody generates requests for PostV2CoalShipmentsMineStateAggregatesData with any type of body
func NewPostV2CoalShipmentsMineStateAggregatesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-state-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalShipmentsMineStateAggregatesFacetRequest generates requests for GetV2CoalShipmentsMineStateAggregatesFacet
func NewGetV2CoalShipmentsMineStateAggregatesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-state-aggregates/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsMineStateAggregatesFacetFacetIdRequest generates requests for GetV2CoalShipmentsMineStateAggregatesFacetFacetId
func NewGetV2CoalShipmentsMineStateAggregatesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/mine-state-aggregates/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsPlantAggregatesRequest generates requests for GetV2CoalShipmentsPlantAggregates
func NewGetV2CoalShipmentsPlantAggregatesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-aggregates")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsPlantAggregatesDataRequest generates requests for GetV2CoalShipmentsPlantAggregatesData
func NewGetV2CoalShipmentsPlantAggregatesDataRequest(server string, params *GetV2CoalShipmentsPlantAggregatesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalShipmentsPlantAggregatesDataRequest calls the generic PostV2CoalShipmentsPlantAggregatesData builder with application/json body
func NewPostV2CoalShipmentsPlantAggregatesDataRequest(server string, body PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalShipmentsPlantAggregatesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalShipmentsPlantAggregatesDataRequestWithBody generates requests for PostV2CoalShipmentsPlantAggregatesData with any type of body
func NewPostV2CoalShipmentsPlantAggregatesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalShipmentsPlantAggregatesFacetRequest generates requests for GetV2CoalShipmentsPlantAggregatesFacet
func NewGetV2CoalShipmentsPlantAggregatesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-aggregates/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsPlantAggregatesFacetFacetIdRequest generates requests for GetV2CoalShipmentsPlantAggregatesFacetFacetId
func NewGetV2CoalShipmentsPlantAggregatesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-aggregates/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsPlantStateAggregatesRequest generates requests for GetV2CoalShipmentsPlantStateAggregates
func NewGetV2CoalShipmentsPlantStateAggregatesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-state-aggregates")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsPlantStateAggregatesDataRequest generates requests for GetV2CoalShipmentsPlantStateAggregatesData
func NewGetV2CoalShipmentsPlantStateAggregatesDataRequest(server string, params *GetV2CoalShipmentsPlantStateAggregatesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-state-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalShipmentsPlantStateAggregatesDataRequest calls the generic PostV2CoalShipmentsPlantStateAggregatesData builder with application/json body
func NewPostV2CoalShipmentsPlantStateAggregatesDataRequest(server string, body PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalShipmentsPlantStateAggregatesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalShipmentsPlantStateAggregatesDataRequestWithBody generates requests for PostV2CoalShipmentsPlantStateAggregatesData with any type of body
func NewPostV2CoalShipmentsPlantStateAggregatesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-state-aggregates/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalShipmentsPlantStateAggregatesFacetRequest generates requests for GetV2CoalShipmentsPlantStateAggregatesFacet
func NewGetV2CoalShipmentsPlantStateAggregatesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-state-aggregates/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsPlantStateAggregatesFacetFacetIdRequest generates requests for GetV2CoalShipmentsPlantStateAggregatesFacetFacetId
func NewGetV2CoalShipmentsPlantStateAggregatesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/plant-state-aggregates/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsReceiptsRequest generates requests for GetV2CoalShipmentsReceipts
func NewGetV2CoalShipmentsReceiptsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/receipts")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsReceiptsDataRequest generates requests for GetV2CoalShipmentsReceiptsData
func NewGetV2CoalShipmentsReceiptsDataRequest(server string, params *GetV2CoalShipmentsReceiptsDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/receipts/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CoalShipmentsReceiptsDataRequest calls the generic PostV2CoalShipmentsReceiptsData builder with application/json body
func NewPostV2CoalShipmentsReceiptsDataRequest(server string, body PostV2CoalShipmentsReceiptsDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CoalShipmentsReceiptsDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CoalShipmentsReceiptsDataRequestWithBody generates requests for PostV2CoalShipmentsReceiptsData with any type of body
func NewPostV2CoalShipmentsReceiptsDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/receipts/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CoalShipmentsReceiptsFacetRequest generates requests for GetV2CoalShipmentsReceiptsFacet
func NewGetV2CoalShipmentsReceiptsFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/receipts/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CoalShipmentsReceiptsFacetFacetIdRequest generates requests for GetV2CoalShipmentsReceiptsFacetFacetId
func NewGetV2CoalShipmentsReceiptsFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/coal/shipments/receipts/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CrudeOilImportsRequest generates requests for GetV2CrudeOilImports
func NewGetV2CrudeOilImportsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/crude-oil-imports")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CrudeOilImportsDataRequest generates requests for GetV2CrudeOilImportsData
func NewGetV2CrudeOilImportsDataRequest(server string, params *GetV2CrudeOilImportsDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/crude-oil-imports/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2CrudeOilImportsDataRequest calls the generic PostV2CrudeOilImportsData builder with application/json body
func NewPostV2CrudeOilImportsDataRequest(server string, body PostV2CrudeOilImportsDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2CrudeOilImportsDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2CrudeOilImportsDataRequestWithBody generates requests for PostV2CrudeOilImportsData with any type of body
func NewPostV2CrudeOilImportsDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/crude-oil-imports/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2CrudeOilImportsFacetRequest generates requests for GetV2CrudeOilImportsFacet
func NewGetV2CrudeOilImportsFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/crude-oil-imports/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2CrudeOilImportsFacetFacetIdRequest generates requests for GetV2CrudeOilImportsFacetFacetId
func NewGetV2CrudeOilImportsFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/crude-oil-imports/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassRequest generates requests for GetV2DensifiedBiomass
func NewGetV2DensifiedBiomassRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassCapacityByRegionRequest generates requests for GetV2DensifiedBiomassCapacityByRegion
func NewGetV2DensifiedBiomassCapacityByRegionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/capacity-by-region")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassCapacityByRegionDataRequest generates requests for GetV2DensifiedBiomassCapacityByRegionData
func NewGetV2DensifiedBiomassCapacityByRegionDataRequest(server string, params *GetV2DensifiedBiomassCapacityByRegionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/capacity-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassCapacityByRegionDataRequest calls the generic PostV2DensifiedBiomassCapacityByRegionData builder with application/json body
func NewPostV2DensifiedBiomassCapacityByRegionDataRequest(server string, body PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassCapacityByRegionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassCapacityByRegionDataRequestWithBody generates requests for PostV2DensifiedBiomassCapacityByRegionData with any type of body
func NewPostV2DensifiedBiomassCapacityByRegionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/capacity-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassCapacityByRegionFacetRequest generates requests for GetV2DensifiedBiomassCapacityByRegionFacet
func NewGetV2DensifiedBiomassCapacityByRegionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/capacity-by-region/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassCapacityByRegionFacetFacetIdRequest generates requests for GetV2DensifiedBiomassCapacityByRegionFacetFacetId
func NewGetV2DensifiedBiomassCapacityByRegionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/capacity-by-region/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassCharacteristicsByRegionRequest generates requests for GetV2DensifiedBiomassCharacteristicsByRegion
func NewGetV2DensifiedBiomassCharacteristicsByRegionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/characteristics-by-region")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassCharacteristicsByRegionDataRequest generates requests for GetV2DensifiedBiomassCharacteristicsByRegionData
func NewGetV2DensifiedBiomassCharacteristicsByRegionDataRequest(server string, params *GetV2DensifiedBiomassCharacteristicsByRegionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/characteristics-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequest calls the generic PostV2DensifiedBiomassCharacteristicsByRegionData builder with application/json body
func NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequest(server string, body PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequestWithBody generates requests for PostV2DensifiedBiomassCharacteristicsByRegionData with any type of body
func NewPostV2DensifiedBiomassCharacteristicsByRegionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/characteristics-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassCharacteristicsByRegionFacetRequest generates requests for GetV2DensifiedBiomassCharacteristicsByRegionFacet
func NewGetV2DensifiedBiomassCharacteristicsByRegionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/characteristics-by-region/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdRequest generates requests for GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetId
func NewGetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/characteristics-by-region/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassExportSalesAndPriceRequest generates requests for GetV2DensifiedBiomassExportSalesAndPrice
func NewGetV2DensifiedBiomassExportSalesAndPriceRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/export-sales-and-price")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassExportSalesAndPriceDataRequest generates requests for GetV2DensifiedBiomassExportSalesAndPriceData
func NewGetV2DensifiedBiomassExportSalesAndPriceDataRequest(server string, params *GetV2DensifiedBiomassExportSalesAndPriceDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/export-sales-and-price/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassExportSalesAndPriceDataRequest calls the generic PostV2DensifiedBiomassExportSalesAndPriceData builder with application/json body
func NewPostV2DensifiedBiomassExportSalesAndPriceDataRequest(server string, body PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassExportSalesAndPriceDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassExportSalesAndPriceDataRequestWithBody generates requests for PostV2DensifiedBiomassExportSalesAndPriceData with any type of body
func NewPostV2DensifiedBiomassExportSalesAndPriceDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/export-sales-and-price/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassExportSalesAndPriceFacetRequest generates requests for GetV2DensifiedBiomassExportSalesAndPriceFacet
func NewGetV2DensifiedBiomassExportSalesAndPriceFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/export-sales-and-price/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdRequest generates requests for GetV2DensifiedBiomassExportSalesAndPriceFacetFacetId
func NewGetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/export-sales-and-price/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassFeedstocksAndCostRequest generates requests for GetV2DensifiedBiomassFeedstocksAndCost
func NewGetV2DensifiedBiomassFeedstocksAndCostRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/feedstocks-and-cost")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassFeedstocksAndCostDataRequest generates requests for GetV2DensifiedBiomassFeedstocksAndCostData
func NewGetV2DensifiedBiomassFeedstocksAndCostDataRequest(server string, params *GetV2DensifiedBiomassFeedstocksAndCostDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/feedstocks-and-cost/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassFeedstocksAndCostDataRequest calls the generic PostV2DensifiedBiomassFeedstocksAndCostData builder with application/json body
func NewPostV2DensifiedBiomassFeedstocksAndCostDataRequest(server string, body PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassFeedstocksAndCostDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassFeedstocksAndCostDataRequestWithBody generates requests for PostV2DensifiedBiomassFeedstocksAndCostData with any type of body
func NewPostV2DensifiedBiomassFeedstocksAndCostDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/feedstocks-and-cost/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassFeedstocksAndCostFacetRequest generates requests for GetV2DensifiedBiomassFeedstocksAndCostFacet
func NewGetV2DensifiedBiomassFeedstocksAndCostFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/feedstocks-and-cost/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdRequest generates requests for GetV2DensifiedBiomassFeedstocksAndCostFacetFacetId
func NewGetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/feedstocks-and-cost/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassInventoriesByRegionRequest generates requests for GetV2DensifiedBiomassInventoriesByRegion
func NewGetV2DensifiedBiomassInventoriesByRegionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/inventories-by-region")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassInventoriesByRegionDataRequest generates requests for GetV2DensifiedBiomassInventoriesByRegionData
func NewGetV2DensifiedBiomassInventoriesByRegionDataRequest(server string, params *GetV2DensifiedBiomassInventoriesByRegionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/inventories-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassInventoriesByRegionDataRequest calls the generic PostV2DensifiedBiomassInventoriesByRegionData builder with application/json body
func NewPostV2DensifiedBiomassInventoriesByRegionDataRequest(server string, body PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassInventoriesByRegionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassInventoriesByRegionDataRequestWithBody generates requests for PostV2DensifiedBiomassInventoriesByRegionData with any type of body
func NewPostV2DensifiedBiomassInventoriesByRegionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/inventories-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassInventoriesByRegionFacetRequest generates requests for GetV2DensifiedBiomassInventoriesByRegionFacet
func NewGetV2DensifiedBiomassInventoriesByRegionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/inventories-by-region/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassInventoriesByRegionFacetFacetIdRequest generates requests for GetV2DensifiedBiomassInventoriesByRegionFacetFacetId
func NewGetV2DensifiedBiomassInventoriesByRegionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/inventories-by-region/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassProductionByRegionRequest generates requests for GetV2DensifiedBiomassProductionByRegion
func NewGetV2DensifiedBiomassProductionByRegionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/production-by-region")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassProductionByRegionDataRequest generates requests for GetV2DensifiedBiomassProductionByRegionData
func NewGetV2DensifiedBiomassProductionByRegionDataRequest(server string, params *GetV2DensifiedBiomassProductionByRegionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/production-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassProductionByRegionDataRequest calls the generic PostV2DensifiedBiomassProductionByRegionData builder with application/json body
func NewPostV2DensifiedBiomassProductionByRegionDataRequest(server string, body PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassProductionByRegionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassProductionByRegionDataRequestWithBody generates requests for PostV2DensifiedBiomassProductionByRegionData with any type of body
func NewPostV2DensifiedBiomassProductionByRegionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/production-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassProductionByRegionFacetRequest generates requests for GetV2DensifiedBiomassProductionByRegionFacet
func NewGetV2DensifiedBiomassProductionByRegionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/production-by-region/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassProductionByRegionFacetFacetIdRequest generates requests for GetV2DensifiedBiomassProductionByRegionFacetFacetId
func NewGetV2DensifiedBiomassProductionByRegionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/production-by-region/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassSalesAndPriceByRegionRequest generates requests for GetV2DensifiedBiomassSalesAndPriceByRegion
func NewGetV2DensifiedBiomassSalesAndPriceByRegionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/sales-and-price-by-region")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassSalesAndPriceByRegionDataRequest generates requests for GetV2DensifiedBiomassSalesAndPriceByRegionData
func NewGetV2DensifiedBiomassSalesAndPriceByRegionDataRequest(server string, params *GetV2DensifiedBiomassSalesAndPriceByRegionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/sales-and-price-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequest calls the generic PostV2DensifiedBiomassSalesAndPriceByRegionData builder with application/json body
func NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequest(server string, body PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequestWithBody generates requests for PostV2DensifiedBiomassSalesAndPriceByRegionData with any type of body
func NewPostV2DensifiedBiomassSalesAndPriceByRegionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/sales-and-price-by-region/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassSalesAndPriceByRegionFacetRequest generates requests for GetV2DensifiedBiomassSalesAndPriceByRegionFacet
func NewGetV2DensifiedBiomassSalesAndPriceByRegionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/sales-and-price-by-region/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdRequest generates requests for GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetId
func NewGetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/sales-and-price-by-region/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassWoodPelletPlantsRequest generates requests for GetV2DensifiedBiomassWoodPelletPlants
func NewGetV2DensifiedBiomassWoodPelletPlantsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/wood-pellet-plants")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassWoodPelletPlantsDataRequest generates requests for GetV2DensifiedBiomassWoodPelletPlantsData
func NewGetV2DensifiedBiomassWoodPelletPlantsDataRequest(server string, params *GetV2DensifiedBiomassWoodPelletPlantsDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/wood-pellet-plants/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2DensifiedBiomassWoodPelletPlantsDataRequest calls the generic PostV2DensifiedBiomassWoodPelletPlantsData builder with application/json body
func NewPostV2DensifiedBiomassWoodPelletPlantsDataRequest(server string, body PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2DensifiedBiomassWoodPelletPlantsDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2DensifiedBiomassWoodPelletPlantsDataRequestWithBody generates requests for PostV2DensifiedBiomassWoodPelletPlantsData with any type of body
func NewPostV2DensifiedBiomassWoodPelletPlantsDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/wood-pellet-plants/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2DensifiedBiomassWoodPelletPlantsFacetRequest generates requests for GetV2DensifiedBiomassWoodPelletPlantsFacet
func NewGetV2DensifiedBiomassWoodPelletPlantsFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/wood-pellet-plants/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdRequest generates requests for GetV2DensifiedBiomassWoodPelletPlantsFacetFacetId
func NewGetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/densified-biomass/wood-pellet-plants/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRequest generates requests for GetV2Electricity
func NewGetV2ElectricityRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityElectricPowerOperationalDataRequest generates requests for GetV2ElectricityElectricPowerOperationalData
func NewGetV2ElectricityElectricPowerOperationalDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/electric-power-operational-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityElectricPowerOperationalDataDataRequest generates requests for GetV2ElectricityElectricPowerOperationalDataData
func NewGetV2ElectricityElectricPowerOperationalDataDataRequest(server string, params *GetV2ElectricityElectricPowerOperationalDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/electric-power-operational-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityElectricPowerOperationalDataDataRequest calls the generic PostV2ElectricityElectricPowerOperationalDataData builder with application/json body
func NewPostV2ElectricityElectricPowerOperationalDataDataRequest(server string, body PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityElectricPowerOperationalDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityElectricPowerOperationalDataDataRequestWithBody generates requests for PostV2ElectricityElectricPowerOperationalDataData with any type of body
func NewPostV2ElectricityElectricPowerOperationalDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/electric-power-operational-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityElectricPowerOperationalDataFacetRequest generates requests for GetV2ElectricityElectricPowerOperationalDataFacet
func NewGetV2ElectricityElectricPowerOperationalDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/electric-power-operational-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityElectricPowerOperationalDataFacetFacetIdRequest generates requests for GetV2ElectricityElectricPowerOperationalDataFacetFacetId
func NewGetV2ElectricityElectricPowerOperationalDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/electric-power-operational-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityFacilityFuelRequest generates requests for GetV2ElectricityFacilityFuel
func NewGetV2ElectricityFacilityFuelRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/facility-fuel")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityFacilityFuelDataRequest generates requests for GetV2ElectricityFacilityFuelData
func NewGetV2ElectricityFacilityFuelDataRequest(server string, params *GetV2ElectricityFacilityFuelDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/facility-fuel/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityFacilityFuelDataRequest calls the generic PostV2ElectricityFacilityFuelData builder with application/json body
func NewPostV2ElectricityFacilityFuelDataRequest(server string, body PostV2ElectricityFacilityFuelDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityFacilityFuelDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityFacilityFuelDataRequestWithBody generates requests for PostV2ElectricityFacilityFuelData with any type of body
func NewPostV2ElectricityFacilityFuelDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/facility-fuel/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityFacilityFuelFacetRequest generates requests for GetV2ElectricityFacilityFuelFacet
func NewGetV2ElectricityFacilityFuelFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/facility-fuel/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityFacilityFuelFacetFacetIdRequest generates requests for GetV2ElectricityFacilityFuelFacetFacetId
func NewGetV2ElectricityFacilityFuelFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/facility-fuel/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityOperatingGeneratorCapacityRequest generates requests for GetV2ElectricityOperatingGeneratorCapacity
func NewGetV2ElectricityOperatingGeneratorCapacityRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/operating-generator-capacity")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityOperatingGeneratorCapacityDataRequest generates requests for GetV2ElectricityOperatingGeneratorCapacityData
func NewGetV2ElectricityOperatingGeneratorCapacityDataRequest(server string, params *GetV2ElectricityOperatingGeneratorCapacityDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/operating-generator-capacity/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityOperatingGeneratorCapacityDataRequest calls the generic PostV2ElectricityOperatingGeneratorCapacityData builder with application/json body
func NewPostV2ElectricityOperatingGeneratorCapacityDataRequest(server string, body PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityOperatingGeneratorCapacityDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityOperatingGeneratorCapacityDataRequestWithBody generates requests for PostV2ElectricityOperatingGeneratorCapacityData with any type of body
func NewPostV2ElectricityOperatingGeneratorCapacityDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/operating-generator-capacity/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityOperatingGeneratorCapacityFacetRequest generates requests for GetV2ElectricityOperatingGeneratorCapacityFacet
func NewGetV2ElectricityOperatingGeneratorCapacityFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/operating-generator-capacity/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityOperatingGeneratorCapacityFacetFacetIdRequest generates requests for GetV2ElectricityOperatingGeneratorCapacityFacetFacetId
func NewGetV2ElectricityOperatingGeneratorCapacityFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/operating-generator-capacity/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRetailSalesRequest generates requests for GetV2ElectricityRetailSales
func NewGetV2ElectricityRetailSalesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/retail-sales")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRetailSalesDataRequest generates requests for GetV2ElectricityRetailSalesData
func NewGetV2ElectricityRetailSalesDataRequest(server string, params *GetV2ElectricityRetailSalesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/retail-sales/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRetailSalesDataRequest calls the generic PostV2ElectricityRetailSalesData builder with application/json body
func NewPostV2ElectricityRetailSalesDataRequest(server string, body PostV2ElectricityRetailSalesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRetailSalesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRetailSalesDataRequestWithBody generates requests for PostV2ElectricityRetailSalesData with any type of body
func NewPostV2ElectricityRetailSalesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/retail-sales/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRetailSalesFacetRequest generates requests for GetV2ElectricityRetailSalesFacet
func NewGetV2ElectricityRetailSalesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/retail-sales/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRetailSalesFacetFacetIdRequest generates requests for GetV2ElectricityRetailSalesFacetFacetId
func NewGetV2ElectricityRetailSalesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/retail-sales/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRequest generates requests for GetV2ElectricityRto
func NewGetV2ElectricityRtoRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyFuelTypeDataRequest generates requests for GetV2ElectricityRtoDailyFuelTypeData
func NewGetV2ElectricityRtoDailyFuelTypeDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-fuel-type-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyFuelTypeDataDataRequest generates requests for GetV2ElectricityRtoDailyFuelTypeDataData
func NewGetV2ElectricityRtoDailyFuelTypeDataDataRequest(server string, params *GetV2ElectricityRtoDailyFuelTypeDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-fuel-type-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoDailyFuelTypeDataDataRequest calls the generic PostV2ElectricityRtoDailyFuelTypeDataData builder with application/json body
func NewPostV2ElectricityRtoDailyFuelTypeDataDataRequest(server string, body PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoDailyFuelTypeDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoDailyFuelTypeDataDataRequestWithBody generates requests for PostV2ElectricityRtoDailyFuelTypeDataData with any type of body
func NewPostV2ElectricityRtoDailyFuelTypeDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-fuel-type-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoDailyFuelTypeDataFacetRequest generates requests for GetV2ElectricityRtoDailyFuelTypeDataFacet
func NewGetV2ElectricityRtoDailyFuelTypeDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-fuel-type-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoDailyFuelTypeDataFacetFacetId
func NewGetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-fuel-type-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyInterchangeDataRequest generates requests for GetV2ElectricityRtoDailyInterchangeData
func NewGetV2ElectricityRtoDailyInterchangeDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-interchange-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyInterchangeDataDataRequest generates requests for GetV2ElectricityRtoDailyInterchangeDataData
func NewGetV2ElectricityRtoDailyInterchangeDataDataRequest(server string, params *GetV2ElectricityRtoDailyInterchangeDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-interchange-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoDailyInterchangeDataDataRequest calls the generic PostV2ElectricityRtoDailyInterchangeDataData builder with application/json body
func NewPostV2ElectricityRtoDailyInterchangeDataDataRequest(server string, body PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoDailyInterchangeDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoDailyInterchangeDataDataRequestWithBody generates requests for PostV2ElectricityRtoDailyInterchangeDataData with any type of body
func NewPostV2ElectricityRtoDailyInterchangeDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-interchange-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoDailyInterchangeDataFacetRequest generates requests for GetV2ElectricityRtoDailyInterchangeDataFacet
func NewGetV2ElectricityRtoDailyInterchangeDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-interchange-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyInterchangeDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoDailyInterchangeDataFacetFacetId
func NewGetV2ElectricityRtoDailyInterchangeDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-interchange-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionDataRequest generates requests for GetV2ElectricityRtoDailyRegionData
func NewGetV2ElectricityRtoDailyRegionDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionDataDataRequest generates requests for GetV2ElectricityRtoDailyRegionDataData
func NewGetV2ElectricityRtoDailyRegionDataDataRequest(server string, params *GetV2ElectricityRtoDailyRegionDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoDailyRegionDataDataRequest calls the generic PostV2ElectricityRtoDailyRegionDataData builder with application/json body
func NewPostV2ElectricityRtoDailyRegionDataDataRequest(server string, body PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoDailyRegionDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoDailyRegionDataDataRequestWithBody generates requests for PostV2ElectricityRtoDailyRegionDataData with any type of body
func NewPostV2ElectricityRtoDailyRegionDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionDataFacetRequest generates requests for GetV2ElectricityRtoDailyRegionDataFacet
func NewGetV2ElectricityRtoDailyRegionDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoDailyRegionDataFacetFacetId
func NewGetV2ElectricityRtoDailyRegionDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionSubBaDataRequest generates requests for GetV2ElectricityRtoDailyRegionSubBaData
func NewGetV2ElectricityRtoDailyRegionSubBaDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-sub-ba-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionSubBaDataDataRequest generates requests for GetV2ElectricityRtoDailyRegionSubBaDataData
func NewGetV2ElectricityRtoDailyRegionSubBaDataDataRequest(server string, params *GetV2ElectricityRtoDailyRegionSubBaDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-sub-ba-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequest calls the generic PostV2ElectricityRtoDailyRegionSubBaDataData builder with application/json body
func NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequest(server string, body PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequestWithBody generates requests for PostV2ElectricityRtoDailyRegionSubBaDataData with any type of body
func NewPostV2ElectricityRtoDailyRegionSubBaDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-sub-ba-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionSubBaDataFacetRequest generates requests for GetV2ElectricityRtoDailyRegionSubBaDataFacet
func NewGetV2ElectricityRtoDailyRegionSubBaDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-sub-ba-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetId
func NewGetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/daily-region-sub-ba-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoFuelTypeDataRequest generates requests for GetV2ElectricityRtoFuelTypeData
func NewGetV2ElectricityRtoFuelTypeDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/fuel-type-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoFuelTypeDataDataRequest generates requests for GetV2ElectricityRtoFuelTypeDataData
func NewGetV2ElectricityRtoFuelTypeDataDataRequest(server string, params *GetV2ElectricityRtoFuelTypeDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/fuel-type-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoFuelTypeDataDataRequest calls the generic PostV2ElectricityRtoFuelTypeDataData builder with application/json body
func NewPostV2ElectricityRtoFuelTypeDataDataRequest(server string, body PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoFuelTypeDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoFuelTypeDataDataRequestWithBody generates requests for PostV2ElectricityRtoFuelTypeDataData with any type of body
func NewPostV2ElectricityRtoFuelTypeDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/fuel-type-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoFuelTypeDataFacetRequest generates requests for GetV2ElectricityRtoFuelTypeDataFacet
func NewGetV2ElectricityRtoFuelTypeDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/fuel-type-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoFuelTypeDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoFuelTypeDataFacetFacetId
func NewGetV2ElectricityRtoFuelTypeDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/fuel-type-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoInterchangeDataRequest generates requests for GetV2ElectricityRtoInterchangeData
func NewGetV2ElectricityRtoInterchangeDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/interchange-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoInterchangeDataDataRequest generates requests for GetV2ElectricityRtoInterchangeDataData
func NewGetV2ElectricityRtoInterchangeDataDataRequest(server string, params *GetV2ElectricityRtoInterchangeDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/interchange-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoInterchangeDataDataRequest calls the generic PostV2ElectricityRtoInterchangeDataData builder with application/json body
func NewPostV2ElectricityRtoInterchangeDataDataRequest(server string, body PostV2ElectricityRtoInterchangeDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoInterchangeDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoInterchangeDataDataRequestWithBody generates requests for PostV2ElectricityRtoInterchangeDataData with any type of body
func NewPostV2ElectricityRtoInterchangeDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/interchange-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoInterchangeDataFacetRequest generates requests for GetV2ElectricityRtoInterchangeDataFacet
func NewGetV2ElectricityRtoInterchangeDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/interchange-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoInterchangeDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoInterchangeDataFacetFacetId
func NewGetV2ElectricityRtoInterchangeDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/interchange-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRegionDataRequest generates requests for GetV2ElectricityRtoRegionData
func NewGetV2ElectricityRtoRegionDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRegionDataDataRequest generates requests for GetV2ElectricityRtoRegionDataData
func NewGetV2ElectricityRtoRegionDataDataRequest(server string, params *GetV2ElectricityRtoRegionDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoRegionDataDataRequest calls the generic PostV2ElectricityRtoRegionDataData builder with application/json body
func NewPostV2ElectricityRtoRegionDataDataRequest(server string, body PostV2ElectricityRtoRegionDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoRegionDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoRegionDataDataRequestWithBody generates requests for PostV2ElectricityRtoRegionDataData with any type of body
func NewPostV2ElectricityRtoRegionDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoRegionDataFacetRequest generates requests for GetV2ElectricityRtoRegionDataFacet
func NewGetV2ElectricityRtoRegionDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRegionDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoRegionDataFacetFacetId
func NewGetV2ElectricityRtoRegionDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRegionSubBaDataRequest generates requests for GetV2ElectricityRtoRegionSubBaData
func NewGetV2ElectricityRtoRegionSubBaDataRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-sub-ba-data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRegionSubBaDataDataRequest generates requests for GetV2ElectricityRtoRegionSubBaDataData
func NewGetV2ElectricityRtoRegionSubBaDataDataRequest(server string, params *GetV2ElectricityRtoRegionSubBaDataDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-sub-ba-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityRtoRegionSubBaDataDataRequest calls the generic PostV2ElectricityRtoRegionSubBaDataData builder with application/json body
func NewPostV2ElectricityRtoRegionSubBaDataDataRequest(server string, body PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityRtoRegionSubBaDataDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityRtoRegionSubBaDataDataRequestWithBody generates requests for PostV2ElectricityRtoRegionSubBaDataData with any type of body
func NewPostV2ElectricityRtoRegionSubBaDataDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-sub-ba-data/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityRtoRegionSubBaDataFacetRequest generates requests for GetV2ElectricityRtoRegionSubBaDataFacet
func NewGetV2ElectricityRtoRegionSubBaDataFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-sub-ba-data/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityRtoRegionSubBaDataFacetFacetIdRequest generates requests for GetV2ElectricityRtoRegionSubBaDataFacetFacetId
func NewGetV2ElectricityRtoRegionSubBaDataFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/rto/region-sub-ba-data/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricitySepRequest generates requests for GetV2ElectricitySep
func NewGetV2ElectricitySepRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/sep")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesCapabilityRequest generates requests for GetV2ElectricityStateElectricityProfilesCapability
func NewGetV2ElectricityStateElectricityProfilesCapabilityRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/capability")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesCapabilityDataRequest generates requests for GetV2ElectricityStateElectricityProfilesCapabilityData
func NewGetV2ElectricityStateElectricityProfilesCapabilityDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesCapabilityDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/capability/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequest calls the generic PostV2ElectricityStateElectricityProfilesCapabilityData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequest(server string, body PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesCapabilityData with any type of body
func NewPostV2ElectricityStateElectricityProfilesCapabilityDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/capability/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesCapabilityFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesCapabilityFacet
func NewGetV2ElectricityStateElectricityProfilesCapabilityFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/capability/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/capability/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelRequest generates requests for GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuel
func NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/emissions-by-state-by-fuel")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequest generates requests for GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData
func NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/emissions-by-state-by-fuel/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequest calls the generic PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequest(server string, body PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData with any type of body
func NewPostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/emissions-by-state-by-fuel/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacet
func NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/emissions-by-state-by-fuel/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/emissions-by-state-by-fuel/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyRequest generates requests for GetV2ElectricityStateElectricityProfilesEnergyEfficiency
func NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/energy-efficiency")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequest generates requests for GetV2ElectricityStateElectricityProfilesEnergyEfficiencyData
func NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/energy-efficiency/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequest calls the generic PostV2ElectricityStateElectricityProfilesEnergyEfficiencyData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequest(server string, body PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesEnergyEfficiencyData with any type of body
func NewPostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/energy-efficiency/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacet
func NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/energy-efficiency/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/energy-efficiency/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesMetersRequest generates requests for GetV2ElectricityStateElectricityProfilesMeters
func NewGetV2ElectricityStateElectricityProfilesMetersRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/meters")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesMetersDataRequest generates requests for GetV2ElectricityStateElectricityProfilesMetersData
func NewGetV2ElectricityStateElectricityProfilesMetersDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesMetersDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/meters/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesMetersDataRequest calls the generic PostV2ElectricityStateElectricityProfilesMetersData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesMetersDataRequest(server string, body PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesMetersDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesMetersDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesMetersData with any type of body
func NewPostV2ElectricityStateElectricityProfilesMetersDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/meters/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesMetersFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesMetersFacet
func NewGetV2ElectricityStateElectricityProfilesMetersFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/meters/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesMetersFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesMetersFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesMetersFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/meters/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesNetMeteringRequest generates requests for GetV2ElectricityStateElectricityProfilesNetMetering
func NewGetV2ElectricityStateElectricityProfilesNetMeteringRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/net-metering")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesNetMeteringDataRequest generates requests for GetV2ElectricityStateElectricityProfilesNetMeteringData
func NewGetV2ElectricityStateElectricityProfilesNetMeteringDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesNetMeteringDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/net-metering/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequest calls the generic PostV2ElectricityStateElectricityProfilesNetMeteringData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequest(server string, body PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesNetMeteringData with any type of body
func NewPostV2ElectricityStateElectricityProfilesNetMeteringDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/net-metering/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesNetMeteringFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesNetMeteringFacet
func NewGetV2ElectricityStateElectricityProfilesNetMeteringFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/net-metering/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/net-metering/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSourceDispositionRequest generates requests for GetV2ElectricityStateElectricityProfilesSourceDisposition
func NewGetV2ElectricityStateElectricityProfilesSourceDispositionRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/source-disposition")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSourceDispositionDataRequest generates requests for GetV2ElectricityStateElectricityProfilesSourceDispositionData
func NewGetV2ElectricityStateElectricityProfilesSourceDispositionDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/source-disposition/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequest calls the generic PostV2ElectricityStateElectricityProfilesSourceDispositionData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequest(server string, body PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesSourceDispositionData with any type of body
func NewPostV2ElectricityStateElectricityProfilesSourceDispositionDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/source-disposition/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSourceDispositionFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesSourceDispositionFacet
func NewGetV2ElectricityStateElectricityProfilesSourceDispositionFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/source-disposition/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/source-disposition/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSummaryRequest generates requests for GetV2ElectricityStateElectricityProfilesSummary
func NewGetV2ElectricityStateElectricityProfilesSummaryRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/summary")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSummaryDataRequest generates requests for GetV2ElectricityStateElectricityProfilesSummaryData
func NewGetV2ElectricityStateElectricityProfilesSummaryDataRequest(server string, params *GetV2ElectricityStateElectricityProfilesSummaryDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/summary/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2ElectricityStateElectricityProfilesSummaryDataRequest calls the generic PostV2ElectricityStateElectricityProfilesSummaryData builder with application/json body
func NewPostV2ElectricityStateElectricityProfilesSummaryDataRequest(server string, body PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2ElectricityStateElectricityProfilesSummaryDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2ElectricityStateElectricityProfilesSummaryDataRequestWithBody generates requests for PostV2ElectricityStateElectricityProfilesSummaryData with any type of body
func NewPostV2ElectricityStateElectricityProfilesSummaryDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/summary/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSummaryFacetRequest generates requests for GetV2ElectricityStateElectricityProfilesSummaryFacet
func NewGetV2ElectricityStateElectricityProfilesSummaryFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/summary/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdRequest generates requests for GetV2ElectricityStateElectricityProfilesSummaryFacetFacetId
func NewGetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/electricity/state-electricity-profiles/summary/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerIeoRequest generates requests for EIAAPIControllersDatasetAeoIeoIeoControllerIeo
func NewEIAAPIControllersDatasetAeoIeoIeoControllerIeoRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/ieo")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerConstructRequest generates requests for EIAAPIControllersDatasetAeoIeoIeoControllerConstruct
func NewEIAAPIControllersDatasetAeoIeoIeoControllerConstructRequest(server string, route1 string) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/ieo/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerGetDataRequest generates requests for EIAAPIControllersDatasetAeoIeoIeoControllerGetData
func NewEIAAPIControllersDatasetAeoIeoIeoControllerGetDataRequest(server string, route1 Route1, params *EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/ieo/%s/data", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequest calls the generic EIAAPIControllersDatasetAeoIeoIeoControllerPostData builder with application/json body
func NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequest(server string, route1 Route1, body EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequestWithBody(server, route1, "application/json", bodyReader)
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequestWithBody generates requests for EIAAPIControllersDatasetAeoIeoIeoControllerPostData with any type of body
func NewEIAAPIControllersDatasetAeoIeoIeoControllerPostDataRequestWithBody(server string, route1 Route1, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/ieo/%s/data", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetRequest generates requests for EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacet
func NewEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetRequest(server string, route1 string) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/ieo/%s/facet", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdRequest generates requests for EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetId
func NewEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdRequest(server string, route1 Route1, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/ieo/%s/facet/%s", pathParam0, pathParam1)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2InternationalRequest generates requests for GetV2International
func NewGetV2InternationalRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/international")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2InternationalDataRequest generates requests for GetV2InternationalData
func NewGetV2InternationalDataRequest(server string, params *GetV2InternationalDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/international/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2InternationalDataRequest calls the generic PostV2InternationalData builder with application/json body
func NewPostV2InternationalDataRequest(server string, body PostV2InternationalDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2InternationalDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2InternationalDataRequestWithBody generates requests for PostV2InternationalData with any type of body
func NewPostV2InternationalDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/international/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2InternationalFacetRequest generates requests for GetV2InternationalFacet
func NewGetV2InternationalFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/international/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2InternationalFacetFacetIdRequest generates requests for GetV2InternationalFacetFacetId
func NewGetV2InternationalFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/international/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NaturalGasRequest generates requests for GetV2NaturalGas
func NewGetV2NaturalGasRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NaturalGasRoute1Request generates requests for GetV2NaturalGasRoute1
func NewGetV2NaturalGasRoute1Request(server string, route1 Route1) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NaturalGasRoute1Route2Request generates requests for GetV2NaturalGasRoute1Route2
func NewGetV2NaturalGasRoute1Route2Request(server string, route1 Route1, route2 Route2) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "route2", runtime.ParamLocationPath, route2)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas/%s/%s", pathParam0, pathParam1)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NaturalGasRoute1Route2DataRequest generates requests for GetV2NaturalGasRoute1Route2Data
func NewGetV2NaturalGasRoute1Route2DataRequest(server string, route1 Route1, route2 Route2, params *GetV2NaturalGasRoute1Route2DataParams) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "route2", runtime.ParamLocationPath, route2)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas/%s/%s/data", pathParam0, pathParam1)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2NaturalGasRoute1Route2DataRequest calls the generic PostV2NaturalGasRoute1Route2Data builder with application/json body
func NewPostV2NaturalGasRoute1Route2DataRequest(server string, route1 Route1, route2 Route2, body PostV2NaturalGasRoute1Route2DataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2NaturalGasRoute1Route2DataRequestWithBody(server, route1, route2, "application/json", bodyReader)
}

// NewPostV2NaturalGasRoute1Route2DataRequestWithBody generates requests for PostV2NaturalGasRoute1Route2Data with any type of body
func NewPostV2NaturalGasRoute1Route2DataRequestWithBody(server string, route1 Route1, route2 Route2, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "route2", runtime.ParamLocationPath, route2)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas/%s/%s/data", pathParam0, pathParam1)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2NaturalGasRoute1Route2FacetRequest generates requests for GetV2NaturalGasRoute1Route2Facet
func NewGetV2NaturalGasRoute1Route2FacetRequest(server string, route1 Route1, route2 Route2) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "route2", runtime.ParamLocationPath, route2)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas/%s/%s/facet", pathParam0, pathParam1)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NaturalGasRoute1Route2FacetFacetIdRequest generates requests for GetV2NaturalGasRoute1Route2FacetFacetId
func NewGetV2NaturalGasRoute1Route2FacetFacetIdRequest(server string, route1 Route1, route2 Route2, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "route1", runtime.ParamLocationPath, route1)
	if err != nil {
		return nil, err
	}

	var pathParam1 string

	pathParam1, err = runtime.StyleParamWithLocation("simple", false, "route2", runtime.ParamLocationPath, route2)
	if err != nil {
		return nil, err
	}

	var pathParam2 string

	pathParam2, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/natural-gas/%s/%s/facet/%s", pathParam0, pathParam1, pathParam2)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesRequest generates requests for GetV2NuclearOutages
func NewGetV2NuclearOutagesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesFacilityNuclearOutagesRequest generates requests for GetV2NuclearOutagesFacilityNuclearOutages
func NewGetV2NuclearOutagesFacilityNuclearOutagesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/facility-nuclear-outages")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesFacilityNuclearOutagesDataRequest generates requests for GetV2NuclearOutagesFacilityNuclearOutagesData
func NewGetV2NuclearOutagesFacilityNuclearOutagesDataRequest(server string, params *GetV2NuclearOutagesFacilityNuclearOutagesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/facility-nuclear-outages/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequest calls the generic PostV2NuclearOutagesFacilityNuclearOutagesData builder with application/json body
func NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequest(server string, body PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequestWithBody generates requests for PostV2NuclearOutagesFacilityNuclearOutagesData with any type of body
func NewPostV2NuclearOutagesFacilityNuclearOutagesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/facility-nuclear-outages/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2NuclearOutagesFacilityNuclearOutagesFacetRequest generates requests for GetV2NuclearOutagesFacilityNuclearOutagesFacet
func NewGetV2NuclearOutagesFacilityNuclearOutagesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/facility-nuclear-outages/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdRequest generates requests for GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetId
func NewGetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/facility-nuclear-outages/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesGeneratorNuclearOutagesRequest generates requests for GetV2NuclearOutagesGeneratorNuclearOutages
func NewGetV2NuclearOutagesGeneratorNuclearOutagesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/generator-nuclear-outages")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesGeneratorNuclearOutagesDataRequest generates requests for GetV2NuclearOutagesGeneratorNuclearOutagesData
func NewGetV2NuclearOutagesGeneratorNuclearOutagesDataRequest(server string, params *GetV2NuclearOutagesGeneratorNuclearOutagesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/generator-nuclear-outages/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequest calls the generic PostV2NuclearOutagesGeneratorNuclearOutagesData builder with application/json body
func NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequest(server string, body PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequestWithBody generates requests for PostV2NuclearOutagesGeneratorNuclearOutagesData with any type of body
func NewPostV2NuclearOutagesGeneratorNuclearOutagesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/generator-nuclear-outages/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2NuclearOutagesGeneratorNuclearOutagesFacetRequest generates requests for GetV2NuclearOutagesGeneratorNuclearOutagesFacet
func NewGetV2NuclearOutagesGeneratorNuclearOutagesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/generator-nuclear-outages/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdRequest generates requests for GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetId
func NewGetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/generator-nuclear-outages/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesUsNuclearOutagesRequest generates requests for GetV2NuclearOutagesUsNuclearOutages
func NewGetV2NuclearOutagesUsNuclearOutagesRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/us-nuclear-outages")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesUsNuclearOutagesDataRequest generates requests for GetV2NuclearOutagesUsNuclearOutagesData
func NewGetV2NuclearOutagesUsNuclearOutagesDataRequest(server string, params *GetV2NuclearOutagesUsNuclearOutagesDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/us-nuclear-outages/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2NuclearOutagesUsNuclearOutagesDataRequest calls the generic PostV2NuclearOutagesUsNuclearOutagesData builder with application/json body
func NewPostV2NuclearOutagesUsNuclearOutagesDataRequest(server string, body PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2NuclearOutagesUsNuclearOutagesDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2NuclearOutagesUsNuclearOutagesDataRequestWithBody generates requests for PostV2NuclearOutagesUsNuclearOutagesData with any type of body
func NewPostV2NuclearOutagesUsNuclearOutagesDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/us-nuclear-outages/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2NuclearOutagesUsNuclearOutagesFacetRequest generates requests for GetV2NuclearOutagesUsNuclearOutagesFacet
func NewGetV2NuclearOutagesUsNuclearOutagesFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/us-nuclear-outages/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2NuclearOutagesUsNuclearOutagesFacetFacetIdRequest generates requests for GetV2NuclearOutagesUsNuclearOutagesFacetFacetId
func NewGetV2NuclearOutagesUsNuclearOutagesFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/nuclear-outages/us-nuclear-outages/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2SedsRequest generates requests for GetV2Seds
func NewGetV2SedsRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/seds")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2SedsDataRequest generates requests for GetV2SedsData
func NewGetV2SedsDataRequest(server string, params *GetV2SedsDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/seds/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2SedsDataRequest calls the generic PostV2SedsData builder with application/json body
func NewPostV2SedsDataRequest(server string, body PostV2SedsDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2SedsDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2SedsDataRequestWithBody generates requests for PostV2SedsData with any type of body
func NewPostV2SedsDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/seds/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2SedsFacetRequest generates requests for GetV2SedsFacet
func NewGetV2SedsFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/seds/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2SedsFacetFacetIdRequest generates requests for GetV2SedsFacetFacetId
func NewGetV2SedsFacetFacetIdRequest(server string, facetId string) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/seds/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2SteoRequest generates requests for GetV2Steo
func NewGetV2SteoRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/steo")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2SteoDataRequest generates requests for GetV2SteoData
func NewGetV2SteoDataRequest(server string, params *GetV2SteoDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/steo/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2SteoDataRequest calls the generic PostV2SteoData builder with application/json body
func NewPostV2SteoDataRequest(server string, body PostV2SteoDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2SteoDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2SteoDataRequestWithBody generates requests for PostV2SteoData with any type of body
func NewPostV2SteoDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/steo/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2SteoFacetRequest generates requests for GetV2SteoFacet
func NewGetV2SteoFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/steo/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2SteoFacetFacetIdRequest generates requests for GetV2SteoFacetFacetId
func NewGetV2SteoFacetFacetIdRequest(server string, facetId string) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/steo/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2TotalEnergyRequest generates requests for GetV2TotalEnergy
func NewGetV2TotalEnergyRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/total-energy")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2TotalEnergyDataRequest generates requests for GetV2TotalEnergyData
func NewGetV2TotalEnergyDataRequest(server string, params *GetV2TotalEnergyDataParams) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/total-energy/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	if params != nil {
		queryValues := queryURL.Query()

		if params.Data != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "data", runtime.ParamLocationQuery, *params.Data); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Facets != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "facets", runtime.ParamLocationQuery, *params.Facets); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Frequency != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "frequency", runtime.ParamLocationQuery, *params.Frequency); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Start != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "start", runtime.ParamLocationQuery, *params.Start); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.End != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "end", runtime.ParamLocationQuery, *params.End); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Sort != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "sort", runtime.ParamLocationQuery, *params.Sort); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Length != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "length", runtime.ParamLocationQuery, *params.Length); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		if params.Offset != nil {
			if queryFrag, err := runtime.StyleParamWithLocation("form", true, "offset", runtime.ParamLocationQuery, *params.Offset); err != nil {
				return nil, err
			} else if parsed, err := url.ParseQuery(queryFrag); err != nil {
				return nil, err
			} else {
				for k, v := range parsed {
					for _, v2 := range v {
						queryValues.Add(k, v2)
					}
				}
			}
		}

		queryURL.RawQuery = queryValues.Encode()
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewPostV2TotalEnergyDataRequest calls the generic PostV2TotalEnergyData builder with application/json body
func NewPostV2TotalEnergyDataRequest(server string, body PostV2TotalEnergyDataJSONRequestBody) (*http.Request, error) {
	var bodyReader io.Reader
	buf, err := json.Marshal(body)
	if err != nil {
		return nil, err
	}
	bodyReader = bytes.NewReader(buf)
	return NewPostV2TotalEnergyDataRequestWithBody(server, "application/json", bodyReader)
}

// NewPostV2TotalEnergyDataRequestWithBody generates requests for PostV2TotalEnergyData with any type of body
func NewPostV2TotalEnergyDataRequestWithBody(server string, contentType string, body io.Reader) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/total-energy/data")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", queryURL.String(), body)
	if err != nil {
		return nil, err
	}

	req.Header.Add("Content-Type", contentType)

	return req, nil
}

// NewGetV2TotalEnergyFacetRequest generates requests for GetV2TotalEnergyFacet
func NewGetV2TotalEnergyFacetRequest(server string) (*http.Request, error) {
	var err error

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/total-energy/facet")
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

// NewGetV2TotalEnergyFacetFacetIdRequest generates requests for GetV2TotalEnergyFacetFacetId
func NewGetV2TotalEnergyFacetFacetIdRequest(server string, facetId FacetId) (*http.Request, error) {
	var err error

	var pathParam0 string

	pathParam0, err = runtime.StyleParamWithLocation("simple", false, "facet_id", runtime.ParamLocationPath, facetId)
	if err != nil {
		return nil, err
	}

	serverURL, err := url.Parse(server)
	if err != nil {
		return nil, err
	}

	operationPath := fmt.Sprintf("/v2/total-energy/facet/%s", pathParam0)
	if operationPath[0] == '/' {
		operationPath = "." + operationPath
	}

	queryURL, err := serverURL.Parse(operationPath)
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("GET", queryURL.String(), nil)
	if err != nil {
		return nil, err
	}

	return req, nil
}

func (c *Client) applyEditors(ctx context.Context, req *http.Request, additionalEditors []RequestEditorFn) error {
	for _, r := range c.RequestEditors {
		if err := r(ctx, req); err != nil {
			return err
		}
	}
	for _, r := range additionalEditors {
		if err := r(ctx, req); err != nil {
			return err
		}
	}
	return nil
}

// ClientWithResponses builds on ClientInterface to offer response payloads
type ClientWithResponses struct {
	ClientInterface
}

// NewClientWithResponses creates a new ClientWithResponses, which wraps
// Client with return type handling
func NewClientWithResponses(server string, opts ...ClientOption) (*ClientWithResponses, error) {
	client, err := NewClient(server, opts...)
	if err != nil {
		return nil, err
	}
	return &ClientWithResponses{client}, nil
}

// WithBaseURL overrides the baseURL.
func WithBaseURL(baseURL string) ClientOption {
	return func(c *Client) error {
		newBaseURL, err := url.Parse(baseURL)
		if err != nil {
			return err
		}
		c.Server = newBaseURL.String()
		return nil
	}
}

// ClientWithResponsesInterface is the interface specification for the client with responses above.
type ClientWithResponsesInterface interface {
	// GetV2WithResponse request
	GetV2WithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Response, error)

	// GetV2AeoWithResponse request
	GetV2AeoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2AeoResponse, error)

	// GetV2AeoRoute1WithResponse request
	GetV2AeoRoute1WithResponse(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1Response, error)

	// GetV2AeoRoute1DataWithResponse request
	GetV2AeoRoute1DataWithResponse(ctx context.Context, route1 Route1, params *GetV2AeoRoute1DataParams, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1DataResponse, error)

	// PostV2AeoRoute1DataWithBodyWithResponse request with any body
	PostV2AeoRoute1DataWithBodyWithResponse(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2AeoRoute1DataResponse, error)

	PostV2AeoRoute1DataWithResponse(ctx context.Context, route1 Route1, body PostV2AeoRoute1DataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2AeoRoute1DataResponse, error)

	// GetV2AeoRoute1FacetWithResponse request
	GetV2AeoRoute1FacetWithResponse(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1FacetResponse, error)

	// GetV2AeoRoute1FacetFacetIdWithResponse request
	GetV2AeoRoute1FacetFacetIdWithResponse(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1FacetFacetIdResponse, error)

	// GetV2Co2EmissionsWithResponse request
	GetV2Co2EmissionsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesWithResponse request
	GetV2Co2EmissionsCo2EmissionsAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse request
	GetV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error)

	// PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBodyWithResponse request with any body
	PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error)

	PostV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesFacetWithResponse request
	GetV2Co2EmissionsCo2EmissionsAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdWithResponse request
	GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsWithResponse request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error)

	// PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBodyWithResponse request with any body
	PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error)

	PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetWithResponse request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse, error)

	// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdWithResponse request
	GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse, error)

	// GetV2CoalWithResponse request
	GetV2CoalWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalResponse, error)

	// GetV2CoalAggregateProductionWithResponse request
	GetV2CoalAggregateProductionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionResponse, error)

	// GetV2CoalAggregateProductionDataWithResponse request
	GetV2CoalAggregateProductionDataWithResponse(ctx context.Context, params *GetV2CoalAggregateProductionDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionDataResponse, error)

	// PostV2CoalAggregateProductionDataWithBodyWithResponse request with any body
	PostV2CoalAggregateProductionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalAggregateProductionDataResponse, error)

	PostV2CoalAggregateProductionDataWithResponse(ctx context.Context, body PostV2CoalAggregateProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalAggregateProductionDataResponse, error)

	// GetV2CoalAggregateProductionFacetWithResponse request
	GetV2CoalAggregateProductionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionFacetResponse, error)

	// GetV2CoalAggregateProductionFacetFacetIdWithResponse request
	GetV2CoalAggregateProductionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionFacetFacetIdResponse, error)

	// GetV2CoalConsumptionAndQualityWithResponse request
	GetV2CoalConsumptionAndQualityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityResponse, error)

	// GetV2CoalConsumptionAndQualityDataWithResponse request
	GetV2CoalConsumptionAndQualityDataWithResponse(ctx context.Context, params *GetV2CoalConsumptionAndQualityDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityDataResponse, error)

	// PostV2CoalConsumptionAndQualityDataWithBodyWithResponse request with any body
	PostV2CoalConsumptionAndQualityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalConsumptionAndQualityDataResponse, error)

	PostV2CoalConsumptionAndQualityDataWithResponse(ctx context.Context, body PostV2CoalConsumptionAndQualityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalConsumptionAndQualityDataResponse, error)

	// GetV2CoalConsumptionAndQualityFacetWithResponse request
	GetV2CoalConsumptionAndQualityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityFacetResponse, error)

	// GetV2CoalConsumptionAndQualityFacetFacetIdWithResponse request
	GetV2CoalConsumptionAndQualityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityFacetFacetIdResponse, error)

	// GetV2CoalExportsImportsQuantityPriceWithResponse request
	GetV2CoalExportsImportsQuantityPriceWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceResponse, error)

	// GetV2CoalExportsImportsQuantityPriceDataWithResponse request
	GetV2CoalExportsImportsQuantityPriceDataWithResponse(ctx context.Context, params *GetV2CoalExportsImportsQuantityPriceDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceDataResponse, error)

	// PostV2CoalExportsImportsQuantityPriceDataWithBodyWithResponse request with any body
	PostV2CoalExportsImportsQuantityPriceDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalExportsImportsQuantityPriceDataResponse, error)

	PostV2CoalExportsImportsQuantityPriceDataWithResponse(ctx context.Context, body PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalExportsImportsQuantityPriceDataResponse, error)

	// GetV2CoalExportsImportsQuantityPriceFacetWithResponse request
	GetV2CoalExportsImportsQuantityPriceFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceFacetResponse, error)

	// GetV2CoalExportsImportsQuantityPriceFacetFacetIdWithResponse request
	GetV2CoalExportsImportsQuantityPriceFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse, error)

	// GetV2CoalMarketSalesPriceWithResponse request
	GetV2CoalMarketSalesPriceWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceResponse, error)

	// GetV2CoalMarketSalesPriceDataWithResponse request
	GetV2CoalMarketSalesPriceDataWithResponse(ctx context.Context, params *GetV2CoalMarketSalesPriceDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceDataResponse, error)

	// PostV2CoalMarketSalesPriceDataWithBodyWithResponse request with any body
	PostV2CoalMarketSalesPriceDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalMarketSalesPriceDataResponse, error)

	PostV2CoalMarketSalesPriceDataWithResponse(ctx context.Context, body PostV2CoalMarketSalesPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalMarketSalesPriceDataResponse, error)

	// GetV2CoalMarketSalesPriceFacetWithResponse request
	GetV2CoalMarketSalesPriceFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceFacetResponse, error)

	// GetV2CoalMarketSalesPriceFacetFacetIdWithResponse request
	GetV2CoalMarketSalesPriceFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceFacetFacetIdResponse, error)

	// GetV2CoalMineProductionWithResponse request
	GetV2CoalMineProductionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionResponse, error)

	// GetV2CoalMineProductionDataWithResponse request
	GetV2CoalMineProductionDataWithResponse(ctx context.Context, params *GetV2CoalMineProductionDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionDataResponse, error)

	// PostV2CoalMineProductionDataWithBodyWithResponse request with any body
	PostV2CoalMineProductionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalMineProductionDataResponse, error)

	PostV2CoalMineProductionDataWithResponse(ctx context.Context, body PostV2CoalMineProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalMineProductionDataResponse, error)

	// GetV2CoalMineProductionFacetWithResponse request
	GetV2CoalMineProductionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionFacetResponse, error)

	// GetV2CoalMineProductionFacetFacetIdWithResponse request
	GetV2CoalMineProductionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionFacetFacetIdResponse, error)

	// GetV2CoalPriceByRankWithResponse request
	GetV2CoalPriceByRankWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankResponse, error)

	// GetV2CoalPriceByRankDataWithResponse request
	GetV2CoalPriceByRankDataWithResponse(ctx context.Context, params *GetV2CoalPriceByRankDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankDataResponse, error)

	// PostV2CoalPriceByRankDataWithBodyWithResponse request with any body
	PostV2CoalPriceByRankDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalPriceByRankDataResponse, error)

	PostV2CoalPriceByRankDataWithResponse(ctx context.Context, body PostV2CoalPriceByRankDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalPriceByRankDataResponse, error)

	// GetV2CoalPriceByRankFacetWithResponse request
	GetV2CoalPriceByRankFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankFacetResponse, error)

	// GetV2CoalPriceByRankFacetFacetIdWithResponse request
	GetV2CoalPriceByRankFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankFacetFacetIdResponse, error)

	// GetV2CoalReservesCapacityWithResponse request
	GetV2CoalReservesCapacityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityResponse, error)

	// GetV2CoalReservesCapacityDataWithResponse request
	GetV2CoalReservesCapacityDataWithResponse(ctx context.Context, params *GetV2CoalReservesCapacityDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityDataResponse, error)

	// PostV2CoalReservesCapacityDataWithBodyWithResponse request with any body
	PostV2CoalReservesCapacityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalReservesCapacityDataResponse, error)

	PostV2CoalReservesCapacityDataWithResponse(ctx context.Context, body PostV2CoalReservesCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalReservesCapacityDataResponse, error)

	// GetV2CoalReservesCapacityFacetWithResponse request
	GetV2CoalReservesCapacityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityFacetResponse, error)

	// GetV2CoalReservesCapacityFacetFacetIdWithResponse request
	GetV2CoalReservesCapacityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityFacetFacetIdResponse, error)

	// GetV2CoalShipmentsWithResponse request
	GetV2CoalShipmentsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsResponse, error)

	// GetV2CoalShipmentsByMineByPlantWithResponse request
	GetV2CoalShipmentsByMineByPlantWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantResponse, error)

	// GetV2CoalShipmentsByMineByPlantDataWithResponse request
	GetV2CoalShipmentsByMineByPlantDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsByMineByPlantDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantDataResponse, error)

	// PostV2CoalShipmentsByMineByPlantDataWithBodyWithResponse request with any body
	PostV2CoalShipmentsByMineByPlantDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsByMineByPlantDataResponse, error)

	PostV2CoalShipmentsByMineByPlantDataWithResponse(ctx context.Context, body PostV2CoalShipmentsByMineByPlantDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsByMineByPlantDataResponse, error)

	// GetV2CoalShipmentsByMineByPlantFacetWithResponse request
	GetV2CoalShipmentsByMineByPlantFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantFacetResponse, error)

	// GetV2CoalShipmentsByMineByPlantFacetFacetIdWithResponse request
	GetV2CoalShipmentsByMineByPlantFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse, error)

	// GetV2CoalShipmentsMineAggregatesWithResponse request
	GetV2CoalShipmentsMineAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesResponse, error)

	// GetV2CoalShipmentsMineAggregatesDataWithResponse request
	GetV2CoalShipmentsMineAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsMineAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesDataResponse, error)

	// PostV2CoalShipmentsMineAggregatesDataWithBodyWithResponse request with any body
	PostV2CoalShipmentsMineAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineAggregatesDataResponse, error)

	PostV2CoalShipmentsMineAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsMineAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineAggregatesDataResponse, error)

	// GetV2CoalShipmentsMineAggregatesFacetWithResponse request
	GetV2CoalShipmentsMineAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesFacetResponse, error)

	// GetV2CoalShipmentsMineAggregatesFacetFacetIdWithResponse request
	GetV2CoalShipmentsMineAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse, error)

	// GetV2CoalShipmentsMineStateAggregatesWithResponse request
	GetV2CoalShipmentsMineStateAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesResponse, error)

	// GetV2CoalShipmentsMineStateAggregatesDataWithResponse request
	GetV2CoalShipmentsMineStateAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsMineStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesDataResponse, error)

	// PostV2CoalShipmentsMineStateAggregatesDataWithBodyWithResponse request with any body
	PostV2CoalShipmentsMineStateAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineStateAggregatesDataResponse, error)

	PostV2CoalShipmentsMineStateAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineStateAggregatesDataResponse, error)

	// GetV2CoalShipmentsMineStateAggregatesFacetWithResponse request
	GetV2CoalShipmentsMineStateAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesFacetResponse, error)

	// GetV2CoalShipmentsMineStateAggregatesFacetFacetIdWithResponse request
	GetV2CoalShipmentsMineStateAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse, error)

	// GetV2CoalShipmentsPlantAggregatesWithResponse request
	GetV2CoalShipmentsPlantAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesResponse, error)

	// GetV2CoalShipmentsPlantAggregatesDataWithResponse request
	GetV2CoalShipmentsPlantAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsPlantAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesDataResponse, error)

	// PostV2CoalShipmentsPlantAggregatesDataWithBodyWithResponse request with any body
	PostV2CoalShipmentsPlantAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantAggregatesDataResponse, error)

	PostV2CoalShipmentsPlantAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantAggregatesDataResponse, error)

	// GetV2CoalShipmentsPlantAggregatesFacetWithResponse request
	GetV2CoalShipmentsPlantAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesFacetResponse, error)

	// GetV2CoalShipmentsPlantAggregatesFacetFacetIdWithResponse request
	GetV2CoalShipmentsPlantAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse, error)

	// GetV2CoalShipmentsPlantStateAggregatesWithResponse request
	GetV2CoalShipmentsPlantStateAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesResponse, error)

	// GetV2CoalShipmentsPlantStateAggregatesDataWithResponse request
	GetV2CoalShipmentsPlantStateAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsPlantStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesDataResponse, error)

	// PostV2CoalShipmentsPlantStateAggregatesDataWithBodyWithResponse request with any body
	PostV2CoalShipmentsPlantStateAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantStateAggregatesDataResponse, error)

	PostV2CoalShipmentsPlantStateAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantStateAggregatesDataResponse, error)

	// GetV2CoalShipmentsPlantStateAggregatesFacetWithResponse request
	GetV2CoalShipmentsPlantStateAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesFacetResponse, error)

	// GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdWithResponse request
	GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse, error)

	// GetV2CoalShipmentsReceiptsWithResponse request
	GetV2CoalShipmentsReceiptsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsResponse, error)

	// GetV2CoalShipmentsReceiptsDataWithResponse request
	GetV2CoalShipmentsReceiptsDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsReceiptsDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsDataResponse, error)

	// PostV2CoalShipmentsReceiptsDataWithBodyWithResponse request with any body
	PostV2CoalShipmentsReceiptsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsReceiptsDataResponse, error)

	PostV2CoalShipmentsReceiptsDataWithResponse(ctx context.Context, body PostV2CoalShipmentsReceiptsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsReceiptsDataResponse, error)

	// GetV2CoalShipmentsReceiptsFacetWithResponse request
	GetV2CoalShipmentsReceiptsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsFacetResponse, error)

	// GetV2CoalShipmentsReceiptsFacetFacetIdWithResponse request
	GetV2CoalShipmentsReceiptsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsFacetFacetIdResponse, error)

	// GetV2CrudeOilImportsWithResponse request
	GetV2CrudeOilImportsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsResponse, error)

	// GetV2CrudeOilImportsDataWithResponse request
	GetV2CrudeOilImportsDataWithResponse(ctx context.Context, params *GetV2CrudeOilImportsDataParams, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsDataResponse, error)

	// PostV2CrudeOilImportsDataWithBodyWithResponse request with any body
	PostV2CrudeOilImportsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CrudeOilImportsDataResponse, error)

	PostV2CrudeOilImportsDataWithResponse(ctx context.Context, body PostV2CrudeOilImportsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CrudeOilImportsDataResponse, error)

	// GetV2CrudeOilImportsFacetWithResponse request
	GetV2CrudeOilImportsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsFacetResponse, error)

	// GetV2CrudeOilImportsFacetFacetIdWithResponse request
	GetV2CrudeOilImportsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassWithResponse request
	GetV2DensifiedBiomassWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassResponse, error)

	// GetV2DensifiedBiomassCapacityByRegionWithResponse request
	GetV2DensifiedBiomassCapacityByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionResponse, error)

	// GetV2DensifiedBiomassCapacityByRegionDataWithResponse request
	GetV2DensifiedBiomassCapacityByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassCapacityByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionDataResponse, error)

	// PostV2DensifiedBiomassCapacityByRegionDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassCapacityByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCapacityByRegionDataResponse, error)

	PostV2DensifiedBiomassCapacityByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCapacityByRegionDataResponse, error)

	// GetV2DensifiedBiomassCapacityByRegionFacetWithResponse request
	GetV2DensifiedBiomassCapacityByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionFacetResponse, error)

	// GetV2DensifiedBiomassCapacityByRegionFacetFacetIdWithResponse request
	GetV2DensifiedBiomassCapacityByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionWithResponse request
	GetV2DensifiedBiomassCharacteristicsByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionResponse, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionDataWithResponse request
	GetV2DensifiedBiomassCharacteristicsByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassCharacteristicsByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionDataResponse, error)

	// PostV2DensifiedBiomassCharacteristicsByRegionDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassCharacteristicsByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCharacteristicsByRegionDataResponse, error)

	PostV2DensifiedBiomassCharacteristicsByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCharacteristicsByRegionDataResponse, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionFacetWithResponse request
	GetV2DensifiedBiomassCharacteristicsByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse, error)

	// GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdWithResponse request
	GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassExportSalesAndPriceWithResponse request
	GetV2DensifiedBiomassExportSalesAndPriceWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceResponse, error)

	// GetV2DensifiedBiomassExportSalesAndPriceDataWithResponse request
	GetV2DensifiedBiomassExportSalesAndPriceDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassExportSalesAndPriceDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceDataResponse, error)

	// PostV2DensifiedBiomassExportSalesAndPriceDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassExportSalesAndPriceDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassExportSalesAndPriceDataResponse, error)

	PostV2DensifiedBiomassExportSalesAndPriceDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassExportSalesAndPriceDataResponse, error)

	// GetV2DensifiedBiomassExportSalesAndPriceFacetWithResponse request
	GetV2DensifiedBiomassExportSalesAndPriceFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceFacetResponse, error)

	// GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdWithResponse request
	GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassFeedstocksAndCostWithResponse request
	GetV2DensifiedBiomassFeedstocksAndCostWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostResponse, error)

	// GetV2DensifiedBiomassFeedstocksAndCostDataWithResponse request
	GetV2DensifiedBiomassFeedstocksAndCostDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassFeedstocksAndCostDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostDataResponse, error)

	// PostV2DensifiedBiomassFeedstocksAndCostDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassFeedstocksAndCostDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassFeedstocksAndCostDataResponse, error)

	PostV2DensifiedBiomassFeedstocksAndCostDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassFeedstocksAndCostDataResponse, error)

	// GetV2DensifiedBiomassFeedstocksAndCostFacetWithResponse request
	GetV2DensifiedBiomassFeedstocksAndCostFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostFacetResponse, error)

	// GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdWithResponse request
	GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassInventoriesByRegionWithResponse request
	GetV2DensifiedBiomassInventoriesByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionResponse, error)

	// GetV2DensifiedBiomassInventoriesByRegionDataWithResponse request
	GetV2DensifiedBiomassInventoriesByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassInventoriesByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionDataResponse, error)

	// PostV2DensifiedBiomassInventoriesByRegionDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassInventoriesByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassInventoriesByRegionDataResponse, error)

	PostV2DensifiedBiomassInventoriesByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassInventoriesByRegionDataResponse, error)

	// GetV2DensifiedBiomassInventoriesByRegionFacetWithResponse request
	GetV2DensifiedBiomassInventoriesByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionFacetResponse, error)

	// GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdWithResponse request
	GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassProductionByRegionWithResponse request
	GetV2DensifiedBiomassProductionByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionResponse, error)

	// GetV2DensifiedBiomassProductionByRegionDataWithResponse request
	GetV2DensifiedBiomassProductionByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassProductionByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionDataResponse, error)

	// PostV2DensifiedBiomassProductionByRegionDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassProductionByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassProductionByRegionDataResponse, error)

	PostV2DensifiedBiomassProductionByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassProductionByRegionDataResponse, error)

	// GetV2DensifiedBiomassProductionByRegionFacetWithResponse request
	GetV2DensifiedBiomassProductionByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionFacetResponse, error)

	// GetV2DensifiedBiomassProductionByRegionFacetFacetIdWithResponse request
	GetV2DensifiedBiomassProductionByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionWithResponse request
	GetV2DensifiedBiomassSalesAndPriceByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionResponse, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse request
	GetV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassSalesAndPriceByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error)

	// PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error)

	PostV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionFacetWithResponse request
	GetV2DensifiedBiomassSalesAndPriceByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse, error)

	// GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdWithResponse request
	GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse, error)

	// GetV2DensifiedBiomassWoodPelletPlantsWithResponse request
	GetV2DensifiedBiomassWoodPelletPlantsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsResponse, error)

	// GetV2DensifiedBiomassWoodPelletPlantsDataWithResponse request
	GetV2DensifiedBiomassWoodPelletPlantsDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassWoodPelletPlantsDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsDataResponse, error)

	// PostV2DensifiedBiomassWoodPelletPlantsDataWithBodyWithResponse request with any body
	PostV2DensifiedBiomassWoodPelletPlantsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassWoodPelletPlantsDataResponse, error)

	PostV2DensifiedBiomassWoodPelletPlantsDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassWoodPelletPlantsDataResponse, error)

	// GetV2DensifiedBiomassWoodPelletPlantsFacetWithResponse request
	GetV2DensifiedBiomassWoodPelletPlantsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsFacetResponse, error)

	// GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdWithResponse request
	GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse, error)

	// GetV2ElectricityWithResponse request
	GetV2ElectricityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityResponse, error)

	// GetV2ElectricityElectricPowerOperationalDataWithResponse request
	GetV2ElectricityElectricPowerOperationalDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataResponse, error)

	// GetV2ElectricityElectricPowerOperationalDataDataWithResponse request
	GetV2ElectricityElectricPowerOperationalDataDataWithResponse(ctx context.Context, params *GetV2ElectricityElectricPowerOperationalDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataDataResponse, error)

	// PostV2ElectricityElectricPowerOperationalDataDataWithBodyWithResponse request with any body
	PostV2ElectricityElectricPowerOperationalDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityElectricPowerOperationalDataDataResponse, error)

	PostV2ElectricityElectricPowerOperationalDataDataWithResponse(ctx context.Context, body PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityElectricPowerOperationalDataDataResponse, error)

	// GetV2ElectricityElectricPowerOperationalDataFacetWithResponse request
	GetV2ElectricityElectricPowerOperationalDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataFacetResponse, error)

	// GetV2ElectricityElectricPowerOperationalDataFacetFacetIdWithResponse request
	GetV2ElectricityElectricPowerOperationalDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse, error)

	// GetV2ElectricityFacilityFuelWithResponse request
	GetV2ElectricityFacilityFuelWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelResponse, error)

	// GetV2ElectricityFacilityFuelDataWithResponse request
	GetV2ElectricityFacilityFuelDataWithResponse(ctx context.Context, params *GetV2ElectricityFacilityFuelDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelDataResponse, error)

	// PostV2ElectricityFacilityFuelDataWithBodyWithResponse request with any body
	PostV2ElectricityFacilityFuelDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityFacilityFuelDataResponse, error)

	PostV2ElectricityFacilityFuelDataWithResponse(ctx context.Context, body PostV2ElectricityFacilityFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityFacilityFuelDataResponse, error)

	// GetV2ElectricityFacilityFuelFacetWithResponse request
	GetV2ElectricityFacilityFuelFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelFacetResponse, error)

	// GetV2ElectricityFacilityFuelFacetFacetIdWithResponse request
	GetV2ElectricityFacilityFuelFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelFacetFacetIdResponse, error)

	// GetV2ElectricityOperatingGeneratorCapacityWithResponse request
	GetV2ElectricityOperatingGeneratorCapacityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityResponse, error)

	// GetV2ElectricityOperatingGeneratorCapacityDataWithResponse request
	GetV2ElectricityOperatingGeneratorCapacityDataWithResponse(ctx context.Context, params *GetV2ElectricityOperatingGeneratorCapacityDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityDataResponse, error)

	// PostV2ElectricityOperatingGeneratorCapacityDataWithBodyWithResponse request with any body
	PostV2ElectricityOperatingGeneratorCapacityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityOperatingGeneratorCapacityDataResponse, error)

	PostV2ElectricityOperatingGeneratorCapacityDataWithResponse(ctx context.Context, body PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityOperatingGeneratorCapacityDataResponse, error)

	// GetV2ElectricityOperatingGeneratorCapacityFacetWithResponse request
	GetV2ElectricityOperatingGeneratorCapacityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityFacetResponse, error)

	// GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdWithResponse request
	GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse, error)

	// GetV2ElectricityRetailSalesWithResponse request
	GetV2ElectricityRetailSalesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesResponse, error)

	// GetV2ElectricityRetailSalesDataWithResponse request
	GetV2ElectricityRetailSalesDataWithResponse(ctx context.Context, params *GetV2ElectricityRetailSalesDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesDataResponse, error)

	// PostV2ElectricityRetailSalesDataWithBodyWithResponse request with any body
	PostV2ElectricityRetailSalesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRetailSalesDataResponse, error)

	PostV2ElectricityRetailSalesDataWithResponse(ctx context.Context, body PostV2ElectricityRetailSalesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRetailSalesDataResponse, error)

	// GetV2ElectricityRetailSalesFacetWithResponse request
	GetV2ElectricityRetailSalesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesFacetResponse, error)

	// GetV2ElectricityRetailSalesFacetFacetIdWithResponse request
	GetV2ElectricityRetailSalesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesFacetFacetIdResponse, error)

	// GetV2ElectricityRtoWithResponse request
	GetV2ElectricityRtoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoResponse, error)

	// GetV2ElectricityRtoDailyFuelTypeDataWithResponse request
	GetV2ElectricityRtoDailyFuelTypeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataResponse, error)

	// GetV2ElectricityRtoDailyFuelTypeDataDataWithResponse request
	GetV2ElectricityRtoDailyFuelTypeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataDataResponse, error)

	// PostV2ElectricityRtoDailyFuelTypeDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoDailyFuelTypeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyFuelTypeDataDataResponse, error)

	PostV2ElectricityRtoDailyFuelTypeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyFuelTypeDataDataResponse, error)

	// GetV2ElectricityRtoDailyFuelTypeDataFacetWithResponse request
	GetV2ElectricityRtoDailyFuelTypeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataFacetResponse, error)

	// GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoDailyInterchangeDataWithResponse request
	GetV2ElectricityRtoDailyInterchangeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataResponse, error)

	// GetV2ElectricityRtoDailyInterchangeDataDataWithResponse request
	GetV2ElectricityRtoDailyInterchangeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataDataResponse, error)

	// PostV2ElectricityRtoDailyInterchangeDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoDailyInterchangeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyInterchangeDataDataResponse, error)

	PostV2ElectricityRtoDailyInterchangeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyInterchangeDataDataResponse, error)

	// GetV2ElectricityRtoDailyInterchangeDataFacetWithResponse request
	GetV2ElectricityRtoDailyInterchangeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataFacetResponse, error)

	// GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoDailyRegionDataWithResponse request
	GetV2ElectricityRtoDailyRegionDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataResponse, error)

	// GetV2ElectricityRtoDailyRegionDataDataWithResponse request
	GetV2ElectricityRtoDailyRegionDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyRegionDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataDataResponse, error)

	// PostV2ElectricityRtoDailyRegionDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoDailyRegionDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionDataDataResponse, error)

	PostV2ElectricityRtoDailyRegionDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionDataDataResponse, error)

	// GetV2ElectricityRtoDailyRegionDataFacetWithResponse request
	GetV2ElectricityRtoDailyRegionDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataFacetResponse, error)

	// GetV2ElectricityRtoDailyRegionDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoDailyRegionDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataWithResponse request
	GetV2ElectricityRtoDailyRegionSubBaDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataResponse, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataDataWithResponse request
	GetV2ElectricityRtoDailyRegionSubBaDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataDataResponse, error)

	// PostV2ElectricityRtoDailyRegionSubBaDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoDailyRegionSubBaDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionSubBaDataDataResponse, error)

	PostV2ElectricityRtoDailyRegionSubBaDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionSubBaDataDataResponse, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataFacetWithResponse request
	GetV2ElectricityRtoDailyRegionSubBaDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse, error)

	// GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoFuelTypeDataWithResponse request
	GetV2ElectricityRtoFuelTypeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataResponse, error)

	// GetV2ElectricityRtoFuelTypeDataDataWithResponse request
	GetV2ElectricityRtoFuelTypeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataDataResponse, error)

	// PostV2ElectricityRtoFuelTypeDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoFuelTypeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoFuelTypeDataDataResponse, error)

	PostV2ElectricityRtoFuelTypeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoFuelTypeDataDataResponse, error)

	// GetV2ElectricityRtoFuelTypeDataFacetWithResponse request
	GetV2ElectricityRtoFuelTypeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataFacetResponse, error)

	// GetV2ElectricityRtoFuelTypeDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoFuelTypeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoInterchangeDataWithResponse request
	GetV2ElectricityRtoInterchangeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataResponse, error)

	// GetV2ElectricityRtoInterchangeDataDataWithResponse request
	GetV2ElectricityRtoInterchangeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataDataResponse, error)

	// PostV2ElectricityRtoInterchangeDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoInterchangeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoInterchangeDataDataResponse, error)

	PostV2ElectricityRtoInterchangeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoInterchangeDataDataResponse, error)

	// GetV2ElectricityRtoInterchangeDataFacetWithResponse request
	GetV2ElectricityRtoInterchangeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataFacetResponse, error)

	// GetV2ElectricityRtoInterchangeDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoInterchangeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoRegionDataWithResponse request
	GetV2ElectricityRtoRegionDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataResponse, error)

	// GetV2ElectricityRtoRegionDataDataWithResponse request
	GetV2ElectricityRtoRegionDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoRegionDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataDataResponse, error)

	// PostV2ElectricityRtoRegionDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoRegionDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionDataDataResponse, error)

	PostV2ElectricityRtoRegionDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionDataDataResponse, error)

	// GetV2ElectricityRtoRegionDataFacetWithResponse request
	GetV2ElectricityRtoRegionDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataFacetResponse, error)

	// GetV2ElectricityRtoRegionDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoRegionDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataFacetFacetIdResponse, error)

	// GetV2ElectricityRtoRegionSubBaDataWithResponse request
	GetV2ElectricityRtoRegionSubBaDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataResponse, error)

	// GetV2ElectricityRtoRegionSubBaDataDataWithResponse request
	GetV2ElectricityRtoRegionSubBaDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataDataResponse, error)

	// PostV2ElectricityRtoRegionSubBaDataDataWithBodyWithResponse request with any body
	PostV2ElectricityRtoRegionSubBaDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionSubBaDataDataResponse, error)

	PostV2ElectricityRtoRegionSubBaDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionSubBaDataDataResponse, error)

	// GetV2ElectricityRtoRegionSubBaDataFacetWithResponse request
	GetV2ElectricityRtoRegionSubBaDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataFacetResponse, error)

	// GetV2ElectricityRtoRegionSubBaDataFacetFacetIdWithResponse request
	GetV2ElectricityRtoRegionSubBaDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse, error)

	// GetV2ElectricitySepWithResponse request
	GetV2ElectricitySepWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricitySepResponse, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityWithResponse request
	GetV2ElectricityStateElectricityProfilesCapabilityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityResponse, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityDataWithResponse request
	GetV2ElectricityStateElectricityProfilesCapabilityDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesCapabilityDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesCapabilityDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesCapabilityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesCapabilityDataResponse, error)

	PostV2ElectricityStateElectricityProfilesCapabilityDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesCapabilityDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesCapabilityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelWithResponse request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error)

	PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyWithResponse request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error)

	PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse, error)

	// GetV2ElectricityStateElectricityProfilesMetersWithResponse request
	GetV2ElectricityStateElectricityProfilesMetersWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersResponse, error)

	// GetV2ElectricityStateElectricityProfilesMetersDataWithResponse request
	GetV2ElectricityStateElectricityProfilesMetersDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesMetersDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesMetersDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesMetersDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesMetersDataResponse, error)

	PostV2ElectricityStateElectricityProfilesMetersDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesMetersDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesMetersFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesMetersFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringWithResponse request
	GetV2ElectricityStateElectricityProfilesNetMeteringWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringResponse, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse request
	GetV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesNetMeteringDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error)

	PostV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesNetMeteringFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionWithResponse request
	GetV2ElectricityStateElectricityProfilesSourceDispositionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionResponse, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse request
	GetV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error)

	PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesSourceDispositionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse, error)

	// GetV2ElectricityStateElectricityProfilesSummaryWithResponse request
	GetV2ElectricityStateElectricityProfilesSummaryWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryResponse, error)

	// GetV2ElectricityStateElectricityProfilesSummaryDataWithResponse request
	GetV2ElectricityStateElectricityProfilesSummaryDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSummaryDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryDataResponse, error)

	// PostV2ElectricityStateElectricityProfilesSummaryDataWithBodyWithResponse request with any body
	PostV2ElectricityStateElectricityProfilesSummaryDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSummaryDataResponse, error)

	PostV2ElectricityStateElectricityProfilesSummaryDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSummaryDataResponse, error)

	// GetV2ElectricityStateElectricityProfilesSummaryFacetWithResponse request
	GetV2ElectricityStateElectricityProfilesSummaryFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryFacetResponse, error)

	// GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdWithResponse request
	GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerIeoWithResponse request
	EIAAPIControllersDatasetAeoIeoIeoControllerIeoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerConstructWithResponse request
	EIAAPIControllersDatasetAeoIeoIeoControllerConstructWithResponse(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerGetDataWithResponse request
	EIAAPIControllersDatasetAeoIeoIeoControllerGetDataWithResponse(ctx context.Context, route1 Route1, params *EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBodyWithResponse request with any body
	EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBodyWithResponse(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse, error)

	EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithResponse(ctx context.Context, route1 Route1, body EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetWithResponse request
	EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetWithResponse(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse, error)

	// EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdWithResponse request
	EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdWithResponse(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse, error)

	// GetV2InternationalWithResponse request
	GetV2InternationalWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2InternationalResponse, error)

	// GetV2InternationalDataWithResponse request
	GetV2InternationalDataWithResponse(ctx context.Context, params *GetV2InternationalDataParams, reqEditors ...RequestEditorFn) (*GetV2InternationalDataResponse, error)

	// PostV2InternationalDataWithBodyWithResponse request with any body
	PostV2InternationalDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2InternationalDataResponse, error)

	PostV2InternationalDataWithResponse(ctx context.Context, body PostV2InternationalDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2InternationalDataResponse, error)

	// GetV2InternationalFacetWithResponse request
	GetV2InternationalFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2InternationalFacetResponse, error)

	// GetV2InternationalFacetFacetIdWithResponse request
	GetV2InternationalFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2InternationalFacetFacetIdResponse, error)

	// GetV2NaturalGasWithResponse request
	GetV2NaturalGasWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NaturalGasResponse, error)

	// GetV2NaturalGasRoute1WithResponse request
	GetV2NaturalGasRoute1WithResponse(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Response, error)

	// GetV2NaturalGasRoute1Route2WithResponse request
	GetV2NaturalGasRoute1Route2WithResponse(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2Response, error)

	// GetV2NaturalGasRoute1Route2DataWithResponse request
	GetV2NaturalGasRoute1Route2DataWithResponse(ctx context.Context, route1 Route1, route2 Route2, params *GetV2NaturalGasRoute1Route2DataParams, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2DataResponse, error)

	// PostV2NaturalGasRoute1Route2DataWithBodyWithResponse request with any body
	PostV2NaturalGasRoute1Route2DataWithBodyWithResponse(ctx context.Context, route1 Route1, route2 Route2, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NaturalGasRoute1Route2DataResponse, error)

	PostV2NaturalGasRoute1Route2DataWithResponse(ctx context.Context, route1 Route1, route2 Route2, body PostV2NaturalGasRoute1Route2DataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NaturalGasRoute1Route2DataResponse, error)

	// GetV2NaturalGasRoute1Route2FacetWithResponse request
	GetV2NaturalGasRoute1Route2FacetWithResponse(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2FacetResponse, error)

	// GetV2NaturalGasRoute1Route2FacetFacetIdWithResponse request
	GetV2NaturalGasRoute1Route2FacetFacetIdWithResponse(ctx context.Context, route1 Route1, route2 Route2, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2FacetFacetIdResponse, error)

	// GetV2NuclearOutagesWithResponse request
	GetV2NuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesResponse, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesWithResponse request
	GetV2NuclearOutagesFacilityNuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesResponse, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesDataWithResponse request
	GetV2NuclearOutagesFacilityNuclearOutagesDataWithResponse(ctx context.Context, params *GetV2NuclearOutagesFacilityNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesDataResponse, error)

	// PostV2NuclearOutagesFacilityNuclearOutagesDataWithBodyWithResponse request with any body
	PostV2NuclearOutagesFacilityNuclearOutagesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesFacilityNuclearOutagesDataResponse, error)

	PostV2NuclearOutagesFacilityNuclearOutagesDataWithResponse(ctx context.Context, body PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesFacilityNuclearOutagesDataResponse, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesFacetWithResponse request
	GetV2NuclearOutagesFacilityNuclearOutagesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse, error)

	// GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdWithResponse request
	GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesWithResponse request
	GetV2NuclearOutagesGeneratorNuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesResponse, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse request
	GetV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse(ctx context.Context, params *GetV2NuclearOutagesGeneratorNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error)

	// PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBodyWithResponse request with any body
	PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error)

	PostV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse(ctx context.Context, body PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesFacetWithResponse request
	GetV2NuclearOutagesGeneratorNuclearOutagesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse, error)

	// GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdWithResponse request
	GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse, error)

	// GetV2NuclearOutagesUsNuclearOutagesWithResponse request
	GetV2NuclearOutagesUsNuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesResponse, error)

	// GetV2NuclearOutagesUsNuclearOutagesDataWithResponse request
	GetV2NuclearOutagesUsNuclearOutagesDataWithResponse(ctx context.Context, params *GetV2NuclearOutagesUsNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesDataResponse, error)

	// PostV2NuclearOutagesUsNuclearOutagesDataWithBodyWithResponse request with any body
	PostV2NuclearOutagesUsNuclearOutagesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesUsNuclearOutagesDataResponse, error)

	PostV2NuclearOutagesUsNuclearOutagesDataWithResponse(ctx context.Context, body PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesUsNuclearOutagesDataResponse, error)

	// GetV2NuclearOutagesUsNuclearOutagesFacetWithResponse request
	GetV2NuclearOutagesUsNuclearOutagesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesFacetResponse, error)

	// GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdWithResponse request
	GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse, error)

	// GetV2SedsWithResponse request
	GetV2SedsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SedsResponse, error)

	// GetV2SedsDataWithResponse request
	GetV2SedsDataWithResponse(ctx context.Context, params *GetV2SedsDataParams, reqEditors ...RequestEditorFn) (*GetV2SedsDataResponse, error)

	// PostV2SedsDataWithBodyWithResponse request with any body
	PostV2SedsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2SedsDataResponse, error)

	PostV2SedsDataWithResponse(ctx context.Context, body PostV2SedsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2SedsDataResponse, error)

	// GetV2SedsFacetWithResponse request
	GetV2SedsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SedsFacetResponse, error)

	// GetV2SedsFacetFacetIdWithResponse request
	GetV2SedsFacetFacetIdWithResponse(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*GetV2SedsFacetFacetIdResponse, error)

	// GetV2SteoWithResponse request
	GetV2SteoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SteoResponse, error)

	// GetV2SteoDataWithResponse request
	GetV2SteoDataWithResponse(ctx context.Context, params *GetV2SteoDataParams, reqEditors ...RequestEditorFn) (*GetV2SteoDataResponse, error)

	// PostV2SteoDataWithBodyWithResponse request with any body
	PostV2SteoDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2SteoDataResponse, error)

	PostV2SteoDataWithResponse(ctx context.Context, body PostV2SteoDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2SteoDataResponse, error)

	// GetV2SteoFacetWithResponse request
	GetV2SteoFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SteoFacetResponse, error)

	// GetV2SteoFacetFacetIdWithResponse request
	GetV2SteoFacetFacetIdWithResponse(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*GetV2SteoFacetFacetIdResponse, error)

	// GetV2TotalEnergyWithResponse request
	GetV2TotalEnergyWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyResponse, error)

	// GetV2TotalEnergyDataWithResponse request
	GetV2TotalEnergyDataWithResponse(ctx context.Context, params *GetV2TotalEnergyDataParams, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyDataResponse, error)

	// PostV2TotalEnergyDataWithBodyWithResponse request with any body
	PostV2TotalEnergyDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2TotalEnergyDataResponse, error)

	PostV2TotalEnergyDataWithResponse(ctx context.Context, body PostV2TotalEnergyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2TotalEnergyDataResponse, error)

	// GetV2TotalEnergyFacetWithResponse request
	GetV2TotalEnergyFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyFacetResponse, error)

	// GetV2TotalEnergyFacetFacetIdWithResponse request
	GetV2TotalEnergyFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyFacetFacetIdResponse, error)
}

type GetV2Response struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Response) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Response) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2AeoResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2AeoResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2AeoResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2AeoRoute1Response struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2AeoRoute1Response) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2AeoRoute1Response) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2AeoRoute1DataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2AeoRoute1DataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2AeoRoute1DataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2AeoRoute1DataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2AeoRoute1DataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2AeoRoute1DataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2AeoRoute1FacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2AeoRoute1FacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2AeoRoute1FacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2AeoRoute1FacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2AeoRoute1FacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2AeoRoute1FacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAggregatesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAggregatesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAggregatesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalAggregateProductionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalAggregateProductionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalAggregateProductionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalAggregateProductionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalAggregateProductionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalAggregateProductionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalAggregateProductionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalAggregateProductionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalAggregateProductionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalAggregateProductionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalAggregateProductionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalAggregateProductionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalAggregateProductionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalAggregateProductionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalAggregateProductionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalConsumptionAndQualityResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalConsumptionAndQualityResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalConsumptionAndQualityResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalConsumptionAndQualityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalConsumptionAndQualityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalConsumptionAndQualityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalConsumptionAndQualityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalConsumptionAndQualityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalConsumptionAndQualityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalConsumptionAndQualityFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalConsumptionAndQualityFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalConsumptionAndQualityFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalConsumptionAndQualityFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalConsumptionAndQualityFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalConsumptionAndQualityFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalExportsImportsQuantityPriceResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalExportsImportsQuantityPriceResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalExportsImportsQuantityPriceResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalExportsImportsQuantityPriceDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalExportsImportsQuantityPriceDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalExportsImportsQuantityPriceDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalExportsImportsQuantityPriceDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalExportsImportsQuantityPriceDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalExportsImportsQuantityPriceDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalExportsImportsQuantityPriceFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalExportsImportsQuantityPriceFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalExportsImportsQuantityPriceFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMarketSalesPriceResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMarketSalesPriceResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMarketSalesPriceResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMarketSalesPriceDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMarketSalesPriceDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMarketSalesPriceDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalMarketSalesPriceDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalMarketSalesPriceDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalMarketSalesPriceDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMarketSalesPriceFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMarketSalesPriceFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMarketSalesPriceFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMarketSalesPriceFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMarketSalesPriceFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMarketSalesPriceFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMineProductionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMineProductionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMineProductionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMineProductionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMineProductionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMineProductionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalMineProductionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalMineProductionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalMineProductionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMineProductionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMineProductionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMineProductionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalMineProductionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalMineProductionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalMineProductionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalPriceByRankResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalPriceByRankResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalPriceByRankResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalPriceByRankDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalPriceByRankDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalPriceByRankDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalPriceByRankDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalPriceByRankDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalPriceByRankDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalPriceByRankFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalPriceByRankFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalPriceByRankFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalPriceByRankFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalPriceByRankFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalPriceByRankFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalReservesCapacityResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalReservesCapacityResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalReservesCapacityResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalReservesCapacityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalReservesCapacityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalReservesCapacityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalReservesCapacityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalReservesCapacityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalReservesCapacityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalReservesCapacityFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalReservesCapacityFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalReservesCapacityFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalReservesCapacityFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalReservesCapacityFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalReservesCapacityFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsByMineByPlantResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsByMineByPlantResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsByMineByPlantResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsByMineByPlantDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsByMineByPlantDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsByMineByPlantDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalShipmentsByMineByPlantDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalShipmentsByMineByPlantDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalShipmentsByMineByPlantDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsByMineByPlantFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsByMineByPlantFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsByMineByPlantFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineAggregatesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineAggregatesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineAggregatesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalShipmentsMineAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalShipmentsMineAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalShipmentsMineAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineAggregatesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineAggregatesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineAggregatesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineStateAggregatesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineStateAggregatesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineStateAggregatesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineStateAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineStateAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineStateAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalShipmentsMineStateAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalShipmentsMineStateAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalShipmentsMineStateAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineStateAggregatesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineStateAggregatesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineStateAggregatesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantAggregatesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantAggregatesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantAggregatesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalShipmentsPlantAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalShipmentsPlantAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalShipmentsPlantAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantAggregatesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantAggregatesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantAggregatesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantStateAggregatesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantStateAggregatesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantStateAggregatesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantStateAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantStateAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantStateAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalShipmentsPlantStateAggregatesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalShipmentsPlantStateAggregatesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalShipmentsPlantStateAggregatesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantStateAggregatesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantStateAggregatesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantStateAggregatesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsReceiptsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsReceiptsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsReceiptsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsReceiptsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsReceiptsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsReceiptsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CoalShipmentsReceiptsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CoalShipmentsReceiptsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CoalShipmentsReceiptsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsReceiptsFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsReceiptsFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsReceiptsFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CoalShipmentsReceiptsFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CoalShipmentsReceiptsFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CoalShipmentsReceiptsFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CrudeOilImportsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CrudeOilImportsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CrudeOilImportsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CrudeOilImportsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CrudeOilImportsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CrudeOilImportsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2CrudeOilImportsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2CrudeOilImportsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2CrudeOilImportsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CrudeOilImportsFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CrudeOilImportsFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CrudeOilImportsFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2CrudeOilImportsFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2CrudeOilImportsFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2CrudeOilImportsFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCapacityByRegionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCapacityByRegionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCapacityByRegionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCapacityByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCapacityByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCapacityByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassCapacityByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassCapacityByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassCapacityByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCapacityByRegionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCapacityByRegionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCapacityByRegionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCharacteristicsByRegionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCharacteristicsByRegionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCharacteristicsByRegionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCharacteristicsByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCharacteristicsByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCharacteristicsByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassCharacteristicsByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassCharacteristicsByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassCharacteristicsByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassExportSalesAndPriceResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassExportSalesAndPriceResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassExportSalesAndPriceResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassExportSalesAndPriceDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassExportSalesAndPriceDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassExportSalesAndPriceDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassExportSalesAndPriceDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassExportSalesAndPriceDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassExportSalesAndPriceDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassExportSalesAndPriceFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassExportSalesAndPriceFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassExportSalesAndPriceFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassFeedstocksAndCostResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassFeedstocksAndCostResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassFeedstocksAndCostResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassFeedstocksAndCostDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassFeedstocksAndCostDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassFeedstocksAndCostDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassFeedstocksAndCostDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassFeedstocksAndCostDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassFeedstocksAndCostDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassFeedstocksAndCostFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassFeedstocksAndCostFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassFeedstocksAndCostFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassInventoriesByRegionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassInventoriesByRegionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassInventoriesByRegionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassInventoriesByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassInventoriesByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassInventoriesByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassInventoriesByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassInventoriesByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassInventoriesByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassInventoriesByRegionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassInventoriesByRegionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassInventoriesByRegionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassProductionByRegionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassProductionByRegionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassProductionByRegionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassProductionByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassProductionByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassProductionByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassProductionByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassProductionByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassProductionByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassProductionByRegionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassProductionByRegionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassProductionByRegionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassSalesAndPriceByRegionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassSalesAndPriceByRegionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassSalesAndPriceByRegionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassWoodPelletPlantsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassWoodPelletPlantsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassWoodPelletPlantsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassWoodPelletPlantsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassWoodPelletPlantsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassWoodPelletPlantsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2DensifiedBiomassWoodPelletPlantsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2DensifiedBiomassWoodPelletPlantsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2DensifiedBiomassWoodPelletPlantsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassWoodPelletPlantsFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassWoodPelletPlantsFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassWoodPelletPlantsFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityElectricPowerOperationalDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityElectricPowerOperationalDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityElectricPowerOperationalDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityElectricPowerOperationalDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityElectricPowerOperationalDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityElectricPowerOperationalDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityElectricPowerOperationalDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityElectricPowerOperationalDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityElectricPowerOperationalDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityElectricPowerOperationalDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityElectricPowerOperationalDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityElectricPowerOperationalDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityFacilityFuelResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityFacilityFuelResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityFacilityFuelResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityFacilityFuelDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityFacilityFuelDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityFacilityFuelDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityFacilityFuelDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityFacilityFuelDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityFacilityFuelDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityFacilityFuelFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityFacilityFuelFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityFacilityFuelFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityFacilityFuelFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityFacilityFuelFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityFacilityFuelFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityOperatingGeneratorCapacityResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityOperatingGeneratorCapacityResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityOperatingGeneratorCapacityResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityOperatingGeneratorCapacityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityOperatingGeneratorCapacityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityOperatingGeneratorCapacityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityOperatingGeneratorCapacityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityOperatingGeneratorCapacityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityOperatingGeneratorCapacityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityOperatingGeneratorCapacityFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityOperatingGeneratorCapacityFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityOperatingGeneratorCapacityFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRetailSalesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRetailSalesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRetailSalesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRetailSalesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRetailSalesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRetailSalesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRetailSalesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRetailSalesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRetailSalesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRetailSalesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRetailSalesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRetailSalesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRetailSalesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRetailSalesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRetailSalesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyFuelTypeDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyFuelTypeDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyFuelTypeDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyFuelTypeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyFuelTypeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyFuelTypeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoDailyFuelTypeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoDailyFuelTypeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoDailyFuelTypeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyFuelTypeDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyFuelTypeDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyFuelTypeDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyInterchangeDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyInterchangeDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyInterchangeDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyInterchangeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyInterchangeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyInterchangeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoDailyInterchangeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoDailyInterchangeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoDailyInterchangeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyInterchangeDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyInterchangeDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyInterchangeDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoDailyRegionDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoDailyRegionDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoDailyRegionDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionSubBaDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionSubBaDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionSubBaDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionSubBaDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionSubBaDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionSubBaDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoDailyRegionSubBaDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoDailyRegionSubBaDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoDailyRegionSubBaDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoFuelTypeDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoFuelTypeDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoFuelTypeDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoFuelTypeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoFuelTypeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoFuelTypeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoFuelTypeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoFuelTypeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoFuelTypeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoFuelTypeDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoFuelTypeDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoFuelTypeDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoInterchangeDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoInterchangeDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoInterchangeDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoInterchangeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoInterchangeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoInterchangeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoInterchangeDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoInterchangeDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoInterchangeDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoInterchangeDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoInterchangeDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoInterchangeDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoRegionDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoRegionDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoRegionDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionSubBaDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionSubBaDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionSubBaDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionSubBaDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionSubBaDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionSubBaDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityRtoRegionSubBaDataDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityRtoRegionSubBaDataDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityRtoRegionSubBaDataDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionSubBaDataFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionSubBaDataFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionSubBaDataFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricitySepResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricitySepResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricitySepResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesCapabilityResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesCapabilityResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesCapabilityResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesCapabilityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesCapabilityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesCapabilityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesCapabilityDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesCapabilityDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesCapabilityDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesMetersResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesMetersResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesMetersResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesMetersDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesMetersDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesMetersDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesMetersDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesMetersDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesMetersDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesMetersFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesMetersFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesMetersFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesNetMeteringResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesNetMeteringResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesNetMeteringResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSourceDispositionResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSummaryResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSummaryResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSummaryResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSummaryDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSummaryDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSummaryDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2ElectricityStateElectricityProfilesSummaryDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2ElectricityStateElectricityProfilesSummaryDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2ElectricityStateElectricityProfilesSummaryDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSummaryFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSummaryFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSummaryFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2InternationalResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2InternationalResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2InternationalResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2InternationalDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2InternationalDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2InternationalDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2InternationalDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2InternationalDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2InternationalDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2InternationalFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2InternationalFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2InternationalFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2InternationalFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2InternationalFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2InternationalFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NaturalGasResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NaturalGasResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NaturalGasResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NaturalGasRoute1Response struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NaturalGasRoute1Response) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NaturalGasRoute1Response) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NaturalGasRoute1Route2Response struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NaturalGasRoute1Route2Response) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NaturalGasRoute1Route2Response) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NaturalGasRoute1Route2DataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NaturalGasRoute1Route2DataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NaturalGasRoute1Route2DataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2NaturalGasRoute1Route2DataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2NaturalGasRoute1Route2DataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2NaturalGasRoute1Route2DataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NaturalGasRoute1Route2FacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NaturalGasRoute1Route2FacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NaturalGasRoute1Route2FacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NaturalGasRoute1Route2FacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NaturalGasRoute1Route2FacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NaturalGasRoute1Route2FacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *RouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesFacilityNuclearOutagesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesFacilityNuclearOutagesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesFacilityNuclearOutagesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesFacilityNuclearOutagesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesFacilityNuclearOutagesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesFacilityNuclearOutagesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2NuclearOutagesFacilityNuclearOutagesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2NuclearOutagesFacilityNuclearOutagesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2NuclearOutagesFacilityNuclearOutagesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesGeneratorNuclearOutagesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesGeneratorNuclearOutagesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesGeneratorNuclearOutagesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesUsNuclearOutagesResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesUsNuclearOutagesResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesUsNuclearOutagesResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesUsNuclearOutagesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesUsNuclearOutagesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesUsNuclearOutagesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2NuclearOutagesUsNuclearOutagesDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2NuclearOutagesUsNuclearOutagesDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2NuclearOutagesUsNuclearOutagesDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesUsNuclearOutagesFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesUsNuclearOutagesFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesUsNuclearOutagesFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SedsResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SedsResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SedsResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SedsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SedsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SedsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2SedsDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2SedsDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2SedsDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SedsFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SedsFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SedsFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SedsFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SedsFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SedsFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SteoResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SteoResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SteoResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SteoDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SteoDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SteoDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2SteoDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2SteoDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2SteoDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SteoFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SteoFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SteoFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2SteoFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2SteoFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2SteoFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2TotalEnergyResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FinalRouteResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2TotalEnergyResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2TotalEnergyResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2TotalEnergyDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r GetV2TotalEnergyDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2TotalEnergyDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type PostV2TotalEnergyDataResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *DataResponseContainer
}

// Status returns HTTPResponse.Status
func (r PostV2TotalEnergyDataResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r PostV2TotalEnergyDataResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2TotalEnergyFacetResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetOptionListContainer
}

// Status returns HTTPResponse.Status
func (r GetV2TotalEnergyFacetResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2TotalEnergyFacetResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

type GetV2TotalEnergyFacetFacetIdResponse struct {
	Body         []byte
	HTTPResponse *http.Response
	JSON200      *FacetDetailsContainer
}

// Status returns HTTPResponse.Status
func (r GetV2TotalEnergyFacetFacetIdResponse) Status() string {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.Status
	}
	return http.StatusText(0)
}

// StatusCode returns HTTPResponse.StatusCode
func (r GetV2TotalEnergyFacetFacetIdResponse) StatusCode() int {
	if r.HTTPResponse != nil {
		return r.HTTPResponse.StatusCode
	}
	return 0
}

// GetV2WithResponse request returning *GetV2Response
func (c *ClientWithResponses) GetV2WithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Response, error) {
	rsp, err := c.GetV2(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Response(rsp)
}

// GetV2AeoWithResponse request returning *GetV2AeoResponse
func (c *ClientWithResponses) GetV2AeoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2AeoResponse, error) {
	rsp, err := c.GetV2Aeo(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2AeoResponse(rsp)
}

// GetV2AeoRoute1WithResponse request returning *GetV2AeoRoute1Response
func (c *ClientWithResponses) GetV2AeoRoute1WithResponse(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1Response, error) {
	rsp, err := c.GetV2AeoRoute1(ctx, route1, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2AeoRoute1Response(rsp)
}

// GetV2AeoRoute1DataWithResponse request returning *GetV2AeoRoute1DataResponse
func (c *ClientWithResponses) GetV2AeoRoute1DataWithResponse(ctx context.Context, route1 Route1, params *GetV2AeoRoute1DataParams, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1DataResponse, error) {
	rsp, err := c.GetV2AeoRoute1Data(ctx, route1, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2AeoRoute1DataResponse(rsp)
}

// PostV2AeoRoute1DataWithBodyWithResponse request with arbitrary body returning *PostV2AeoRoute1DataResponse
func (c *ClientWithResponses) PostV2AeoRoute1DataWithBodyWithResponse(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2AeoRoute1DataResponse, error) {
	rsp, err := c.PostV2AeoRoute1DataWithBody(ctx, route1, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2AeoRoute1DataResponse(rsp)
}

func (c *ClientWithResponses) PostV2AeoRoute1DataWithResponse(ctx context.Context, route1 Route1, body PostV2AeoRoute1DataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2AeoRoute1DataResponse, error) {
	rsp, err := c.PostV2AeoRoute1Data(ctx, route1, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2AeoRoute1DataResponse(rsp)
}

// GetV2AeoRoute1FacetWithResponse request returning *GetV2AeoRoute1FacetResponse
func (c *ClientWithResponses) GetV2AeoRoute1FacetWithResponse(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1FacetResponse, error) {
	rsp, err := c.GetV2AeoRoute1Facet(ctx, route1, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2AeoRoute1FacetResponse(rsp)
}

// GetV2AeoRoute1FacetFacetIdWithResponse request returning *GetV2AeoRoute1FacetFacetIdResponse
func (c *ClientWithResponses) GetV2AeoRoute1FacetFacetIdWithResponse(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2AeoRoute1FacetFacetIdResponse, error) {
	rsp, err := c.GetV2AeoRoute1FacetFacetId(ctx, route1, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2AeoRoute1FacetFacetIdResponse(rsp)
}

// GetV2Co2EmissionsWithResponse request returning *GetV2Co2EmissionsResponse
func (c *ClientWithResponses) GetV2Co2EmissionsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsResponse, error) {
	rsp, err := c.GetV2Co2Emissions(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAggregatesWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAggregatesResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAggregates(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAggregatesResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAggregatesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAggregatesDataResponse(rsp)
}

// PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBodyWithResponse request with arbitrary body returning *PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse
func (c *ClientWithResponses) PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error) {
	rsp, err := c.PostV2Co2EmissionsCo2EmissionsAggregatesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2Co2EmissionsCo2EmissionsAggregatesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error) {
	rsp, err := c.PostV2Co2EmissionsCo2EmissionsAggregatesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2Co2EmissionsCo2EmissionsAggregatesDataResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAggregatesFacetWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAggregatesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficients(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse(ctx context.Context, params *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataParams, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse(rsp)
}

// PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBodyWithResponse request with arbitrary body returning *PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse
func (c *ClientWithResponses) PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error) {
	rsp, err := c.PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse(ctx context.Context, body PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error) {
	rsp, err := c.PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse(rsp)
}

// GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdWithResponse request returning *GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse
func (c *ClientWithResponses) GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse, error) {
	rsp, err := c.GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse(rsp)
}

// GetV2CoalWithResponse request returning *GetV2CoalResponse
func (c *ClientWithResponses) GetV2CoalWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalResponse, error) {
	rsp, err := c.GetV2Coal(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalResponse(rsp)
}

// GetV2CoalAggregateProductionWithResponse request returning *GetV2CoalAggregateProductionResponse
func (c *ClientWithResponses) GetV2CoalAggregateProductionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionResponse, error) {
	rsp, err := c.GetV2CoalAggregateProduction(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalAggregateProductionResponse(rsp)
}

// GetV2CoalAggregateProductionDataWithResponse request returning *GetV2CoalAggregateProductionDataResponse
func (c *ClientWithResponses) GetV2CoalAggregateProductionDataWithResponse(ctx context.Context, params *GetV2CoalAggregateProductionDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionDataResponse, error) {
	rsp, err := c.GetV2CoalAggregateProductionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalAggregateProductionDataResponse(rsp)
}

// PostV2CoalAggregateProductionDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalAggregateProductionDataResponse
func (c *ClientWithResponses) PostV2CoalAggregateProductionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalAggregateProductionDataResponse, error) {
	rsp, err := c.PostV2CoalAggregateProductionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalAggregateProductionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalAggregateProductionDataWithResponse(ctx context.Context, body PostV2CoalAggregateProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalAggregateProductionDataResponse, error) {
	rsp, err := c.PostV2CoalAggregateProductionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalAggregateProductionDataResponse(rsp)
}

// GetV2CoalAggregateProductionFacetWithResponse request returning *GetV2CoalAggregateProductionFacetResponse
func (c *ClientWithResponses) GetV2CoalAggregateProductionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionFacetResponse, error) {
	rsp, err := c.GetV2CoalAggregateProductionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalAggregateProductionFacetResponse(rsp)
}

// GetV2CoalAggregateProductionFacetFacetIdWithResponse request returning *GetV2CoalAggregateProductionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalAggregateProductionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalAggregateProductionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalAggregateProductionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalAggregateProductionFacetFacetIdResponse(rsp)
}

// GetV2CoalConsumptionAndQualityWithResponse request returning *GetV2CoalConsumptionAndQualityResponse
func (c *ClientWithResponses) GetV2CoalConsumptionAndQualityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityResponse, error) {
	rsp, err := c.GetV2CoalConsumptionAndQuality(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalConsumptionAndQualityResponse(rsp)
}

// GetV2CoalConsumptionAndQualityDataWithResponse request returning *GetV2CoalConsumptionAndQualityDataResponse
func (c *ClientWithResponses) GetV2CoalConsumptionAndQualityDataWithResponse(ctx context.Context, params *GetV2CoalConsumptionAndQualityDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityDataResponse, error) {
	rsp, err := c.GetV2CoalConsumptionAndQualityData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalConsumptionAndQualityDataResponse(rsp)
}

// PostV2CoalConsumptionAndQualityDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalConsumptionAndQualityDataResponse
func (c *ClientWithResponses) PostV2CoalConsumptionAndQualityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalConsumptionAndQualityDataResponse, error) {
	rsp, err := c.PostV2CoalConsumptionAndQualityDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalConsumptionAndQualityDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalConsumptionAndQualityDataWithResponse(ctx context.Context, body PostV2CoalConsumptionAndQualityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalConsumptionAndQualityDataResponse, error) {
	rsp, err := c.PostV2CoalConsumptionAndQualityData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalConsumptionAndQualityDataResponse(rsp)
}

// GetV2CoalConsumptionAndQualityFacetWithResponse request returning *GetV2CoalConsumptionAndQualityFacetResponse
func (c *ClientWithResponses) GetV2CoalConsumptionAndQualityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityFacetResponse, error) {
	rsp, err := c.GetV2CoalConsumptionAndQualityFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalConsumptionAndQualityFacetResponse(rsp)
}

// GetV2CoalConsumptionAndQualityFacetFacetIdWithResponse request returning *GetV2CoalConsumptionAndQualityFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalConsumptionAndQualityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalConsumptionAndQualityFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalConsumptionAndQualityFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalConsumptionAndQualityFacetFacetIdResponse(rsp)
}

// GetV2CoalExportsImportsQuantityPriceWithResponse request returning *GetV2CoalExportsImportsQuantityPriceResponse
func (c *ClientWithResponses) GetV2CoalExportsImportsQuantityPriceWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceResponse, error) {
	rsp, err := c.GetV2CoalExportsImportsQuantityPrice(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalExportsImportsQuantityPriceResponse(rsp)
}

// GetV2CoalExportsImportsQuantityPriceDataWithResponse request returning *GetV2CoalExportsImportsQuantityPriceDataResponse
func (c *ClientWithResponses) GetV2CoalExportsImportsQuantityPriceDataWithResponse(ctx context.Context, params *GetV2CoalExportsImportsQuantityPriceDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceDataResponse, error) {
	rsp, err := c.GetV2CoalExportsImportsQuantityPriceData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalExportsImportsQuantityPriceDataResponse(rsp)
}

// PostV2CoalExportsImportsQuantityPriceDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalExportsImportsQuantityPriceDataResponse
func (c *ClientWithResponses) PostV2CoalExportsImportsQuantityPriceDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalExportsImportsQuantityPriceDataResponse, error) {
	rsp, err := c.PostV2CoalExportsImportsQuantityPriceDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalExportsImportsQuantityPriceDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalExportsImportsQuantityPriceDataWithResponse(ctx context.Context, body PostV2CoalExportsImportsQuantityPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalExportsImportsQuantityPriceDataResponse, error) {
	rsp, err := c.PostV2CoalExportsImportsQuantityPriceData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalExportsImportsQuantityPriceDataResponse(rsp)
}

// GetV2CoalExportsImportsQuantityPriceFacetWithResponse request returning *GetV2CoalExportsImportsQuantityPriceFacetResponse
func (c *ClientWithResponses) GetV2CoalExportsImportsQuantityPriceFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceFacetResponse, error) {
	rsp, err := c.GetV2CoalExportsImportsQuantityPriceFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalExportsImportsQuantityPriceFacetResponse(rsp)
}

// GetV2CoalExportsImportsQuantityPriceFacetFacetIdWithResponse request returning *GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalExportsImportsQuantityPriceFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalExportsImportsQuantityPriceFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse(rsp)
}

// GetV2CoalMarketSalesPriceWithResponse request returning *GetV2CoalMarketSalesPriceResponse
func (c *ClientWithResponses) GetV2CoalMarketSalesPriceWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceResponse, error) {
	rsp, err := c.GetV2CoalMarketSalesPrice(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMarketSalesPriceResponse(rsp)
}

// GetV2CoalMarketSalesPriceDataWithResponse request returning *GetV2CoalMarketSalesPriceDataResponse
func (c *ClientWithResponses) GetV2CoalMarketSalesPriceDataWithResponse(ctx context.Context, params *GetV2CoalMarketSalesPriceDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceDataResponse, error) {
	rsp, err := c.GetV2CoalMarketSalesPriceData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMarketSalesPriceDataResponse(rsp)
}

// PostV2CoalMarketSalesPriceDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalMarketSalesPriceDataResponse
func (c *ClientWithResponses) PostV2CoalMarketSalesPriceDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalMarketSalesPriceDataResponse, error) {
	rsp, err := c.PostV2CoalMarketSalesPriceDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalMarketSalesPriceDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalMarketSalesPriceDataWithResponse(ctx context.Context, body PostV2CoalMarketSalesPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalMarketSalesPriceDataResponse, error) {
	rsp, err := c.PostV2CoalMarketSalesPriceData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalMarketSalesPriceDataResponse(rsp)
}

// GetV2CoalMarketSalesPriceFacetWithResponse request returning *GetV2CoalMarketSalesPriceFacetResponse
func (c *ClientWithResponses) GetV2CoalMarketSalesPriceFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceFacetResponse, error) {
	rsp, err := c.GetV2CoalMarketSalesPriceFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMarketSalesPriceFacetResponse(rsp)
}

// GetV2CoalMarketSalesPriceFacetFacetIdWithResponse request returning *GetV2CoalMarketSalesPriceFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalMarketSalesPriceFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalMarketSalesPriceFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalMarketSalesPriceFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMarketSalesPriceFacetFacetIdResponse(rsp)
}

// GetV2CoalMineProductionWithResponse request returning *GetV2CoalMineProductionResponse
func (c *ClientWithResponses) GetV2CoalMineProductionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionResponse, error) {
	rsp, err := c.GetV2CoalMineProduction(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMineProductionResponse(rsp)
}

// GetV2CoalMineProductionDataWithResponse request returning *GetV2CoalMineProductionDataResponse
func (c *ClientWithResponses) GetV2CoalMineProductionDataWithResponse(ctx context.Context, params *GetV2CoalMineProductionDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionDataResponse, error) {
	rsp, err := c.GetV2CoalMineProductionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMineProductionDataResponse(rsp)
}

// PostV2CoalMineProductionDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalMineProductionDataResponse
func (c *ClientWithResponses) PostV2CoalMineProductionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalMineProductionDataResponse, error) {
	rsp, err := c.PostV2CoalMineProductionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalMineProductionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalMineProductionDataWithResponse(ctx context.Context, body PostV2CoalMineProductionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalMineProductionDataResponse, error) {
	rsp, err := c.PostV2CoalMineProductionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalMineProductionDataResponse(rsp)
}

// GetV2CoalMineProductionFacetWithResponse request returning *GetV2CoalMineProductionFacetResponse
func (c *ClientWithResponses) GetV2CoalMineProductionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionFacetResponse, error) {
	rsp, err := c.GetV2CoalMineProductionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMineProductionFacetResponse(rsp)
}

// GetV2CoalMineProductionFacetFacetIdWithResponse request returning *GetV2CoalMineProductionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalMineProductionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalMineProductionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalMineProductionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalMineProductionFacetFacetIdResponse(rsp)
}

// GetV2CoalPriceByRankWithResponse request returning *GetV2CoalPriceByRankResponse
func (c *ClientWithResponses) GetV2CoalPriceByRankWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankResponse, error) {
	rsp, err := c.GetV2CoalPriceByRank(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalPriceByRankResponse(rsp)
}

// GetV2CoalPriceByRankDataWithResponse request returning *GetV2CoalPriceByRankDataResponse
func (c *ClientWithResponses) GetV2CoalPriceByRankDataWithResponse(ctx context.Context, params *GetV2CoalPriceByRankDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankDataResponse, error) {
	rsp, err := c.GetV2CoalPriceByRankData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalPriceByRankDataResponse(rsp)
}

// PostV2CoalPriceByRankDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalPriceByRankDataResponse
func (c *ClientWithResponses) PostV2CoalPriceByRankDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalPriceByRankDataResponse, error) {
	rsp, err := c.PostV2CoalPriceByRankDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalPriceByRankDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalPriceByRankDataWithResponse(ctx context.Context, body PostV2CoalPriceByRankDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalPriceByRankDataResponse, error) {
	rsp, err := c.PostV2CoalPriceByRankData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalPriceByRankDataResponse(rsp)
}

// GetV2CoalPriceByRankFacetWithResponse request returning *GetV2CoalPriceByRankFacetResponse
func (c *ClientWithResponses) GetV2CoalPriceByRankFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankFacetResponse, error) {
	rsp, err := c.GetV2CoalPriceByRankFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalPriceByRankFacetResponse(rsp)
}

// GetV2CoalPriceByRankFacetFacetIdWithResponse request returning *GetV2CoalPriceByRankFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalPriceByRankFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalPriceByRankFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalPriceByRankFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalPriceByRankFacetFacetIdResponse(rsp)
}

// GetV2CoalReservesCapacityWithResponse request returning *GetV2CoalReservesCapacityResponse
func (c *ClientWithResponses) GetV2CoalReservesCapacityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityResponse, error) {
	rsp, err := c.GetV2CoalReservesCapacity(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalReservesCapacityResponse(rsp)
}

// GetV2CoalReservesCapacityDataWithResponse request returning *GetV2CoalReservesCapacityDataResponse
func (c *ClientWithResponses) GetV2CoalReservesCapacityDataWithResponse(ctx context.Context, params *GetV2CoalReservesCapacityDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityDataResponse, error) {
	rsp, err := c.GetV2CoalReservesCapacityData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalReservesCapacityDataResponse(rsp)
}

// PostV2CoalReservesCapacityDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalReservesCapacityDataResponse
func (c *ClientWithResponses) PostV2CoalReservesCapacityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalReservesCapacityDataResponse, error) {
	rsp, err := c.PostV2CoalReservesCapacityDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalReservesCapacityDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalReservesCapacityDataWithResponse(ctx context.Context, body PostV2CoalReservesCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalReservesCapacityDataResponse, error) {
	rsp, err := c.PostV2CoalReservesCapacityData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalReservesCapacityDataResponse(rsp)
}

// GetV2CoalReservesCapacityFacetWithResponse request returning *GetV2CoalReservesCapacityFacetResponse
func (c *ClientWithResponses) GetV2CoalReservesCapacityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityFacetResponse, error) {
	rsp, err := c.GetV2CoalReservesCapacityFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalReservesCapacityFacetResponse(rsp)
}

// GetV2CoalReservesCapacityFacetFacetIdWithResponse request returning *GetV2CoalReservesCapacityFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalReservesCapacityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalReservesCapacityFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalReservesCapacityFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalReservesCapacityFacetFacetIdResponse(rsp)
}

// GetV2CoalShipmentsWithResponse request returning *GetV2CoalShipmentsResponse
func (c *ClientWithResponses) GetV2CoalShipmentsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsResponse, error) {
	rsp, err := c.GetV2CoalShipments(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsResponse(rsp)
}

// GetV2CoalShipmentsByMineByPlantWithResponse request returning *GetV2CoalShipmentsByMineByPlantResponse
func (c *ClientWithResponses) GetV2CoalShipmentsByMineByPlantWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantResponse, error) {
	rsp, err := c.GetV2CoalShipmentsByMineByPlant(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsByMineByPlantResponse(rsp)
}

// GetV2CoalShipmentsByMineByPlantDataWithResponse request returning *GetV2CoalShipmentsByMineByPlantDataResponse
func (c *ClientWithResponses) GetV2CoalShipmentsByMineByPlantDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsByMineByPlantDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantDataResponse, error) {
	rsp, err := c.GetV2CoalShipmentsByMineByPlantData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsByMineByPlantDataResponse(rsp)
}

// PostV2CoalShipmentsByMineByPlantDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalShipmentsByMineByPlantDataResponse
func (c *ClientWithResponses) PostV2CoalShipmentsByMineByPlantDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsByMineByPlantDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsByMineByPlantDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsByMineByPlantDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalShipmentsByMineByPlantDataWithResponse(ctx context.Context, body PostV2CoalShipmentsByMineByPlantDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsByMineByPlantDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsByMineByPlantData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsByMineByPlantDataResponse(rsp)
}

// GetV2CoalShipmentsByMineByPlantFacetWithResponse request returning *GetV2CoalShipmentsByMineByPlantFacetResponse
func (c *ClientWithResponses) GetV2CoalShipmentsByMineByPlantFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantFacetResponse, error) {
	rsp, err := c.GetV2CoalShipmentsByMineByPlantFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsByMineByPlantFacetResponse(rsp)
}

// GetV2CoalShipmentsByMineByPlantFacetFacetIdWithResponse request returning *GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalShipmentsByMineByPlantFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalShipmentsByMineByPlantFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsByMineByPlantFacetFacetIdResponse(rsp)
}

// GetV2CoalShipmentsMineAggregatesWithResponse request returning *GetV2CoalShipmentsMineAggregatesResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineAggregates(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineAggregatesResponse(rsp)
}

// GetV2CoalShipmentsMineAggregatesDataWithResponse request returning *GetV2CoalShipmentsMineAggregatesDataResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsMineAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesDataResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineAggregatesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineAggregatesDataResponse(rsp)
}

// PostV2CoalShipmentsMineAggregatesDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalShipmentsMineAggregatesDataResponse
func (c *ClientWithResponses) PostV2CoalShipmentsMineAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsMineAggregatesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsMineAggregatesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalShipmentsMineAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsMineAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsMineAggregatesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsMineAggregatesDataResponse(rsp)
}

// GetV2CoalShipmentsMineAggregatesFacetWithResponse request returning *GetV2CoalShipmentsMineAggregatesFacetResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesFacetResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineAggregatesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineAggregatesFacetResponse(rsp)
}

// GetV2CoalShipmentsMineAggregatesFacetFacetIdWithResponse request returning *GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineAggregatesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineAggregatesFacetFacetIdResponse(rsp)
}

// GetV2CoalShipmentsMineStateAggregatesWithResponse request returning *GetV2CoalShipmentsMineStateAggregatesResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineStateAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineStateAggregates(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineStateAggregatesResponse(rsp)
}

// GetV2CoalShipmentsMineStateAggregatesDataWithResponse request returning *GetV2CoalShipmentsMineStateAggregatesDataResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineStateAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsMineStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesDataResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineStateAggregatesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineStateAggregatesDataResponse(rsp)
}

// PostV2CoalShipmentsMineStateAggregatesDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalShipmentsMineStateAggregatesDataResponse
func (c *ClientWithResponses) PostV2CoalShipmentsMineStateAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineStateAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsMineStateAggregatesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsMineStateAggregatesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalShipmentsMineStateAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsMineStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsMineStateAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsMineStateAggregatesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsMineStateAggregatesDataResponse(rsp)
}

// GetV2CoalShipmentsMineStateAggregatesFacetWithResponse request returning *GetV2CoalShipmentsMineStateAggregatesFacetResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineStateAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesFacetResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineStateAggregatesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineStateAggregatesFacetResponse(rsp)
}

// GetV2CoalShipmentsMineStateAggregatesFacetFacetIdWithResponse request returning *GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalShipmentsMineStateAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalShipmentsMineStateAggregatesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse(rsp)
}

// GetV2CoalShipmentsPlantAggregatesWithResponse request returning *GetV2CoalShipmentsPlantAggregatesResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantAggregates(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantAggregatesResponse(rsp)
}

// GetV2CoalShipmentsPlantAggregatesDataWithResponse request returning *GetV2CoalShipmentsPlantAggregatesDataResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsPlantAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesDataResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantAggregatesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantAggregatesDataResponse(rsp)
}

// PostV2CoalShipmentsPlantAggregatesDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalShipmentsPlantAggregatesDataResponse
func (c *ClientWithResponses) PostV2CoalShipmentsPlantAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsPlantAggregatesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsPlantAggregatesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalShipmentsPlantAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsPlantAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsPlantAggregatesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsPlantAggregatesDataResponse(rsp)
}

// GetV2CoalShipmentsPlantAggregatesFacetWithResponse request returning *GetV2CoalShipmentsPlantAggregatesFacetResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesFacetResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantAggregatesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantAggregatesFacetResponse(rsp)
}

// GetV2CoalShipmentsPlantAggregatesFacetFacetIdWithResponse request returning *GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantAggregatesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse(rsp)
}

// GetV2CoalShipmentsPlantStateAggregatesWithResponse request returning *GetV2CoalShipmentsPlantStateAggregatesResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantStateAggregatesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantStateAggregates(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantStateAggregatesResponse(rsp)
}

// GetV2CoalShipmentsPlantStateAggregatesDataWithResponse request returning *GetV2CoalShipmentsPlantStateAggregatesDataResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantStateAggregatesDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsPlantStateAggregatesDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesDataResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantStateAggregatesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantStateAggregatesDataResponse(rsp)
}

// PostV2CoalShipmentsPlantStateAggregatesDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalShipmentsPlantStateAggregatesDataResponse
func (c *ClientWithResponses) PostV2CoalShipmentsPlantStateAggregatesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantStateAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsPlantStateAggregatesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsPlantStateAggregatesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalShipmentsPlantStateAggregatesDataWithResponse(ctx context.Context, body PostV2CoalShipmentsPlantStateAggregatesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsPlantStateAggregatesDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsPlantStateAggregatesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsPlantStateAggregatesDataResponse(rsp)
}

// GetV2CoalShipmentsPlantStateAggregatesFacetWithResponse request returning *GetV2CoalShipmentsPlantStateAggregatesFacetResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantStateAggregatesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesFacetResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantStateAggregatesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantStateAggregatesFacetResponse(rsp)
}

// GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdWithResponse request returning *GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalShipmentsPlantStateAggregatesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse(rsp)
}

// GetV2CoalShipmentsReceiptsWithResponse request returning *GetV2CoalShipmentsReceiptsResponse
func (c *ClientWithResponses) GetV2CoalShipmentsReceiptsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsResponse, error) {
	rsp, err := c.GetV2CoalShipmentsReceipts(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsReceiptsResponse(rsp)
}

// GetV2CoalShipmentsReceiptsDataWithResponse request returning *GetV2CoalShipmentsReceiptsDataResponse
func (c *ClientWithResponses) GetV2CoalShipmentsReceiptsDataWithResponse(ctx context.Context, params *GetV2CoalShipmentsReceiptsDataParams, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsDataResponse, error) {
	rsp, err := c.GetV2CoalShipmentsReceiptsData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsReceiptsDataResponse(rsp)
}

// PostV2CoalShipmentsReceiptsDataWithBodyWithResponse request with arbitrary body returning *PostV2CoalShipmentsReceiptsDataResponse
func (c *ClientWithResponses) PostV2CoalShipmentsReceiptsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsReceiptsDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsReceiptsDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsReceiptsDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CoalShipmentsReceiptsDataWithResponse(ctx context.Context, body PostV2CoalShipmentsReceiptsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CoalShipmentsReceiptsDataResponse, error) {
	rsp, err := c.PostV2CoalShipmentsReceiptsData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CoalShipmentsReceiptsDataResponse(rsp)
}

// GetV2CoalShipmentsReceiptsFacetWithResponse request returning *GetV2CoalShipmentsReceiptsFacetResponse
func (c *ClientWithResponses) GetV2CoalShipmentsReceiptsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsFacetResponse, error) {
	rsp, err := c.GetV2CoalShipmentsReceiptsFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsReceiptsFacetResponse(rsp)
}

// GetV2CoalShipmentsReceiptsFacetFacetIdWithResponse request returning *GetV2CoalShipmentsReceiptsFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CoalShipmentsReceiptsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CoalShipmentsReceiptsFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CoalShipmentsReceiptsFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CoalShipmentsReceiptsFacetFacetIdResponse(rsp)
}

// GetV2CrudeOilImportsWithResponse request returning *GetV2CrudeOilImportsResponse
func (c *ClientWithResponses) GetV2CrudeOilImportsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsResponse, error) {
	rsp, err := c.GetV2CrudeOilImports(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CrudeOilImportsResponse(rsp)
}

// GetV2CrudeOilImportsDataWithResponse request returning *GetV2CrudeOilImportsDataResponse
func (c *ClientWithResponses) GetV2CrudeOilImportsDataWithResponse(ctx context.Context, params *GetV2CrudeOilImportsDataParams, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsDataResponse, error) {
	rsp, err := c.GetV2CrudeOilImportsData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CrudeOilImportsDataResponse(rsp)
}

// PostV2CrudeOilImportsDataWithBodyWithResponse request with arbitrary body returning *PostV2CrudeOilImportsDataResponse
func (c *ClientWithResponses) PostV2CrudeOilImportsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2CrudeOilImportsDataResponse, error) {
	rsp, err := c.PostV2CrudeOilImportsDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CrudeOilImportsDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2CrudeOilImportsDataWithResponse(ctx context.Context, body PostV2CrudeOilImportsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2CrudeOilImportsDataResponse, error) {
	rsp, err := c.PostV2CrudeOilImportsData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2CrudeOilImportsDataResponse(rsp)
}

// GetV2CrudeOilImportsFacetWithResponse request returning *GetV2CrudeOilImportsFacetResponse
func (c *ClientWithResponses) GetV2CrudeOilImportsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsFacetResponse, error) {
	rsp, err := c.GetV2CrudeOilImportsFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CrudeOilImportsFacetResponse(rsp)
}

// GetV2CrudeOilImportsFacetFacetIdWithResponse request returning *GetV2CrudeOilImportsFacetFacetIdResponse
func (c *ClientWithResponses) GetV2CrudeOilImportsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2CrudeOilImportsFacetFacetIdResponse, error) {
	rsp, err := c.GetV2CrudeOilImportsFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2CrudeOilImportsFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassWithResponse request returning *GetV2DensifiedBiomassResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassResponse, error) {
	rsp, err := c.GetV2DensifiedBiomass(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassResponse(rsp)
}

// GetV2DensifiedBiomassCapacityByRegionWithResponse request returning *GetV2DensifiedBiomassCapacityByRegionResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCapacityByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCapacityByRegion(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCapacityByRegionResponse(rsp)
}

// GetV2DensifiedBiomassCapacityByRegionDataWithResponse request returning *GetV2DensifiedBiomassCapacityByRegionDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCapacityByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassCapacityByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCapacityByRegionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCapacityByRegionDataResponse(rsp)
}

// PostV2DensifiedBiomassCapacityByRegionDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassCapacityByRegionDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassCapacityByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCapacityByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassCapacityByRegionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassCapacityByRegionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassCapacityByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassCapacityByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCapacityByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassCapacityByRegionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassCapacityByRegionDataResponse(rsp)
}

// GetV2DensifiedBiomassCapacityByRegionFacetWithResponse request returning *GetV2DensifiedBiomassCapacityByRegionFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCapacityByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCapacityByRegionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCapacityByRegionFacetResponse(rsp)
}

// GetV2DensifiedBiomassCapacityByRegionFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCapacityByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCapacityByRegionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassCharacteristicsByRegionWithResponse request returning *GetV2DensifiedBiomassCharacteristicsByRegionResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCharacteristicsByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCharacteristicsByRegion(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCharacteristicsByRegionResponse(rsp)
}

// GetV2DensifiedBiomassCharacteristicsByRegionDataWithResponse request returning *GetV2DensifiedBiomassCharacteristicsByRegionDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCharacteristicsByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassCharacteristicsByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCharacteristicsByRegionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCharacteristicsByRegionDataResponse(rsp)
}

// PostV2DensifiedBiomassCharacteristicsByRegionDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassCharacteristicsByRegionDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassCharacteristicsByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCharacteristicsByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassCharacteristicsByRegionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassCharacteristicsByRegionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassCharacteristicsByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassCharacteristicsByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassCharacteristicsByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassCharacteristicsByRegionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassCharacteristicsByRegionDataResponse(rsp)
}

// GetV2DensifiedBiomassCharacteristicsByRegionFacetWithResponse request returning *GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCharacteristicsByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCharacteristicsByRegionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCharacteristicsByRegionFacetResponse(rsp)
}

// GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassExportSalesAndPriceWithResponse request returning *GetV2DensifiedBiomassExportSalesAndPriceResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassExportSalesAndPriceWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassExportSalesAndPrice(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassExportSalesAndPriceResponse(rsp)
}

// GetV2DensifiedBiomassExportSalesAndPriceDataWithResponse request returning *GetV2DensifiedBiomassExportSalesAndPriceDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassExportSalesAndPriceDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassExportSalesAndPriceDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassExportSalesAndPriceData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassExportSalesAndPriceDataResponse(rsp)
}

// PostV2DensifiedBiomassExportSalesAndPriceDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassExportSalesAndPriceDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassExportSalesAndPriceDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassExportSalesAndPriceDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassExportSalesAndPriceDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassExportSalesAndPriceDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassExportSalesAndPriceDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassExportSalesAndPriceDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassExportSalesAndPriceDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassExportSalesAndPriceData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassExportSalesAndPriceDataResponse(rsp)
}

// GetV2DensifiedBiomassExportSalesAndPriceFacetWithResponse request returning *GetV2DensifiedBiomassExportSalesAndPriceFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassExportSalesAndPriceFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassExportSalesAndPriceFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassExportSalesAndPriceFacetResponse(rsp)
}

// GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassExportSalesAndPriceFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassFeedstocksAndCostWithResponse request returning *GetV2DensifiedBiomassFeedstocksAndCostResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassFeedstocksAndCostWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassFeedstocksAndCost(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassFeedstocksAndCostResponse(rsp)
}

// GetV2DensifiedBiomassFeedstocksAndCostDataWithResponse request returning *GetV2DensifiedBiomassFeedstocksAndCostDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassFeedstocksAndCostDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassFeedstocksAndCostDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassFeedstocksAndCostData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassFeedstocksAndCostDataResponse(rsp)
}

// PostV2DensifiedBiomassFeedstocksAndCostDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassFeedstocksAndCostDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassFeedstocksAndCostDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassFeedstocksAndCostDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassFeedstocksAndCostDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassFeedstocksAndCostDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassFeedstocksAndCostDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassFeedstocksAndCostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassFeedstocksAndCostDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassFeedstocksAndCostData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassFeedstocksAndCostDataResponse(rsp)
}

// GetV2DensifiedBiomassFeedstocksAndCostFacetWithResponse request returning *GetV2DensifiedBiomassFeedstocksAndCostFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassFeedstocksAndCostFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassFeedstocksAndCostFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassFeedstocksAndCostFacetResponse(rsp)
}

// GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassFeedstocksAndCostFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassInventoriesByRegionWithResponse request returning *GetV2DensifiedBiomassInventoriesByRegionResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassInventoriesByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassInventoriesByRegion(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassInventoriesByRegionResponse(rsp)
}

// GetV2DensifiedBiomassInventoriesByRegionDataWithResponse request returning *GetV2DensifiedBiomassInventoriesByRegionDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassInventoriesByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassInventoriesByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassInventoriesByRegionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassInventoriesByRegionDataResponse(rsp)
}

// PostV2DensifiedBiomassInventoriesByRegionDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassInventoriesByRegionDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassInventoriesByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassInventoriesByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassInventoriesByRegionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassInventoriesByRegionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassInventoriesByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassInventoriesByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassInventoriesByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassInventoriesByRegionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassInventoriesByRegionDataResponse(rsp)
}

// GetV2DensifiedBiomassInventoriesByRegionFacetWithResponse request returning *GetV2DensifiedBiomassInventoriesByRegionFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassInventoriesByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassInventoriesByRegionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassInventoriesByRegionFacetResponse(rsp)
}

// GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassInventoriesByRegionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassProductionByRegionWithResponse request returning *GetV2DensifiedBiomassProductionByRegionResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassProductionByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassProductionByRegion(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassProductionByRegionResponse(rsp)
}

// GetV2DensifiedBiomassProductionByRegionDataWithResponse request returning *GetV2DensifiedBiomassProductionByRegionDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassProductionByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassProductionByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassProductionByRegionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassProductionByRegionDataResponse(rsp)
}

// PostV2DensifiedBiomassProductionByRegionDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassProductionByRegionDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassProductionByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassProductionByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassProductionByRegionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassProductionByRegionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassProductionByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassProductionByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassProductionByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassProductionByRegionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassProductionByRegionDataResponse(rsp)
}

// GetV2DensifiedBiomassProductionByRegionFacetWithResponse request returning *GetV2DensifiedBiomassProductionByRegionFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassProductionByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassProductionByRegionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassProductionByRegionFacetResponse(rsp)
}

// GetV2DensifiedBiomassProductionByRegionFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassProductionByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassProductionByRegionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassSalesAndPriceByRegionWithResponse request returning *GetV2DensifiedBiomassSalesAndPriceByRegionResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassSalesAndPriceByRegionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassSalesAndPriceByRegion(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassSalesAndPriceByRegionResponse(rsp)
}

// GetV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse request returning *GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassSalesAndPriceByRegionDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassSalesAndPriceByRegionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassSalesAndPriceByRegionDataResponse(rsp)
}

// PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassSalesAndPriceByRegionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassSalesAndPriceByRegionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassSalesAndPriceByRegionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassSalesAndPriceByRegionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassSalesAndPriceByRegionDataResponse(rsp)
}

// GetV2DensifiedBiomassSalesAndPriceByRegionFacetWithResponse request returning *GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassSalesAndPriceByRegionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassSalesAndPriceByRegionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse(rsp)
}

// GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse(rsp)
}

// GetV2DensifiedBiomassWoodPelletPlantsWithResponse request returning *GetV2DensifiedBiomassWoodPelletPlantsResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassWoodPelletPlantsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassWoodPelletPlants(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassWoodPelletPlantsResponse(rsp)
}

// GetV2DensifiedBiomassWoodPelletPlantsDataWithResponse request returning *GetV2DensifiedBiomassWoodPelletPlantsDataResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassWoodPelletPlantsDataWithResponse(ctx context.Context, params *GetV2DensifiedBiomassWoodPelletPlantsDataParams, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsDataResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassWoodPelletPlantsData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassWoodPelletPlantsDataResponse(rsp)
}

// PostV2DensifiedBiomassWoodPelletPlantsDataWithBodyWithResponse request with arbitrary body returning *PostV2DensifiedBiomassWoodPelletPlantsDataResponse
func (c *ClientWithResponses) PostV2DensifiedBiomassWoodPelletPlantsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassWoodPelletPlantsDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassWoodPelletPlantsDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassWoodPelletPlantsDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2DensifiedBiomassWoodPelletPlantsDataWithResponse(ctx context.Context, body PostV2DensifiedBiomassWoodPelletPlantsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2DensifiedBiomassWoodPelletPlantsDataResponse, error) {
	rsp, err := c.PostV2DensifiedBiomassWoodPelletPlantsData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2DensifiedBiomassWoodPelletPlantsDataResponse(rsp)
}

// GetV2DensifiedBiomassWoodPelletPlantsFacetWithResponse request returning *GetV2DensifiedBiomassWoodPelletPlantsFacetResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassWoodPelletPlantsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsFacetResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassWoodPelletPlantsFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassWoodPelletPlantsFacetResponse(rsp)
}

// GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdWithResponse request returning *GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse
func (c *ClientWithResponses) GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse, error) {
	rsp, err := c.GetV2DensifiedBiomassWoodPelletPlantsFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse(rsp)
}

// GetV2ElectricityWithResponse request returning *GetV2ElectricityResponse
func (c *ClientWithResponses) GetV2ElectricityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityResponse, error) {
	rsp, err := c.GetV2Electricity(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityResponse(rsp)
}

// GetV2ElectricityElectricPowerOperationalDataWithResponse request returning *GetV2ElectricityElectricPowerOperationalDataResponse
func (c *ClientWithResponses) GetV2ElectricityElectricPowerOperationalDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataResponse, error) {
	rsp, err := c.GetV2ElectricityElectricPowerOperationalData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityElectricPowerOperationalDataResponse(rsp)
}

// GetV2ElectricityElectricPowerOperationalDataDataWithResponse request returning *GetV2ElectricityElectricPowerOperationalDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityElectricPowerOperationalDataDataWithResponse(ctx context.Context, params *GetV2ElectricityElectricPowerOperationalDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityElectricPowerOperationalDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityElectricPowerOperationalDataDataResponse(rsp)
}

// PostV2ElectricityElectricPowerOperationalDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityElectricPowerOperationalDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityElectricPowerOperationalDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityElectricPowerOperationalDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityElectricPowerOperationalDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityElectricPowerOperationalDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityElectricPowerOperationalDataDataWithResponse(ctx context.Context, body PostV2ElectricityElectricPowerOperationalDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityElectricPowerOperationalDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityElectricPowerOperationalDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityElectricPowerOperationalDataDataResponse(rsp)
}

// GetV2ElectricityElectricPowerOperationalDataFacetWithResponse request returning *GetV2ElectricityElectricPowerOperationalDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityElectricPowerOperationalDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityElectricPowerOperationalDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityElectricPowerOperationalDataFacetResponse(rsp)
}

// GetV2ElectricityElectricPowerOperationalDataFacetFacetIdWithResponse request returning *GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityElectricPowerOperationalDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityElectricPowerOperationalDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityFacilityFuelWithResponse request returning *GetV2ElectricityFacilityFuelResponse
func (c *ClientWithResponses) GetV2ElectricityFacilityFuelWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelResponse, error) {
	rsp, err := c.GetV2ElectricityFacilityFuel(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityFacilityFuelResponse(rsp)
}

// GetV2ElectricityFacilityFuelDataWithResponse request returning *GetV2ElectricityFacilityFuelDataResponse
func (c *ClientWithResponses) GetV2ElectricityFacilityFuelDataWithResponse(ctx context.Context, params *GetV2ElectricityFacilityFuelDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelDataResponse, error) {
	rsp, err := c.GetV2ElectricityFacilityFuelData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityFacilityFuelDataResponse(rsp)
}

// PostV2ElectricityFacilityFuelDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityFacilityFuelDataResponse
func (c *ClientWithResponses) PostV2ElectricityFacilityFuelDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityFacilityFuelDataResponse, error) {
	rsp, err := c.PostV2ElectricityFacilityFuelDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityFacilityFuelDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityFacilityFuelDataWithResponse(ctx context.Context, body PostV2ElectricityFacilityFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityFacilityFuelDataResponse, error) {
	rsp, err := c.PostV2ElectricityFacilityFuelData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityFacilityFuelDataResponse(rsp)
}

// GetV2ElectricityFacilityFuelFacetWithResponse request returning *GetV2ElectricityFacilityFuelFacetResponse
func (c *ClientWithResponses) GetV2ElectricityFacilityFuelFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelFacetResponse, error) {
	rsp, err := c.GetV2ElectricityFacilityFuelFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityFacilityFuelFacetResponse(rsp)
}

// GetV2ElectricityFacilityFuelFacetFacetIdWithResponse request returning *GetV2ElectricityFacilityFuelFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityFacilityFuelFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityFacilityFuelFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityFacilityFuelFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityFacilityFuelFacetFacetIdResponse(rsp)
}

// GetV2ElectricityOperatingGeneratorCapacityWithResponse request returning *GetV2ElectricityOperatingGeneratorCapacityResponse
func (c *ClientWithResponses) GetV2ElectricityOperatingGeneratorCapacityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityResponse, error) {
	rsp, err := c.GetV2ElectricityOperatingGeneratorCapacity(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityOperatingGeneratorCapacityResponse(rsp)
}

// GetV2ElectricityOperatingGeneratorCapacityDataWithResponse request returning *GetV2ElectricityOperatingGeneratorCapacityDataResponse
func (c *ClientWithResponses) GetV2ElectricityOperatingGeneratorCapacityDataWithResponse(ctx context.Context, params *GetV2ElectricityOperatingGeneratorCapacityDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityDataResponse, error) {
	rsp, err := c.GetV2ElectricityOperatingGeneratorCapacityData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityOperatingGeneratorCapacityDataResponse(rsp)
}

// PostV2ElectricityOperatingGeneratorCapacityDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityOperatingGeneratorCapacityDataResponse
func (c *ClientWithResponses) PostV2ElectricityOperatingGeneratorCapacityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityOperatingGeneratorCapacityDataResponse, error) {
	rsp, err := c.PostV2ElectricityOperatingGeneratorCapacityDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityOperatingGeneratorCapacityDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityOperatingGeneratorCapacityDataWithResponse(ctx context.Context, body PostV2ElectricityOperatingGeneratorCapacityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityOperatingGeneratorCapacityDataResponse, error) {
	rsp, err := c.PostV2ElectricityOperatingGeneratorCapacityData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityOperatingGeneratorCapacityDataResponse(rsp)
}

// GetV2ElectricityOperatingGeneratorCapacityFacetWithResponse request returning *GetV2ElectricityOperatingGeneratorCapacityFacetResponse
func (c *ClientWithResponses) GetV2ElectricityOperatingGeneratorCapacityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityFacetResponse, error) {
	rsp, err := c.GetV2ElectricityOperatingGeneratorCapacityFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityOperatingGeneratorCapacityFacetResponse(rsp)
}

// GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdWithResponse request returning *GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityOperatingGeneratorCapacityFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRetailSalesWithResponse request returning *GetV2ElectricityRetailSalesResponse
func (c *ClientWithResponses) GetV2ElectricityRetailSalesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesResponse, error) {
	rsp, err := c.GetV2ElectricityRetailSales(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRetailSalesResponse(rsp)
}

// GetV2ElectricityRetailSalesDataWithResponse request returning *GetV2ElectricityRetailSalesDataResponse
func (c *ClientWithResponses) GetV2ElectricityRetailSalesDataWithResponse(ctx context.Context, params *GetV2ElectricityRetailSalesDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesDataResponse, error) {
	rsp, err := c.GetV2ElectricityRetailSalesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRetailSalesDataResponse(rsp)
}

// PostV2ElectricityRetailSalesDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRetailSalesDataResponse
func (c *ClientWithResponses) PostV2ElectricityRetailSalesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRetailSalesDataResponse, error) {
	rsp, err := c.PostV2ElectricityRetailSalesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRetailSalesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRetailSalesDataWithResponse(ctx context.Context, body PostV2ElectricityRetailSalesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRetailSalesDataResponse, error) {
	rsp, err := c.PostV2ElectricityRetailSalesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRetailSalesDataResponse(rsp)
}

// GetV2ElectricityRetailSalesFacetWithResponse request returning *GetV2ElectricityRetailSalesFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRetailSalesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRetailSalesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRetailSalesFacetResponse(rsp)
}

// GetV2ElectricityRetailSalesFacetFacetIdWithResponse request returning *GetV2ElectricityRetailSalesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRetailSalesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRetailSalesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRetailSalesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRetailSalesFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoWithResponse request returning *GetV2ElectricityRtoResponse
func (c *ClientWithResponses) GetV2ElectricityRtoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoResponse, error) {
	rsp, err := c.GetV2ElectricityRto(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoResponse(rsp)
}

// GetV2ElectricityRtoDailyFuelTypeDataWithResponse request returning *GetV2ElectricityRtoDailyFuelTypeDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyFuelTypeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyFuelTypeData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyFuelTypeDataResponse(rsp)
}

// GetV2ElectricityRtoDailyFuelTypeDataDataWithResponse request returning *GetV2ElectricityRtoDailyFuelTypeDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyFuelTypeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyFuelTypeDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyFuelTypeDataDataResponse(rsp)
}

// PostV2ElectricityRtoDailyFuelTypeDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoDailyFuelTypeDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoDailyFuelTypeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyFuelTypeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyFuelTypeDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyFuelTypeDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoDailyFuelTypeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyFuelTypeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyFuelTypeDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyFuelTypeDataDataResponse(rsp)
}

// GetV2ElectricityRtoDailyFuelTypeDataFacetWithResponse request returning *GetV2ElectricityRtoDailyFuelTypeDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyFuelTypeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyFuelTypeDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyFuelTypeDataFacetResponse(rsp)
}

// GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyFuelTypeDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoDailyInterchangeDataWithResponse request returning *GetV2ElectricityRtoDailyInterchangeDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyInterchangeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyInterchangeData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyInterchangeDataResponse(rsp)
}

// GetV2ElectricityRtoDailyInterchangeDataDataWithResponse request returning *GetV2ElectricityRtoDailyInterchangeDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyInterchangeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyInterchangeDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyInterchangeDataDataResponse(rsp)
}

// PostV2ElectricityRtoDailyInterchangeDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoDailyInterchangeDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoDailyInterchangeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyInterchangeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyInterchangeDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyInterchangeDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoDailyInterchangeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyInterchangeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyInterchangeDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyInterchangeDataDataResponse(rsp)
}

// GetV2ElectricityRtoDailyInterchangeDataFacetWithResponse request returning *GetV2ElectricityRtoDailyInterchangeDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyInterchangeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyInterchangeDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyInterchangeDataFacetResponse(rsp)
}

// GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyInterchangeDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionDataWithResponse request returning *GetV2ElectricityRtoDailyRegionDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionDataResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionDataDataWithResponse request returning *GetV2ElectricityRtoDailyRegionDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyRegionDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionDataDataResponse(rsp)
}

// PostV2ElectricityRtoDailyRegionDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoDailyRegionDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoDailyRegionDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyRegionDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyRegionDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoDailyRegionDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyRegionDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyRegionDataDataResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionDataFacetWithResponse request returning *GetV2ElectricityRtoDailyRegionDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionDataFacetResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionSubBaDataWithResponse request returning *GetV2ElectricityRtoDailyRegionSubBaDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionSubBaDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionSubBaData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionSubBaDataResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionSubBaDataDataWithResponse request returning *GetV2ElectricityRtoDailyRegionSubBaDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionSubBaDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoDailyRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionSubBaDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionSubBaDataDataResponse(rsp)
}

// PostV2ElectricityRtoDailyRegionSubBaDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoDailyRegionSubBaDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoDailyRegionSubBaDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionSubBaDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyRegionSubBaDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyRegionSubBaDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoDailyRegionSubBaDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoDailyRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoDailyRegionSubBaDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoDailyRegionSubBaDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoDailyRegionSubBaDataDataResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionSubBaDataFacetWithResponse request returning *GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionSubBaDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionSubBaDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionSubBaDataFacetResponse(rsp)
}

// GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoFuelTypeDataWithResponse request returning *GetV2ElectricityRtoFuelTypeDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoFuelTypeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoFuelTypeData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoFuelTypeDataResponse(rsp)
}

// GetV2ElectricityRtoFuelTypeDataDataWithResponse request returning *GetV2ElectricityRtoFuelTypeDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoFuelTypeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoFuelTypeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoFuelTypeDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoFuelTypeDataDataResponse(rsp)
}

// PostV2ElectricityRtoFuelTypeDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoFuelTypeDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoFuelTypeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoFuelTypeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoFuelTypeDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoFuelTypeDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoFuelTypeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoFuelTypeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoFuelTypeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoFuelTypeDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoFuelTypeDataDataResponse(rsp)
}

// GetV2ElectricityRtoFuelTypeDataFacetWithResponse request returning *GetV2ElectricityRtoFuelTypeDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoFuelTypeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoFuelTypeDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoFuelTypeDataFacetResponse(rsp)
}

// GetV2ElectricityRtoFuelTypeDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoFuelTypeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoFuelTypeDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoInterchangeDataWithResponse request returning *GetV2ElectricityRtoInterchangeDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoInterchangeDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoInterchangeData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoInterchangeDataResponse(rsp)
}

// GetV2ElectricityRtoInterchangeDataDataWithResponse request returning *GetV2ElectricityRtoInterchangeDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoInterchangeDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoInterchangeDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoInterchangeDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoInterchangeDataDataResponse(rsp)
}

// PostV2ElectricityRtoInterchangeDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoInterchangeDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoInterchangeDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoInterchangeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoInterchangeDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoInterchangeDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoInterchangeDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoInterchangeDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoInterchangeDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoInterchangeDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoInterchangeDataDataResponse(rsp)
}

// GetV2ElectricityRtoInterchangeDataFacetWithResponse request returning *GetV2ElectricityRtoInterchangeDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoInterchangeDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoInterchangeDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoInterchangeDataFacetResponse(rsp)
}

// GetV2ElectricityRtoInterchangeDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoInterchangeDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoInterchangeDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoInterchangeDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoRegionDataWithResponse request returning *GetV2ElectricityRtoRegionDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionDataResponse(rsp)
}

// GetV2ElectricityRtoRegionDataDataWithResponse request returning *GetV2ElectricityRtoRegionDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoRegionDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionDataDataResponse(rsp)
}

// PostV2ElectricityRtoRegionDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoRegionDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoRegionDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoRegionDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoRegionDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoRegionDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoRegionDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoRegionDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoRegionDataDataResponse(rsp)
}

// GetV2ElectricityRtoRegionDataFacetWithResponse request returning *GetV2ElectricityRtoRegionDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionDataFacetResponse(rsp)
}

// GetV2ElectricityRtoRegionDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoRegionDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricityRtoRegionSubBaDataWithResponse request returning *GetV2ElectricityRtoRegionSubBaDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionSubBaDataWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionSubBaData(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionSubBaDataResponse(rsp)
}

// GetV2ElectricityRtoRegionSubBaDataDataWithResponse request returning *GetV2ElectricityRtoRegionSubBaDataDataResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionSubBaDataDataWithResponse(ctx context.Context, params *GetV2ElectricityRtoRegionSubBaDataDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataDataResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionSubBaDataData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionSubBaDataDataResponse(rsp)
}

// PostV2ElectricityRtoRegionSubBaDataDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityRtoRegionSubBaDataDataResponse
func (c *ClientWithResponses) PostV2ElectricityRtoRegionSubBaDataDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionSubBaDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoRegionSubBaDataDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoRegionSubBaDataDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityRtoRegionSubBaDataDataWithResponse(ctx context.Context, body PostV2ElectricityRtoRegionSubBaDataDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityRtoRegionSubBaDataDataResponse, error) {
	rsp, err := c.PostV2ElectricityRtoRegionSubBaDataData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityRtoRegionSubBaDataDataResponse(rsp)
}

// GetV2ElectricityRtoRegionSubBaDataFacetWithResponse request returning *GetV2ElectricityRtoRegionSubBaDataFacetResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionSubBaDataFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataFacetResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionSubBaDataFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionSubBaDataFacetResponse(rsp)
}

// GetV2ElectricityRtoRegionSubBaDataFacetFacetIdWithResponse request returning *GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityRtoRegionSubBaDataFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityRtoRegionSubBaDataFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse(rsp)
}

// GetV2ElectricitySepWithResponse request returning *GetV2ElectricitySepResponse
func (c *ClientWithResponses) GetV2ElectricitySepWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricitySepResponse, error) {
	rsp, err := c.GetV2ElectricitySep(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricitySepResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesCapabilityWithResponse request returning *GetV2ElectricityStateElectricityProfilesCapabilityResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesCapabilityWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesCapability(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesCapabilityResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesCapabilityDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesCapabilityDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesCapabilityDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesCapabilityDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesCapabilityData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesCapabilityDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesCapabilityDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesCapabilityDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesCapabilityDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesCapabilityDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesCapabilityDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesCapabilityDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesCapabilityDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesCapabilityDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesCapabilityDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesCapabilityData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesCapabilityDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesCapabilityFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesCapabilityFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesCapabilityFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesCapabilityFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelWithResponse request returning *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuel(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyWithResponse request returning *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEnergyEfficiency(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEnergyEfficiencyData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesEnergyEfficiencyData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesMetersWithResponse request returning *GetV2ElectricityStateElectricityProfilesMetersResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesMetersWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesMeters(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesMetersResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesMetersDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesMetersDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesMetersDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesMetersDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesMetersData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesMetersDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesMetersDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesMetersDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesMetersDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesMetersDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesMetersDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesMetersDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesMetersDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesMetersDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesMetersDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesMetersData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesMetersDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesMetersFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesMetersFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesMetersFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesMetersFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesMetersFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesMetersFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesNetMeteringWithResponse request returning *GetV2ElectricityStateElectricityProfilesNetMeteringResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesNetMeteringWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesNetMetering(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesNetMeteringResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesNetMeteringDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesNetMeteringData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesNetMeteringDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesNetMeteringDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesNetMeteringDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesNetMeteringDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesNetMeteringData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesNetMeteringDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesNetMeteringFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesNetMeteringFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesNetMeteringFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSourceDispositionWithResponse request returning *GetV2ElectricityStateElectricityProfilesSourceDispositionResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSourceDispositionWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSourceDisposition(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSourceDispositionResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSourceDispositionDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSourceDispositionData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSourceDispositionDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesSourceDispositionData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSourceDispositionFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSourceDispositionFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSourceDispositionFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSummaryWithResponse request returning *GetV2ElectricityStateElectricityProfilesSummaryResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSummaryWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSummary(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSummaryResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSummaryDataWithResponse request returning *GetV2ElectricityStateElectricityProfilesSummaryDataResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSummaryDataWithResponse(ctx context.Context, params *GetV2ElectricityStateElectricityProfilesSummaryDataParams, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryDataResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSummaryData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSummaryDataResponse(rsp)
}

// PostV2ElectricityStateElectricityProfilesSummaryDataWithBodyWithResponse request with arbitrary body returning *PostV2ElectricityStateElectricityProfilesSummaryDataResponse
func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesSummaryDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSummaryDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesSummaryDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesSummaryDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2ElectricityStateElectricityProfilesSummaryDataWithResponse(ctx context.Context, body PostV2ElectricityStateElectricityProfilesSummaryDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2ElectricityStateElectricityProfilesSummaryDataResponse, error) {
	rsp, err := c.PostV2ElectricityStateElectricityProfilesSummaryData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2ElectricityStateElectricityProfilesSummaryDataResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSummaryFacetWithResponse request returning *GetV2ElectricityStateElectricityProfilesSummaryFacetResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSummaryFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryFacetResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSummaryFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSummaryFacetResponse(rsp)
}

// GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdWithResponse request returning *GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse
func (c *ClientWithResponses) GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse, error) {
	rsp, err := c.GetV2ElectricityStateElectricityProfilesSummaryFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse(rsp)
}

// EIAAPIControllersDatasetAeoIeoIeoControllerIeoWithResponse request returning *EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse
func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerIeoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerIeo(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse(rsp)
}

// EIAAPIControllersDatasetAeoIeoIeoControllerConstructWithResponse request returning *EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse
func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerConstructWithResponse(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerConstruct(ctx, route1, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse(rsp)
}

// EIAAPIControllersDatasetAeoIeoIeoControllerGetDataWithResponse request returning *EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse
func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerGetDataWithResponse(ctx context.Context, route1 Route1, params *EIAAPIControllersDatasetAeoIeoIeoControllerGetDataParams, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerGetData(ctx, route1, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse(rsp)
}

// EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBodyWithResponse request with arbitrary body returning *EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse
func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBodyWithResponse(ctx context.Context, route1 Route1, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithBody(ctx, route1, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse(rsp)
}

func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithResponse(ctx context.Context, route1 Route1, body EIAAPIControllersDatasetAeoIeoIeoControllerPostDataJSONRequestBody, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerPostData(ctx, route1, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse(rsp)
}

// EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetWithResponse request returning *EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse
func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetWithResponse(ctx context.Context, route1 string, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacet(ctx, route1, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse(rsp)
}

// EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdWithResponse request returning *EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse
func (c *ClientWithResponses) EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdWithResponse(ctx context.Context, route1 Route1, facetId FacetId, reqEditors ...RequestEditorFn) (*EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse, error) {
	rsp, err := c.EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetId(ctx, route1, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse(rsp)
}

// GetV2InternationalWithResponse request returning *GetV2InternationalResponse
func (c *ClientWithResponses) GetV2InternationalWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2InternationalResponse, error) {
	rsp, err := c.GetV2International(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2InternationalResponse(rsp)
}

// GetV2InternationalDataWithResponse request returning *GetV2InternationalDataResponse
func (c *ClientWithResponses) GetV2InternationalDataWithResponse(ctx context.Context, params *GetV2InternationalDataParams, reqEditors ...RequestEditorFn) (*GetV2InternationalDataResponse, error) {
	rsp, err := c.GetV2InternationalData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2InternationalDataResponse(rsp)
}

// PostV2InternationalDataWithBodyWithResponse request with arbitrary body returning *PostV2InternationalDataResponse
func (c *ClientWithResponses) PostV2InternationalDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2InternationalDataResponse, error) {
	rsp, err := c.PostV2InternationalDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2InternationalDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2InternationalDataWithResponse(ctx context.Context, body PostV2InternationalDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2InternationalDataResponse, error) {
	rsp, err := c.PostV2InternationalData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2InternationalDataResponse(rsp)
}

// GetV2InternationalFacetWithResponse request returning *GetV2InternationalFacetResponse
func (c *ClientWithResponses) GetV2InternationalFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2InternationalFacetResponse, error) {
	rsp, err := c.GetV2InternationalFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2InternationalFacetResponse(rsp)
}

// GetV2InternationalFacetFacetIdWithResponse request returning *GetV2InternationalFacetFacetIdResponse
func (c *ClientWithResponses) GetV2InternationalFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2InternationalFacetFacetIdResponse, error) {
	rsp, err := c.GetV2InternationalFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2InternationalFacetFacetIdResponse(rsp)
}

// GetV2NaturalGasWithResponse request returning *GetV2NaturalGasResponse
func (c *ClientWithResponses) GetV2NaturalGasWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NaturalGasResponse, error) {
	rsp, err := c.GetV2NaturalGas(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NaturalGasResponse(rsp)
}

// GetV2NaturalGasRoute1WithResponse request returning *GetV2NaturalGasRoute1Response
func (c *ClientWithResponses) GetV2NaturalGasRoute1WithResponse(ctx context.Context, route1 Route1, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Response, error) {
	rsp, err := c.GetV2NaturalGasRoute1(ctx, route1, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NaturalGasRoute1Response(rsp)
}

// GetV2NaturalGasRoute1Route2WithResponse request returning *GetV2NaturalGasRoute1Route2Response
func (c *ClientWithResponses) GetV2NaturalGasRoute1Route2WithResponse(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2Response, error) {
	rsp, err := c.GetV2NaturalGasRoute1Route2(ctx, route1, route2, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NaturalGasRoute1Route2Response(rsp)
}

// GetV2NaturalGasRoute1Route2DataWithResponse request returning *GetV2NaturalGasRoute1Route2DataResponse
func (c *ClientWithResponses) GetV2NaturalGasRoute1Route2DataWithResponse(ctx context.Context, route1 Route1, route2 Route2, params *GetV2NaturalGasRoute1Route2DataParams, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2DataResponse, error) {
	rsp, err := c.GetV2NaturalGasRoute1Route2Data(ctx, route1, route2, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NaturalGasRoute1Route2DataResponse(rsp)
}

// PostV2NaturalGasRoute1Route2DataWithBodyWithResponse request with arbitrary body returning *PostV2NaturalGasRoute1Route2DataResponse
func (c *ClientWithResponses) PostV2NaturalGasRoute1Route2DataWithBodyWithResponse(ctx context.Context, route1 Route1, route2 Route2, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NaturalGasRoute1Route2DataResponse, error) {
	rsp, err := c.PostV2NaturalGasRoute1Route2DataWithBody(ctx, route1, route2, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NaturalGasRoute1Route2DataResponse(rsp)
}

func (c *ClientWithResponses) PostV2NaturalGasRoute1Route2DataWithResponse(ctx context.Context, route1 Route1, route2 Route2, body PostV2NaturalGasRoute1Route2DataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NaturalGasRoute1Route2DataResponse, error) {
	rsp, err := c.PostV2NaturalGasRoute1Route2Data(ctx, route1, route2, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NaturalGasRoute1Route2DataResponse(rsp)
}

// GetV2NaturalGasRoute1Route2FacetWithResponse request returning *GetV2NaturalGasRoute1Route2FacetResponse
func (c *ClientWithResponses) GetV2NaturalGasRoute1Route2FacetWithResponse(ctx context.Context, route1 Route1, route2 Route2, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2FacetResponse, error) {
	rsp, err := c.GetV2NaturalGasRoute1Route2Facet(ctx, route1, route2, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NaturalGasRoute1Route2FacetResponse(rsp)
}

// GetV2NaturalGasRoute1Route2FacetFacetIdWithResponse request returning *GetV2NaturalGasRoute1Route2FacetFacetIdResponse
func (c *ClientWithResponses) GetV2NaturalGasRoute1Route2FacetFacetIdWithResponse(ctx context.Context, route1 Route1, route2 Route2, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NaturalGasRoute1Route2FacetFacetIdResponse, error) {
	rsp, err := c.GetV2NaturalGasRoute1Route2FacetFacetId(ctx, route1, route2, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NaturalGasRoute1Route2FacetFacetIdResponse(rsp)
}

// GetV2NuclearOutagesWithResponse request returning *GetV2NuclearOutagesResponse
func (c *ClientWithResponses) GetV2NuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesResponse, error) {
	rsp, err := c.GetV2NuclearOutages(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesResponse(rsp)
}

// GetV2NuclearOutagesFacilityNuclearOutagesWithResponse request returning *GetV2NuclearOutagesFacilityNuclearOutagesResponse
func (c *ClientWithResponses) GetV2NuclearOutagesFacilityNuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesResponse, error) {
	rsp, err := c.GetV2NuclearOutagesFacilityNuclearOutages(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesFacilityNuclearOutagesResponse(rsp)
}

// GetV2NuclearOutagesFacilityNuclearOutagesDataWithResponse request returning *GetV2NuclearOutagesFacilityNuclearOutagesDataResponse
func (c *ClientWithResponses) GetV2NuclearOutagesFacilityNuclearOutagesDataWithResponse(ctx context.Context, params *GetV2NuclearOutagesFacilityNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesDataResponse, error) {
	rsp, err := c.GetV2NuclearOutagesFacilityNuclearOutagesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesFacilityNuclearOutagesDataResponse(rsp)
}

// PostV2NuclearOutagesFacilityNuclearOutagesDataWithBodyWithResponse request with arbitrary body returning *PostV2NuclearOutagesFacilityNuclearOutagesDataResponse
func (c *ClientWithResponses) PostV2NuclearOutagesFacilityNuclearOutagesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesFacilityNuclearOutagesDataResponse, error) {
	rsp, err := c.PostV2NuclearOutagesFacilityNuclearOutagesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NuclearOutagesFacilityNuclearOutagesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2NuclearOutagesFacilityNuclearOutagesDataWithResponse(ctx context.Context, body PostV2NuclearOutagesFacilityNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesFacilityNuclearOutagesDataResponse, error) {
	rsp, err := c.PostV2NuclearOutagesFacilityNuclearOutagesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NuclearOutagesFacilityNuclearOutagesDataResponse(rsp)
}

// GetV2NuclearOutagesFacilityNuclearOutagesFacetWithResponse request returning *GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse
func (c *ClientWithResponses) GetV2NuclearOutagesFacilityNuclearOutagesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse, error) {
	rsp, err := c.GetV2NuclearOutagesFacilityNuclearOutagesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesFacilityNuclearOutagesFacetResponse(rsp)
}

// GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdWithResponse request returning *GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse(rsp)
}

// GetV2NuclearOutagesGeneratorNuclearOutagesWithResponse request returning *GetV2NuclearOutagesGeneratorNuclearOutagesResponse
func (c *ClientWithResponses) GetV2NuclearOutagesGeneratorNuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesResponse, error) {
	rsp, err := c.GetV2NuclearOutagesGeneratorNuclearOutages(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesGeneratorNuclearOutagesResponse(rsp)
}

// GetV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse request returning *GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse
func (c *ClientWithResponses) GetV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse(ctx context.Context, params *GetV2NuclearOutagesGeneratorNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error) {
	rsp, err := c.GetV2NuclearOutagesGeneratorNuclearOutagesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesGeneratorNuclearOutagesDataResponse(rsp)
}

// PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBodyWithResponse request with arbitrary body returning *PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse
func (c *ClientWithResponses) PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error) {
	rsp, err := c.PostV2NuclearOutagesGeneratorNuclearOutagesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NuclearOutagesGeneratorNuclearOutagesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse(ctx context.Context, body PostV2NuclearOutagesGeneratorNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error) {
	rsp, err := c.PostV2NuclearOutagesGeneratorNuclearOutagesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NuclearOutagesGeneratorNuclearOutagesDataResponse(rsp)
}

// GetV2NuclearOutagesGeneratorNuclearOutagesFacetWithResponse request returning *GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse
func (c *ClientWithResponses) GetV2NuclearOutagesGeneratorNuclearOutagesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse, error) {
	rsp, err := c.GetV2NuclearOutagesGeneratorNuclearOutagesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse(rsp)
}

// GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdWithResponse request returning *GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse(rsp)
}

// GetV2NuclearOutagesUsNuclearOutagesWithResponse request returning *GetV2NuclearOutagesUsNuclearOutagesResponse
func (c *ClientWithResponses) GetV2NuclearOutagesUsNuclearOutagesWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesResponse, error) {
	rsp, err := c.GetV2NuclearOutagesUsNuclearOutages(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesUsNuclearOutagesResponse(rsp)
}

// GetV2NuclearOutagesUsNuclearOutagesDataWithResponse request returning *GetV2NuclearOutagesUsNuclearOutagesDataResponse
func (c *ClientWithResponses) GetV2NuclearOutagesUsNuclearOutagesDataWithResponse(ctx context.Context, params *GetV2NuclearOutagesUsNuclearOutagesDataParams, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesDataResponse, error) {
	rsp, err := c.GetV2NuclearOutagesUsNuclearOutagesData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesUsNuclearOutagesDataResponse(rsp)
}

// PostV2NuclearOutagesUsNuclearOutagesDataWithBodyWithResponse request with arbitrary body returning *PostV2NuclearOutagesUsNuclearOutagesDataResponse
func (c *ClientWithResponses) PostV2NuclearOutagesUsNuclearOutagesDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesUsNuclearOutagesDataResponse, error) {
	rsp, err := c.PostV2NuclearOutagesUsNuclearOutagesDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NuclearOutagesUsNuclearOutagesDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2NuclearOutagesUsNuclearOutagesDataWithResponse(ctx context.Context, body PostV2NuclearOutagesUsNuclearOutagesDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2NuclearOutagesUsNuclearOutagesDataResponse, error) {
	rsp, err := c.PostV2NuclearOutagesUsNuclearOutagesData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2NuclearOutagesUsNuclearOutagesDataResponse(rsp)
}

// GetV2NuclearOutagesUsNuclearOutagesFacetWithResponse request returning *GetV2NuclearOutagesUsNuclearOutagesFacetResponse
func (c *ClientWithResponses) GetV2NuclearOutagesUsNuclearOutagesFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesFacetResponse, error) {
	rsp, err := c.GetV2NuclearOutagesUsNuclearOutagesFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesUsNuclearOutagesFacetResponse(rsp)
}

// GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdWithResponse request returning *GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse
func (c *ClientWithResponses) GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse, error) {
	rsp, err := c.GetV2NuclearOutagesUsNuclearOutagesFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse(rsp)
}

// GetV2SedsWithResponse request returning *GetV2SedsResponse
func (c *ClientWithResponses) GetV2SedsWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SedsResponse, error) {
	rsp, err := c.GetV2Seds(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SedsResponse(rsp)
}

// GetV2SedsDataWithResponse request returning *GetV2SedsDataResponse
func (c *ClientWithResponses) GetV2SedsDataWithResponse(ctx context.Context, params *GetV2SedsDataParams, reqEditors ...RequestEditorFn) (*GetV2SedsDataResponse, error) {
	rsp, err := c.GetV2SedsData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SedsDataResponse(rsp)
}

// PostV2SedsDataWithBodyWithResponse request with arbitrary body returning *PostV2SedsDataResponse
func (c *ClientWithResponses) PostV2SedsDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2SedsDataResponse, error) {
	rsp, err := c.PostV2SedsDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2SedsDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2SedsDataWithResponse(ctx context.Context, body PostV2SedsDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2SedsDataResponse, error) {
	rsp, err := c.PostV2SedsData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2SedsDataResponse(rsp)
}

// GetV2SedsFacetWithResponse request returning *GetV2SedsFacetResponse
func (c *ClientWithResponses) GetV2SedsFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SedsFacetResponse, error) {
	rsp, err := c.GetV2SedsFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SedsFacetResponse(rsp)
}

// GetV2SedsFacetFacetIdWithResponse request returning *GetV2SedsFacetFacetIdResponse
func (c *ClientWithResponses) GetV2SedsFacetFacetIdWithResponse(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*GetV2SedsFacetFacetIdResponse, error) {
	rsp, err := c.GetV2SedsFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SedsFacetFacetIdResponse(rsp)
}

// GetV2SteoWithResponse request returning *GetV2SteoResponse
func (c *ClientWithResponses) GetV2SteoWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SteoResponse, error) {
	rsp, err := c.GetV2Steo(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SteoResponse(rsp)
}

// GetV2SteoDataWithResponse request returning *GetV2SteoDataResponse
func (c *ClientWithResponses) GetV2SteoDataWithResponse(ctx context.Context, params *GetV2SteoDataParams, reqEditors ...RequestEditorFn) (*GetV2SteoDataResponse, error) {
	rsp, err := c.GetV2SteoData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SteoDataResponse(rsp)
}

// PostV2SteoDataWithBodyWithResponse request with arbitrary body returning *PostV2SteoDataResponse
func (c *ClientWithResponses) PostV2SteoDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2SteoDataResponse, error) {
	rsp, err := c.PostV2SteoDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2SteoDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2SteoDataWithResponse(ctx context.Context, body PostV2SteoDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2SteoDataResponse, error) {
	rsp, err := c.PostV2SteoData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2SteoDataResponse(rsp)
}

// GetV2SteoFacetWithResponse request returning *GetV2SteoFacetResponse
func (c *ClientWithResponses) GetV2SteoFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2SteoFacetResponse, error) {
	rsp, err := c.GetV2SteoFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SteoFacetResponse(rsp)
}

// GetV2SteoFacetFacetIdWithResponse request returning *GetV2SteoFacetFacetIdResponse
func (c *ClientWithResponses) GetV2SteoFacetFacetIdWithResponse(ctx context.Context, facetId string, reqEditors ...RequestEditorFn) (*GetV2SteoFacetFacetIdResponse, error) {
	rsp, err := c.GetV2SteoFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2SteoFacetFacetIdResponse(rsp)
}

// GetV2TotalEnergyWithResponse request returning *GetV2TotalEnergyResponse
func (c *ClientWithResponses) GetV2TotalEnergyWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyResponse, error) {
	rsp, err := c.GetV2TotalEnergy(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2TotalEnergyResponse(rsp)
}

// GetV2TotalEnergyDataWithResponse request returning *GetV2TotalEnergyDataResponse
func (c *ClientWithResponses) GetV2TotalEnergyDataWithResponse(ctx context.Context, params *GetV2TotalEnergyDataParams, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyDataResponse, error) {
	rsp, err := c.GetV2TotalEnergyData(ctx, params, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2TotalEnergyDataResponse(rsp)
}

// PostV2TotalEnergyDataWithBodyWithResponse request with arbitrary body returning *PostV2TotalEnergyDataResponse
func (c *ClientWithResponses) PostV2TotalEnergyDataWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...RequestEditorFn) (*PostV2TotalEnergyDataResponse, error) {
	rsp, err := c.PostV2TotalEnergyDataWithBody(ctx, contentType, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2TotalEnergyDataResponse(rsp)
}

func (c *ClientWithResponses) PostV2TotalEnergyDataWithResponse(ctx context.Context, body PostV2TotalEnergyDataJSONRequestBody, reqEditors ...RequestEditorFn) (*PostV2TotalEnergyDataResponse, error) {
	rsp, err := c.PostV2TotalEnergyData(ctx, body, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParsePostV2TotalEnergyDataResponse(rsp)
}

// GetV2TotalEnergyFacetWithResponse request returning *GetV2TotalEnergyFacetResponse
func (c *ClientWithResponses) GetV2TotalEnergyFacetWithResponse(ctx context.Context, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyFacetResponse, error) {
	rsp, err := c.GetV2TotalEnergyFacet(ctx, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2TotalEnergyFacetResponse(rsp)
}

// GetV2TotalEnergyFacetFacetIdWithResponse request returning *GetV2TotalEnergyFacetFacetIdResponse
func (c *ClientWithResponses) GetV2TotalEnergyFacetFacetIdWithResponse(ctx context.Context, facetId FacetId, reqEditors ...RequestEditorFn) (*GetV2TotalEnergyFacetFacetIdResponse, error) {
	rsp, err := c.GetV2TotalEnergyFacetFacetId(ctx, facetId, reqEditors...)
	if err != nil {
		return nil, err
	}
	return ParseGetV2TotalEnergyFacetFacetIdResponse(rsp)
}

// ParseGetV2Response parses an HTTP response from a GetV2WithResponse call
func ParseGetV2Response(rsp *http.Response) (*GetV2Response, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Response{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2AeoResponse parses an HTTP response from a GetV2AeoWithResponse call
func ParseGetV2AeoResponse(rsp *http.Response) (*GetV2AeoResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2AeoResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2AeoRoute1Response parses an HTTP response from a GetV2AeoRoute1WithResponse call
func ParseGetV2AeoRoute1Response(rsp *http.Response) (*GetV2AeoRoute1Response, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2AeoRoute1Response{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2AeoRoute1DataResponse parses an HTTP response from a GetV2AeoRoute1DataWithResponse call
func ParseGetV2AeoRoute1DataResponse(rsp *http.Response) (*GetV2AeoRoute1DataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2AeoRoute1DataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2AeoRoute1DataResponse parses an HTTP response from a PostV2AeoRoute1DataWithResponse call
func ParsePostV2AeoRoute1DataResponse(rsp *http.Response) (*PostV2AeoRoute1DataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2AeoRoute1DataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2AeoRoute1FacetResponse parses an HTTP response from a GetV2AeoRoute1FacetWithResponse call
func ParseGetV2AeoRoute1FacetResponse(rsp *http.Response) (*GetV2AeoRoute1FacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2AeoRoute1FacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2AeoRoute1FacetFacetIdResponse parses an HTTP response from a GetV2AeoRoute1FacetFacetIdWithResponse call
func ParseGetV2AeoRoute1FacetFacetIdResponse(rsp *http.Response) (*GetV2AeoRoute1FacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2AeoRoute1FacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsResponse parses an HTTP response from a GetV2Co2EmissionsWithResponse call
func ParseGetV2Co2EmissionsResponse(rsp *http.Response) (*GetV2Co2EmissionsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAggregatesResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAggregatesWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAggregatesResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAggregatesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAggregatesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAggregatesDataResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAggregatesDataResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2Co2EmissionsCo2EmissionsAggregatesDataResponse parses an HTTP response from a PostV2Co2EmissionsCo2EmissionsAggregatesDataWithResponse call
func ParsePostV2Co2EmissionsCo2EmissionsAggregatesDataResponse(rsp *http.Response) (*PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2Co2EmissionsCo2EmissionsAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAggregatesFacetWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAggregatesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAggregatesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse parses an HTTP response from a PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataWithResponse call
func ParsePostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse(rsp *http.Response) (*PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse parses an HTTP response from a GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdWithResponse call
func ParseGetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse(rsp *http.Response) (*GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2Co2EmissionsCo2EmissionsAndCarbonCoefficientsFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalResponse parses an HTTP response from a GetV2CoalWithResponse call
func ParseGetV2CoalResponse(rsp *http.Response) (*GetV2CoalResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalAggregateProductionResponse parses an HTTP response from a GetV2CoalAggregateProductionWithResponse call
func ParseGetV2CoalAggregateProductionResponse(rsp *http.Response) (*GetV2CoalAggregateProductionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalAggregateProductionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalAggregateProductionDataResponse parses an HTTP response from a GetV2CoalAggregateProductionDataWithResponse call
func ParseGetV2CoalAggregateProductionDataResponse(rsp *http.Response) (*GetV2CoalAggregateProductionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalAggregateProductionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalAggregateProductionDataResponse parses an HTTP response from a PostV2CoalAggregateProductionDataWithResponse call
func ParsePostV2CoalAggregateProductionDataResponse(rsp *http.Response) (*PostV2CoalAggregateProductionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalAggregateProductionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalAggregateProductionFacetResponse parses an HTTP response from a GetV2CoalAggregateProductionFacetWithResponse call
func ParseGetV2CoalAggregateProductionFacetResponse(rsp *http.Response) (*GetV2CoalAggregateProductionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalAggregateProductionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalAggregateProductionFacetFacetIdResponse parses an HTTP response from a GetV2CoalAggregateProductionFacetFacetIdWithResponse call
func ParseGetV2CoalAggregateProductionFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalAggregateProductionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalAggregateProductionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalConsumptionAndQualityResponse parses an HTTP response from a GetV2CoalConsumptionAndQualityWithResponse call
func ParseGetV2CoalConsumptionAndQualityResponse(rsp *http.Response) (*GetV2CoalConsumptionAndQualityResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalConsumptionAndQualityResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalConsumptionAndQualityDataResponse parses an HTTP response from a GetV2CoalConsumptionAndQualityDataWithResponse call
func ParseGetV2CoalConsumptionAndQualityDataResponse(rsp *http.Response) (*GetV2CoalConsumptionAndQualityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalConsumptionAndQualityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalConsumptionAndQualityDataResponse parses an HTTP response from a PostV2CoalConsumptionAndQualityDataWithResponse call
func ParsePostV2CoalConsumptionAndQualityDataResponse(rsp *http.Response) (*PostV2CoalConsumptionAndQualityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalConsumptionAndQualityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalConsumptionAndQualityFacetResponse parses an HTTP response from a GetV2CoalConsumptionAndQualityFacetWithResponse call
func ParseGetV2CoalConsumptionAndQualityFacetResponse(rsp *http.Response) (*GetV2CoalConsumptionAndQualityFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalConsumptionAndQualityFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalConsumptionAndQualityFacetFacetIdResponse parses an HTTP response from a GetV2CoalConsumptionAndQualityFacetFacetIdWithResponse call
func ParseGetV2CoalConsumptionAndQualityFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalConsumptionAndQualityFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalConsumptionAndQualityFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalExportsImportsQuantityPriceResponse parses an HTTP response from a GetV2CoalExportsImportsQuantityPriceWithResponse call
func ParseGetV2CoalExportsImportsQuantityPriceResponse(rsp *http.Response) (*GetV2CoalExportsImportsQuantityPriceResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalExportsImportsQuantityPriceResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalExportsImportsQuantityPriceDataResponse parses an HTTP response from a GetV2CoalExportsImportsQuantityPriceDataWithResponse call
func ParseGetV2CoalExportsImportsQuantityPriceDataResponse(rsp *http.Response) (*GetV2CoalExportsImportsQuantityPriceDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalExportsImportsQuantityPriceDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalExportsImportsQuantityPriceDataResponse parses an HTTP response from a PostV2CoalExportsImportsQuantityPriceDataWithResponse call
func ParsePostV2CoalExportsImportsQuantityPriceDataResponse(rsp *http.Response) (*PostV2CoalExportsImportsQuantityPriceDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalExportsImportsQuantityPriceDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalExportsImportsQuantityPriceFacetResponse parses an HTTP response from a GetV2CoalExportsImportsQuantityPriceFacetWithResponse call
func ParseGetV2CoalExportsImportsQuantityPriceFacetResponse(rsp *http.Response) (*GetV2CoalExportsImportsQuantityPriceFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalExportsImportsQuantityPriceFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse parses an HTTP response from a GetV2CoalExportsImportsQuantityPriceFacetFacetIdWithResponse call
func ParseGetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalExportsImportsQuantityPriceFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMarketSalesPriceResponse parses an HTTP response from a GetV2CoalMarketSalesPriceWithResponse call
func ParseGetV2CoalMarketSalesPriceResponse(rsp *http.Response) (*GetV2CoalMarketSalesPriceResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMarketSalesPriceResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMarketSalesPriceDataResponse parses an HTTP response from a GetV2CoalMarketSalesPriceDataWithResponse call
func ParseGetV2CoalMarketSalesPriceDataResponse(rsp *http.Response) (*GetV2CoalMarketSalesPriceDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMarketSalesPriceDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalMarketSalesPriceDataResponse parses an HTTP response from a PostV2CoalMarketSalesPriceDataWithResponse call
func ParsePostV2CoalMarketSalesPriceDataResponse(rsp *http.Response) (*PostV2CoalMarketSalesPriceDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalMarketSalesPriceDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMarketSalesPriceFacetResponse parses an HTTP response from a GetV2CoalMarketSalesPriceFacetWithResponse call
func ParseGetV2CoalMarketSalesPriceFacetResponse(rsp *http.Response) (*GetV2CoalMarketSalesPriceFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMarketSalesPriceFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMarketSalesPriceFacetFacetIdResponse parses an HTTP response from a GetV2CoalMarketSalesPriceFacetFacetIdWithResponse call
func ParseGetV2CoalMarketSalesPriceFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalMarketSalesPriceFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMarketSalesPriceFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMineProductionResponse parses an HTTP response from a GetV2CoalMineProductionWithResponse call
func ParseGetV2CoalMineProductionResponse(rsp *http.Response) (*GetV2CoalMineProductionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMineProductionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMineProductionDataResponse parses an HTTP response from a GetV2CoalMineProductionDataWithResponse call
func ParseGetV2CoalMineProductionDataResponse(rsp *http.Response) (*GetV2CoalMineProductionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMineProductionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalMineProductionDataResponse parses an HTTP response from a PostV2CoalMineProductionDataWithResponse call
func ParsePostV2CoalMineProductionDataResponse(rsp *http.Response) (*PostV2CoalMineProductionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalMineProductionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMineProductionFacetResponse parses an HTTP response from a GetV2CoalMineProductionFacetWithResponse call
func ParseGetV2CoalMineProductionFacetResponse(rsp *http.Response) (*GetV2CoalMineProductionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMineProductionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalMineProductionFacetFacetIdResponse parses an HTTP response from a GetV2CoalMineProductionFacetFacetIdWithResponse call
func ParseGetV2CoalMineProductionFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalMineProductionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalMineProductionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalPriceByRankResponse parses an HTTP response from a GetV2CoalPriceByRankWithResponse call
func ParseGetV2CoalPriceByRankResponse(rsp *http.Response) (*GetV2CoalPriceByRankResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalPriceByRankResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalPriceByRankDataResponse parses an HTTP response from a GetV2CoalPriceByRankDataWithResponse call
func ParseGetV2CoalPriceByRankDataResponse(rsp *http.Response) (*GetV2CoalPriceByRankDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalPriceByRankDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalPriceByRankDataResponse parses an HTTP response from a PostV2CoalPriceByRankDataWithResponse call
func ParsePostV2CoalPriceByRankDataResponse(rsp *http.Response) (*PostV2CoalPriceByRankDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalPriceByRankDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalPriceByRankFacetResponse parses an HTTP response from a GetV2CoalPriceByRankFacetWithResponse call
func ParseGetV2CoalPriceByRankFacetResponse(rsp *http.Response) (*GetV2CoalPriceByRankFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalPriceByRankFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalPriceByRankFacetFacetIdResponse parses an HTTP response from a GetV2CoalPriceByRankFacetFacetIdWithResponse call
func ParseGetV2CoalPriceByRankFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalPriceByRankFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalPriceByRankFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalReservesCapacityResponse parses an HTTP response from a GetV2CoalReservesCapacityWithResponse call
func ParseGetV2CoalReservesCapacityResponse(rsp *http.Response) (*GetV2CoalReservesCapacityResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalReservesCapacityResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalReservesCapacityDataResponse parses an HTTP response from a GetV2CoalReservesCapacityDataWithResponse call
func ParseGetV2CoalReservesCapacityDataResponse(rsp *http.Response) (*GetV2CoalReservesCapacityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalReservesCapacityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalReservesCapacityDataResponse parses an HTTP response from a PostV2CoalReservesCapacityDataWithResponse call
func ParsePostV2CoalReservesCapacityDataResponse(rsp *http.Response) (*PostV2CoalReservesCapacityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalReservesCapacityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalReservesCapacityFacetResponse parses an HTTP response from a GetV2CoalReservesCapacityFacetWithResponse call
func ParseGetV2CoalReservesCapacityFacetResponse(rsp *http.Response) (*GetV2CoalReservesCapacityFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalReservesCapacityFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalReservesCapacityFacetFacetIdResponse parses an HTTP response from a GetV2CoalReservesCapacityFacetFacetIdWithResponse call
func ParseGetV2CoalReservesCapacityFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalReservesCapacityFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalReservesCapacityFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsResponse parses an HTTP response from a GetV2CoalShipmentsWithResponse call
func ParseGetV2CoalShipmentsResponse(rsp *http.Response) (*GetV2CoalShipmentsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsByMineByPlantResponse parses an HTTP response from a GetV2CoalShipmentsByMineByPlantWithResponse call
func ParseGetV2CoalShipmentsByMineByPlantResponse(rsp *http.Response) (*GetV2CoalShipmentsByMineByPlantResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsByMineByPlantResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsByMineByPlantDataResponse parses an HTTP response from a GetV2CoalShipmentsByMineByPlantDataWithResponse call
func ParseGetV2CoalShipmentsByMineByPlantDataResponse(rsp *http.Response) (*GetV2CoalShipmentsByMineByPlantDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsByMineByPlantDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalShipmentsByMineByPlantDataResponse parses an HTTP response from a PostV2CoalShipmentsByMineByPlantDataWithResponse call
func ParsePostV2CoalShipmentsByMineByPlantDataResponse(rsp *http.Response) (*PostV2CoalShipmentsByMineByPlantDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalShipmentsByMineByPlantDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsByMineByPlantFacetResponse parses an HTTP response from a GetV2CoalShipmentsByMineByPlantFacetWithResponse call
func ParseGetV2CoalShipmentsByMineByPlantFacetResponse(rsp *http.Response) (*GetV2CoalShipmentsByMineByPlantFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsByMineByPlantFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsByMineByPlantFacetFacetIdResponse parses an HTTP response from a GetV2CoalShipmentsByMineByPlantFacetFacetIdWithResponse call
func ParseGetV2CoalShipmentsByMineByPlantFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsByMineByPlantFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineAggregatesResponse parses an HTTP response from a GetV2CoalShipmentsMineAggregatesWithResponse call
func ParseGetV2CoalShipmentsMineAggregatesResponse(rsp *http.Response) (*GetV2CoalShipmentsMineAggregatesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineAggregatesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineAggregatesDataResponse parses an HTTP response from a GetV2CoalShipmentsMineAggregatesDataWithResponse call
func ParseGetV2CoalShipmentsMineAggregatesDataResponse(rsp *http.Response) (*GetV2CoalShipmentsMineAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalShipmentsMineAggregatesDataResponse parses an HTTP response from a PostV2CoalShipmentsMineAggregatesDataWithResponse call
func ParsePostV2CoalShipmentsMineAggregatesDataResponse(rsp *http.Response) (*PostV2CoalShipmentsMineAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalShipmentsMineAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineAggregatesFacetResponse parses an HTTP response from a GetV2CoalShipmentsMineAggregatesFacetWithResponse call
func ParseGetV2CoalShipmentsMineAggregatesFacetResponse(rsp *http.Response) (*GetV2CoalShipmentsMineAggregatesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineAggregatesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineAggregatesFacetFacetIdResponse parses an HTTP response from a GetV2CoalShipmentsMineAggregatesFacetFacetIdWithResponse call
func ParseGetV2CoalShipmentsMineAggregatesFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineAggregatesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineStateAggregatesResponse parses an HTTP response from a GetV2CoalShipmentsMineStateAggregatesWithResponse call
func ParseGetV2CoalShipmentsMineStateAggregatesResponse(rsp *http.Response) (*GetV2CoalShipmentsMineStateAggregatesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineStateAggregatesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineStateAggregatesDataResponse parses an HTTP response from a GetV2CoalShipmentsMineStateAggregatesDataWithResponse call
func ParseGetV2CoalShipmentsMineStateAggregatesDataResponse(rsp *http.Response) (*GetV2CoalShipmentsMineStateAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineStateAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalShipmentsMineStateAggregatesDataResponse parses an HTTP response from a PostV2CoalShipmentsMineStateAggregatesDataWithResponse call
func ParsePostV2CoalShipmentsMineStateAggregatesDataResponse(rsp *http.Response) (*PostV2CoalShipmentsMineStateAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalShipmentsMineStateAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineStateAggregatesFacetResponse parses an HTTP response from a GetV2CoalShipmentsMineStateAggregatesFacetWithResponse call
func ParseGetV2CoalShipmentsMineStateAggregatesFacetResponse(rsp *http.Response) (*GetV2CoalShipmentsMineStateAggregatesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineStateAggregatesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse parses an HTTP response from a GetV2CoalShipmentsMineStateAggregatesFacetFacetIdWithResponse call
func ParseGetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsMineStateAggregatesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantAggregatesResponse parses an HTTP response from a GetV2CoalShipmentsPlantAggregatesWithResponse call
func ParseGetV2CoalShipmentsPlantAggregatesResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantAggregatesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantAggregatesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantAggregatesDataResponse parses an HTTP response from a GetV2CoalShipmentsPlantAggregatesDataWithResponse call
func ParseGetV2CoalShipmentsPlantAggregatesDataResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalShipmentsPlantAggregatesDataResponse parses an HTTP response from a PostV2CoalShipmentsPlantAggregatesDataWithResponse call
func ParsePostV2CoalShipmentsPlantAggregatesDataResponse(rsp *http.Response) (*PostV2CoalShipmentsPlantAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalShipmentsPlantAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantAggregatesFacetResponse parses an HTTP response from a GetV2CoalShipmentsPlantAggregatesFacetWithResponse call
func ParseGetV2CoalShipmentsPlantAggregatesFacetResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantAggregatesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantAggregatesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse parses an HTTP response from a GetV2CoalShipmentsPlantAggregatesFacetFacetIdWithResponse call
func ParseGetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantAggregatesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantStateAggregatesResponse parses an HTTP response from a GetV2CoalShipmentsPlantStateAggregatesWithResponse call
func ParseGetV2CoalShipmentsPlantStateAggregatesResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantStateAggregatesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantStateAggregatesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantStateAggregatesDataResponse parses an HTTP response from a GetV2CoalShipmentsPlantStateAggregatesDataWithResponse call
func ParseGetV2CoalShipmentsPlantStateAggregatesDataResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantStateAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantStateAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalShipmentsPlantStateAggregatesDataResponse parses an HTTP response from a PostV2CoalShipmentsPlantStateAggregatesDataWithResponse call
func ParsePostV2CoalShipmentsPlantStateAggregatesDataResponse(rsp *http.Response) (*PostV2CoalShipmentsPlantStateAggregatesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalShipmentsPlantStateAggregatesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantStateAggregatesFacetResponse parses an HTTP response from a GetV2CoalShipmentsPlantStateAggregatesFacetWithResponse call
func ParseGetV2CoalShipmentsPlantStateAggregatesFacetResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantStateAggregatesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantStateAggregatesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse parses an HTTP response from a GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdWithResponse call
func ParseGetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsPlantStateAggregatesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsReceiptsResponse parses an HTTP response from a GetV2CoalShipmentsReceiptsWithResponse call
func ParseGetV2CoalShipmentsReceiptsResponse(rsp *http.Response) (*GetV2CoalShipmentsReceiptsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsReceiptsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsReceiptsDataResponse parses an HTTP response from a GetV2CoalShipmentsReceiptsDataWithResponse call
func ParseGetV2CoalShipmentsReceiptsDataResponse(rsp *http.Response) (*GetV2CoalShipmentsReceiptsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsReceiptsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CoalShipmentsReceiptsDataResponse parses an HTTP response from a PostV2CoalShipmentsReceiptsDataWithResponse call
func ParsePostV2CoalShipmentsReceiptsDataResponse(rsp *http.Response) (*PostV2CoalShipmentsReceiptsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CoalShipmentsReceiptsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsReceiptsFacetResponse parses an HTTP response from a GetV2CoalShipmentsReceiptsFacetWithResponse call
func ParseGetV2CoalShipmentsReceiptsFacetResponse(rsp *http.Response) (*GetV2CoalShipmentsReceiptsFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsReceiptsFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CoalShipmentsReceiptsFacetFacetIdResponse parses an HTTP response from a GetV2CoalShipmentsReceiptsFacetFacetIdWithResponse call
func ParseGetV2CoalShipmentsReceiptsFacetFacetIdResponse(rsp *http.Response) (*GetV2CoalShipmentsReceiptsFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CoalShipmentsReceiptsFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CrudeOilImportsResponse parses an HTTP response from a GetV2CrudeOilImportsWithResponse call
func ParseGetV2CrudeOilImportsResponse(rsp *http.Response) (*GetV2CrudeOilImportsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CrudeOilImportsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CrudeOilImportsDataResponse parses an HTTP response from a GetV2CrudeOilImportsDataWithResponse call
func ParseGetV2CrudeOilImportsDataResponse(rsp *http.Response) (*GetV2CrudeOilImportsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CrudeOilImportsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2CrudeOilImportsDataResponse parses an HTTP response from a PostV2CrudeOilImportsDataWithResponse call
func ParsePostV2CrudeOilImportsDataResponse(rsp *http.Response) (*PostV2CrudeOilImportsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2CrudeOilImportsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CrudeOilImportsFacetResponse parses an HTTP response from a GetV2CrudeOilImportsFacetWithResponse call
func ParseGetV2CrudeOilImportsFacetResponse(rsp *http.Response) (*GetV2CrudeOilImportsFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CrudeOilImportsFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2CrudeOilImportsFacetFacetIdResponse parses an HTTP response from a GetV2CrudeOilImportsFacetFacetIdWithResponse call
func ParseGetV2CrudeOilImportsFacetFacetIdResponse(rsp *http.Response) (*GetV2CrudeOilImportsFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2CrudeOilImportsFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassResponse parses an HTTP response from a GetV2DensifiedBiomassWithResponse call
func ParseGetV2DensifiedBiomassResponse(rsp *http.Response) (*GetV2DensifiedBiomassResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCapacityByRegionResponse parses an HTTP response from a GetV2DensifiedBiomassCapacityByRegionWithResponse call
func ParseGetV2DensifiedBiomassCapacityByRegionResponse(rsp *http.Response) (*GetV2DensifiedBiomassCapacityByRegionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCapacityByRegionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCapacityByRegionDataResponse parses an HTTP response from a GetV2DensifiedBiomassCapacityByRegionDataWithResponse call
func ParseGetV2DensifiedBiomassCapacityByRegionDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassCapacityByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCapacityByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassCapacityByRegionDataResponse parses an HTTP response from a PostV2DensifiedBiomassCapacityByRegionDataWithResponse call
func ParsePostV2DensifiedBiomassCapacityByRegionDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassCapacityByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassCapacityByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCapacityByRegionFacetResponse parses an HTTP response from a GetV2DensifiedBiomassCapacityByRegionFacetWithResponse call
func ParseGetV2DensifiedBiomassCapacityByRegionFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassCapacityByRegionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCapacityByRegionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassCapacityByRegionFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCapacityByRegionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCharacteristicsByRegionResponse parses an HTTP response from a GetV2DensifiedBiomassCharacteristicsByRegionWithResponse call
func ParseGetV2DensifiedBiomassCharacteristicsByRegionResponse(rsp *http.Response) (*GetV2DensifiedBiomassCharacteristicsByRegionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCharacteristicsByRegionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCharacteristicsByRegionDataResponse parses an HTTP response from a GetV2DensifiedBiomassCharacteristicsByRegionDataWithResponse call
func ParseGetV2DensifiedBiomassCharacteristicsByRegionDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassCharacteristicsByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCharacteristicsByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassCharacteristicsByRegionDataResponse parses an HTTP response from a PostV2DensifiedBiomassCharacteristicsByRegionDataWithResponse call
func ParsePostV2DensifiedBiomassCharacteristicsByRegionDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassCharacteristicsByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassCharacteristicsByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCharacteristicsByRegionFacetResponse parses an HTTP response from a GetV2DensifiedBiomassCharacteristicsByRegionFacetWithResponse call
func ParseGetV2DensifiedBiomassCharacteristicsByRegionFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCharacteristicsByRegionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassCharacteristicsByRegionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassExportSalesAndPriceResponse parses an HTTP response from a GetV2DensifiedBiomassExportSalesAndPriceWithResponse call
func ParseGetV2DensifiedBiomassExportSalesAndPriceResponse(rsp *http.Response) (*GetV2DensifiedBiomassExportSalesAndPriceResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassExportSalesAndPriceResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassExportSalesAndPriceDataResponse parses an HTTP response from a GetV2DensifiedBiomassExportSalesAndPriceDataWithResponse call
func ParseGetV2DensifiedBiomassExportSalesAndPriceDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassExportSalesAndPriceDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassExportSalesAndPriceDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassExportSalesAndPriceDataResponse parses an HTTP response from a PostV2DensifiedBiomassExportSalesAndPriceDataWithResponse call
func ParsePostV2DensifiedBiomassExportSalesAndPriceDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassExportSalesAndPriceDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassExportSalesAndPriceDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassExportSalesAndPriceFacetResponse parses an HTTP response from a GetV2DensifiedBiomassExportSalesAndPriceFacetWithResponse call
func ParseGetV2DensifiedBiomassExportSalesAndPriceFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassExportSalesAndPriceFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassExportSalesAndPriceFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassExportSalesAndPriceFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassFeedstocksAndCostResponse parses an HTTP response from a GetV2DensifiedBiomassFeedstocksAndCostWithResponse call
func ParseGetV2DensifiedBiomassFeedstocksAndCostResponse(rsp *http.Response) (*GetV2DensifiedBiomassFeedstocksAndCostResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassFeedstocksAndCostResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassFeedstocksAndCostDataResponse parses an HTTP response from a GetV2DensifiedBiomassFeedstocksAndCostDataWithResponse call
func ParseGetV2DensifiedBiomassFeedstocksAndCostDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassFeedstocksAndCostDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassFeedstocksAndCostDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassFeedstocksAndCostDataResponse parses an HTTP response from a PostV2DensifiedBiomassFeedstocksAndCostDataWithResponse call
func ParsePostV2DensifiedBiomassFeedstocksAndCostDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassFeedstocksAndCostDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassFeedstocksAndCostDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassFeedstocksAndCostFacetResponse parses an HTTP response from a GetV2DensifiedBiomassFeedstocksAndCostFacetWithResponse call
func ParseGetV2DensifiedBiomassFeedstocksAndCostFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassFeedstocksAndCostFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassFeedstocksAndCostFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassFeedstocksAndCostFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassInventoriesByRegionResponse parses an HTTP response from a GetV2DensifiedBiomassInventoriesByRegionWithResponse call
func ParseGetV2DensifiedBiomassInventoriesByRegionResponse(rsp *http.Response) (*GetV2DensifiedBiomassInventoriesByRegionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassInventoriesByRegionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassInventoriesByRegionDataResponse parses an HTTP response from a GetV2DensifiedBiomassInventoriesByRegionDataWithResponse call
func ParseGetV2DensifiedBiomassInventoriesByRegionDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassInventoriesByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassInventoriesByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassInventoriesByRegionDataResponse parses an HTTP response from a PostV2DensifiedBiomassInventoriesByRegionDataWithResponse call
func ParsePostV2DensifiedBiomassInventoriesByRegionDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassInventoriesByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassInventoriesByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassInventoriesByRegionFacetResponse parses an HTTP response from a GetV2DensifiedBiomassInventoriesByRegionFacetWithResponse call
func ParseGetV2DensifiedBiomassInventoriesByRegionFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassInventoriesByRegionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassInventoriesByRegionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassInventoriesByRegionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassProductionByRegionResponse parses an HTTP response from a GetV2DensifiedBiomassProductionByRegionWithResponse call
func ParseGetV2DensifiedBiomassProductionByRegionResponse(rsp *http.Response) (*GetV2DensifiedBiomassProductionByRegionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassProductionByRegionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassProductionByRegionDataResponse parses an HTTP response from a GetV2DensifiedBiomassProductionByRegionDataWithResponse call
func ParseGetV2DensifiedBiomassProductionByRegionDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassProductionByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassProductionByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassProductionByRegionDataResponse parses an HTTP response from a PostV2DensifiedBiomassProductionByRegionDataWithResponse call
func ParsePostV2DensifiedBiomassProductionByRegionDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassProductionByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassProductionByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassProductionByRegionFacetResponse parses an HTTP response from a GetV2DensifiedBiomassProductionByRegionFacetWithResponse call
func ParseGetV2DensifiedBiomassProductionByRegionFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassProductionByRegionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassProductionByRegionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassProductionByRegionFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassProductionByRegionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassSalesAndPriceByRegionResponse parses an HTTP response from a GetV2DensifiedBiomassSalesAndPriceByRegionWithResponse call
func ParseGetV2DensifiedBiomassSalesAndPriceByRegionResponse(rsp *http.Response) (*GetV2DensifiedBiomassSalesAndPriceByRegionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassSalesAndPriceByRegionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassSalesAndPriceByRegionDataResponse parses an HTTP response from a GetV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse call
func ParseGetV2DensifiedBiomassSalesAndPriceByRegionDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassSalesAndPriceByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassSalesAndPriceByRegionDataResponse parses an HTTP response from a PostV2DensifiedBiomassSalesAndPriceByRegionDataWithResponse call
func ParsePostV2DensifiedBiomassSalesAndPriceByRegionDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassSalesAndPriceByRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse parses an HTTP response from a GetV2DensifiedBiomassSalesAndPriceByRegionFacetWithResponse call
func ParseGetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassSalesAndPriceByRegionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassSalesAndPriceByRegionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassWoodPelletPlantsResponse parses an HTTP response from a GetV2DensifiedBiomassWoodPelletPlantsWithResponse call
func ParseGetV2DensifiedBiomassWoodPelletPlantsResponse(rsp *http.Response) (*GetV2DensifiedBiomassWoodPelletPlantsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassWoodPelletPlantsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassWoodPelletPlantsDataResponse parses an HTTP response from a GetV2DensifiedBiomassWoodPelletPlantsDataWithResponse call
func ParseGetV2DensifiedBiomassWoodPelletPlantsDataResponse(rsp *http.Response) (*GetV2DensifiedBiomassWoodPelletPlantsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassWoodPelletPlantsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2DensifiedBiomassWoodPelletPlantsDataResponse parses an HTTP response from a PostV2DensifiedBiomassWoodPelletPlantsDataWithResponse call
func ParsePostV2DensifiedBiomassWoodPelletPlantsDataResponse(rsp *http.Response) (*PostV2DensifiedBiomassWoodPelletPlantsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2DensifiedBiomassWoodPelletPlantsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassWoodPelletPlantsFacetResponse parses an HTTP response from a GetV2DensifiedBiomassWoodPelletPlantsFacetWithResponse call
func ParseGetV2DensifiedBiomassWoodPelletPlantsFacetResponse(rsp *http.Response) (*GetV2DensifiedBiomassWoodPelletPlantsFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassWoodPelletPlantsFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse parses an HTTP response from a GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdWithResponse call
func ParseGetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse(rsp *http.Response) (*GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2DensifiedBiomassWoodPelletPlantsFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityResponse parses an HTTP response from a GetV2ElectricityWithResponse call
func ParseGetV2ElectricityResponse(rsp *http.Response) (*GetV2ElectricityResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityElectricPowerOperationalDataResponse parses an HTTP response from a GetV2ElectricityElectricPowerOperationalDataWithResponse call
func ParseGetV2ElectricityElectricPowerOperationalDataResponse(rsp *http.Response) (*GetV2ElectricityElectricPowerOperationalDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityElectricPowerOperationalDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityElectricPowerOperationalDataDataResponse parses an HTTP response from a GetV2ElectricityElectricPowerOperationalDataDataWithResponse call
func ParseGetV2ElectricityElectricPowerOperationalDataDataResponse(rsp *http.Response) (*GetV2ElectricityElectricPowerOperationalDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityElectricPowerOperationalDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityElectricPowerOperationalDataDataResponse parses an HTTP response from a PostV2ElectricityElectricPowerOperationalDataDataWithResponse call
func ParsePostV2ElectricityElectricPowerOperationalDataDataResponse(rsp *http.Response) (*PostV2ElectricityElectricPowerOperationalDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityElectricPowerOperationalDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityElectricPowerOperationalDataFacetResponse parses an HTTP response from a GetV2ElectricityElectricPowerOperationalDataFacetWithResponse call
func ParseGetV2ElectricityElectricPowerOperationalDataFacetResponse(rsp *http.Response) (*GetV2ElectricityElectricPowerOperationalDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityElectricPowerOperationalDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityElectricPowerOperationalDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityElectricPowerOperationalDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityFacilityFuelResponse parses an HTTP response from a GetV2ElectricityFacilityFuelWithResponse call
func ParseGetV2ElectricityFacilityFuelResponse(rsp *http.Response) (*GetV2ElectricityFacilityFuelResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityFacilityFuelResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityFacilityFuelDataResponse parses an HTTP response from a GetV2ElectricityFacilityFuelDataWithResponse call
func ParseGetV2ElectricityFacilityFuelDataResponse(rsp *http.Response) (*GetV2ElectricityFacilityFuelDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityFacilityFuelDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityFacilityFuelDataResponse parses an HTTP response from a PostV2ElectricityFacilityFuelDataWithResponse call
func ParsePostV2ElectricityFacilityFuelDataResponse(rsp *http.Response) (*PostV2ElectricityFacilityFuelDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityFacilityFuelDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityFacilityFuelFacetResponse parses an HTTP response from a GetV2ElectricityFacilityFuelFacetWithResponse call
func ParseGetV2ElectricityFacilityFuelFacetResponse(rsp *http.Response) (*GetV2ElectricityFacilityFuelFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityFacilityFuelFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityFacilityFuelFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityFacilityFuelFacetFacetIdWithResponse call
func ParseGetV2ElectricityFacilityFuelFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityFacilityFuelFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityFacilityFuelFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityOperatingGeneratorCapacityResponse parses an HTTP response from a GetV2ElectricityOperatingGeneratorCapacityWithResponse call
func ParseGetV2ElectricityOperatingGeneratorCapacityResponse(rsp *http.Response) (*GetV2ElectricityOperatingGeneratorCapacityResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityOperatingGeneratorCapacityResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityOperatingGeneratorCapacityDataResponse parses an HTTP response from a GetV2ElectricityOperatingGeneratorCapacityDataWithResponse call
func ParseGetV2ElectricityOperatingGeneratorCapacityDataResponse(rsp *http.Response) (*GetV2ElectricityOperatingGeneratorCapacityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityOperatingGeneratorCapacityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityOperatingGeneratorCapacityDataResponse parses an HTTP response from a PostV2ElectricityOperatingGeneratorCapacityDataWithResponse call
func ParsePostV2ElectricityOperatingGeneratorCapacityDataResponse(rsp *http.Response) (*PostV2ElectricityOperatingGeneratorCapacityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityOperatingGeneratorCapacityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityOperatingGeneratorCapacityFacetResponse parses an HTTP response from a GetV2ElectricityOperatingGeneratorCapacityFacetWithResponse call
func ParseGetV2ElectricityOperatingGeneratorCapacityFacetResponse(rsp *http.Response) (*GetV2ElectricityOperatingGeneratorCapacityFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityOperatingGeneratorCapacityFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdWithResponse call
func ParseGetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityOperatingGeneratorCapacityFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRetailSalesResponse parses an HTTP response from a GetV2ElectricityRetailSalesWithResponse call
func ParseGetV2ElectricityRetailSalesResponse(rsp *http.Response) (*GetV2ElectricityRetailSalesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRetailSalesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRetailSalesDataResponse parses an HTTP response from a GetV2ElectricityRetailSalesDataWithResponse call
func ParseGetV2ElectricityRetailSalesDataResponse(rsp *http.Response) (*GetV2ElectricityRetailSalesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRetailSalesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRetailSalesDataResponse parses an HTTP response from a PostV2ElectricityRetailSalesDataWithResponse call
func ParsePostV2ElectricityRetailSalesDataResponse(rsp *http.Response) (*PostV2ElectricityRetailSalesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRetailSalesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRetailSalesFacetResponse parses an HTTP response from a GetV2ElectricityRetailSalesFacetWithResponse call
func ParseGetV2ElectricityRetailSalesFacetResponse(rsp *http.Response) (*GetV2ElectricityRetailSalesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRetailSalesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRetailSalesFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRetailSalesFacetFacetIdWithResponse call
func ParseGetV2ElectricityRetailSalesFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRetailSalesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRetailSalesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoResponse parses an HTTP response from a GetV2ElectricityRtoWithResponse call
func ParseGetV2ElectricityRtoResponse(rsp *http.Response) (*GetV2ElectricityRtoResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyFuelTypeDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyFuelTypeDataWithResponse call
func ParseGetV2ElectricityRtoDailyFuelTypeDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyFuelTypeDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyFuelTypeDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyFuelTypeDataDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyFuelTypeDataDataWithResponse call
func ParseGetV2ElectricityRtoDailyFuelTypeDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyFuelTypeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyFuelTypeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoDailyFuelTypeDataDataResponse parses an HTTP response from a PostV2ElectricityRtoDailyFuelTypeDataDataWithResponse call
func ParsePostV2ElectricityRtoDailyFuelTypeDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoDailyFuelTypeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoDailyFuelTypeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyFuelTypeDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoDailyFuelTypeDataFacetWithResponse call
func ParseGetV2ElectricityRtoDailyFuelTypeDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyFuelTypeDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyFuelTypeDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyFuelTypeDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyInterchangeDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyInterchangeDataWithResponse call
func ParseGetV2ElectricityRtoDailyInterchangeDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyInterchangeDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyInterchangeDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyInterchangeDataDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyInterchangeDataDataWithResponse call
func ParseGetV2ElectricityRtoDailyInterchangeDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyInterchangeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyInterchangeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoDailyInterchangeDataDataResponse parses an HTTP response from a PostV2ElectricityRtoDailyInterchangeDataDataWithResponse call
func ParsePostV2ElectricityRtoDailyInterchangeDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoDailyInterchangeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoDailyInterchangeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyInterchangeDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoDailyInterchangeDataFacetWithResponse call
func ParseGetV2ElectricityRtoDailyInterchangeDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyInterchangeDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyInterchangeDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyInterchangeDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionDataWithResponse call
func ParseGetV2ElectricityRtoDailyRegionDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionDataDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionDataDataWithResponse call
func ParseGetV2ElectricityRtoDailyRegionDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoDailyRegionDataDataResponse parses an HTTP response from a PostV2ElectricityRtoDailyRegionDataDataWithResponse call
func ParsePostV2ElectricityRtoDailyRegionDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoDailyRegionDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoDailyRegionDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionDataFacetWithResponse call
func ParseGetV2ElectricityRtoDailyRegionDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionSubBaDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionSubBaDataWithResponse call
func ParseGetV2ElectricityRtoDailyRegionSubBaDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionSubBaDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionSubBaDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionSubBaDataDataResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionSubBaDataDataWithResponse call
func ParseGetV2ElectricityRtoDailyRegionSubBaDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionSubBaDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionSubBaDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoDailyRegionSubBaDataDataResponse parses an HTTP response from a PostV2ElectricityRtoDailyRegionSubBaDataDataWithResponse call
func ParsePostV2ElectricityRtoDailyRegionSubBaDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoDailyRegionSubBaDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoDailyRegionSubBaDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionSubBaDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionSubBaDataFacetWithResponse call
func ParseGetV2ElectricityRtoDailyRegionSubBaDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionSubBaDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoDailyRegionSubBaDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoFuelTypeDataResponse parses an HTTP response from a GetV2ElectricityRtoFuelTypeDataWithResponse call
func ParseGetV2ElectricityRtoFuelTypeDataResponse(rsp *http.Response) (*GetV2ElectricityRtoFuelTypeDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoFuelTypeDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoFuelTypeDataDataResponse parses an HTTP response from a GetV2ElectricityRtoFuelTypeDataDataWithResponse call
func ParseGetV2ElectricityRtoFuelTypeDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoFuelTypeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoFuelTypeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoFuelTypeDataDataResponse parses an HTTP response from a PostV2ElectricityRtoFuelTypeDataDataWithResponse call
func ParsePostV2ElectricityRtoFuelTypeDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoFuelTypeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoFuelTypeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoFuelTypeDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoFuelTypeDataFacetWithResponse call
func ParseGetV2ElectricityRtoFuelTypeDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoFuelTypeDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoFuelTypeDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoFuelTypeDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoFuelTypeDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoInterchangeDataResponse parses an HTTP response from a GetV2ElectricityRtoInterchangeDataWithResponse call
func ParseGetV2ElectricityRtoInterchangeDataResponse(rsp *http.Response) (*GetV2ElectricityRtoInterchangeDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoInterchangeDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoInterchangeDataDataResponse parses an HTTP response from a GetV2ElectricityRtoInterchangeDataDataWithResponse call
func ParseGetV2ElectricityRtoInterchangeDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoInterchangeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoInterchangeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoInterchangeDataDataResponse parses an HTTP response from a PostV2ElectricityRtoInterchangeDataDataWithResponse call
func ParsePostV2ElectricityRtoInterchangeDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoInterchangeDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoInterchangeDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoInterchangeDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoInterchangeDataFacetWithResponse call
func ParseGetV2ElectricityRtoInterchangeDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoInterchangeDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoInterchangeDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoInterchangeDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoInterchangeDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoInterchangeDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoInterchangeDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionDataResponse parses an HTTP response from a GetV2ElectricityRtoRegionDataWithResponse call
func ParseGetV2ElectricityRtoRegionDataResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionDataDataResponse parses an HTTP response from a GetV2ElectricityRtoRegionDataDataWithResponse call
func ParseGetV2ElectricityRtoRegionDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoRegionDataDataResponse parses an HTTP response from a PostV2ElectricityRtoRegionDataDataWithResponse call
func ParsePostV2ElectricityRtoRegionDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoRegionDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoRegionDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoRegionDataFacetWithResponse call
func ParseGetV2ElectricityRtoRegionDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoRegionDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoRegionDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionSubBaDataResponse parses an HTTP response from a GetV2ElectricityRtoRegionSubBaDataWithResponse call
func ParseGetV2ElectricityRtoRegionSubBaDataResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionSubBaDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionSubBaDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionSubBaDataDataResponse parses an HTTP response from a GetV2ElectricityRtoRegionSubBaDataDataWithResponse call
func ParseGetV2ElectricityRtoRegionSubBaDataDataResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionSubBaDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionSubBaDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityRtoRegionSubBaDataDataResponse parses an HTTP response from a PostV2ElectricityRtoRegionSubBaDataDataWithResponse call
func ParsePostV2ElectricityRtoRegionSubBaDataDataResponse(rsp *http.Response) (*PostV2ElectricityRtoRegionSubBaDataDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityRtoRegionSubBaDataDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionSubBaDataFacetResponse parses an HTTP response from a GetV2ElectricityRtoRegionSubBaDataFacetWithResponse call
func ParseGetV2ElectricityRtoRegionSubBaDataFacetResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionSubBaDataFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionSubBaDataFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityRtoRegionSubBaDataFacetFacetIdWithResponse call
func ParseGetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityRtoRegionSubBaDataFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricitySepResponse parses an HTTP response from a GetV2ElectricitySepWithResponse call
func ParseGetV2ElectricitySepResponse(rsp *http.Response) (*GetV2ElectricitySepResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricitySepResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesCapabilityResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesCapabilityWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesCapabilityResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesCapabilityResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesCapabilityResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesCapabilityDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesCapabilityDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesCapabilityDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesCapabilityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesCapabilityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesCapabilityDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesCapabilityDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesCapabilityDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesCapabilityDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesCapabilityDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesCapabilityFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesCapabilityFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesCapabilityFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesCapabilityFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesCapabilityFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesEmissionsByStateByFuelDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEmissionsByStateByFuelFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEnergyEfficiencyWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEnergyEfficiencyResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesEnergyEfficiencyDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesEnergyEfficiencyFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesMetersResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesMetersWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesMetersResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesMetersResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesMetersResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesMetersDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesMetersDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesMetersDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesMetersDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesMetersDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesMetersDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesMetersDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesMetersDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesMetersDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesMetersDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesMetersFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesMetersFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesMetersFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesMetersFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesMetersFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesMetersFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesNetMeteringResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesNetMeteringWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesNetMeteringResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesNetMeteringResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesNetMeteringResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesNetMeteringDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesNetMeteringDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesNetMeteringDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesNetMeteringDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesNetMeteringDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesNetMeteringDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesNetMeteringDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesNetMeteringFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesNetMeteringFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesNetMeteringFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSourceDispositionResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSourceDispositionWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSourceDispositionResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSourceDispositionResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSourceDispositionResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSourceDispositionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesSourceDispositionDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesSourceDispositionDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSourceDispositionFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSourceDispositionFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSourceDispositionFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSummaryResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSummaryWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSummaryResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSummaryResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSummaryResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSummaryDataResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSummaryDataWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSummaryDataResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSummaryDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSummaryDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2ElectricityStateElectricityProfilesSummaryDataResponse parses an HTTP response from a PostV2ElectricityStateElectricityProfilesSummaryDataWithResponse call
func ParsePostV2ElectricityStateElectricityProfilesSummaryDataResponse(rsp *http.Response) (*PostV2ElectricityStateElectricityProfilesSummaryDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2ElectricityStateElectricityProfilesSummaryDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSummaryFacetResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSummaryFacetWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSummaryFacetResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSummaryFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSummaryFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse parses an HTTP response from a GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdWithResponse call
func ParseGetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse(rsp *http.Response) (*GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2ElectricityStateElectricityProfilesSummaryFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseEIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse parses an HTTP response from a EIAAPIControllersDatasetAeoIeoIeoControllerIeoWithResponse call
func ParseEIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse(rsp *http.Response) (*EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &EIAAPIControllersDatasetAeoIeoIeoControllerIeoResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseEIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse parses an HTTP response from a EIAAPIControllersDatasetAeoIeoIeoControllerConstructWithResponse call
func ParseEIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse(rsp *http.Response) (*EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &EIAAPIControllersDatasetAeoIeoIeoControllerConstructResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseEIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse parses an HTTP response from a EIAAPIControllersDatasetAeoIeoIeoControllerGetDataWithResponse call
func ParseEIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse(rsp *http.Response) (*EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &EIAAPIControllersDatasetAeoIeoIeoControllerGetDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseEIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse parses an HTTP response from a EIAAPIControllersDatasetAeoIeoIeoControllerPostDataWithResponse call
func ParseEIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse(rsp *http.Response) (*EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &EIAAPIControllersDatasetAeoIeoIeoControllerPostDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse parses an HTTP response from a EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetWithResponse call
func ParseEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse(rsp *http.Response) (*EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse parses an HTTP response from a EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdWithResponse call
func ParseEIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse(rsp *http.Response) (*EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &EIAAPIControllersDatasetAeoIeoIeoControllerRouteFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2InternationalResponse parses an HTTP response from a GetV2InternationalWithResponse call
func ParseGetV2InternationalResponse(rsp *http.Response) (*GetV2InternationalResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2InternationalResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2InternationalDataResponse parses an HTTP response from a GetV2InternationalDataWithResponse call
func ParseGetV2InternationalDataResponse(rsp *http.Response) (*GetV2InternationalDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2InternationalDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2InternationalDataResponse parses an HTTP response from a PostV2InternationalDataWithResponse call
func ParsePostV2InternationalDataResponse(rsp *http.Response) (*PostV2InternationalDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2InternationalDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2InternationalFacetResponse parses an HTTP response from a GetV2InternationalFacetWithResponse call
func ParseGetV2InternationalFacetResponse(rsp *http.Response) (*GetV2InternationalFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2InternationalFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2InternationalFacetFacetIdResponse parses an HTTP response from a GetV2InternationalFacetFacetIdWithResponse call
func ParseGetV2InternationalFacetFacetIdResponse(rsp *http.Response) (*GetV2InternationalFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2InternationalFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NaturalGasResponse parses an HTTP response from a GetV2NaturalGasWithResponse call
func ParseGetV2NaturalGasResponse(rsp *http.Response) (*GetV2NaturalGasResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NaturalGasResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NaturalGasRoute1Response parses an HTTP response from a GetV2NaturalGasRoute1WithResponse call
func ParseGetV2NaturalGasRoute1Response(rsp *http.Response) (*GetV2NaturalGasRoute1Response, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NaturalGasRoute1Response{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NaturalGasRoute1Route2Response parses an HTTP response from a GetV2NaturalGasRoute1Route2WithResponse call
func ParseGetV2NaturalGasRoute1Route2Response(rsp *http.Response) (*GetV2NaturalGasRoute1Route2Response, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NaturalGasRoute1Route2Response{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NaturalGasRoute1Route2DataResponse parses an HTTP response from a GetV2NaturalGasRoute1Route2DataWithResponse call
func ParseGetV2NaturalGasRoute1Route2DataResponse(rsp *http.Response) (*GetV2NaturalGasRoute1Route2DataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NaturalGasRoute1Route2DataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2NaturalGasRoute1Route2DataResponse parses an HTTP response from a PostV2NaturalGasRoute1Route2DataWithResponse call
func ParsePostV2NaturalGasRoute1Route2DataResponse(rsp *http.Response) (*PostV2NaturalGasRoute1Route2DataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2NaturalGasRoute1Route2DataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NaturalGasRoute1Route2FacetResponse parses an HTTP response from a GetV2NaturalGasRoute1Route2FacetWithResponse call
func ParseGetV2NaturalGasRoute1Route2FacetResponse(rsp *http.Response) (*GetV2NaturalGasRoute1Route2FacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NaturalGasRoute1Route2FacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NaturalGasRoute1Route2FacetFacetIdResponse parses an HTTP response from a GetV2NaturalGasRoute1Route2FacetFacetIdWithResponse call
func ParseGetV2NaturalGasRoute1Route2FacetFacetIdResponse(rsp *http.Response) (*GetV2NaturalGasRoute1Route2FacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NaturalGasRoute1Route2FacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesResponse parses an HTTP response from a GetV2NuclearOutagesWithResponse call
func ParseGetV2NuclearOutagesResponse(rsp *http.Response) (*GetV2NuclearOutagesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest RouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesFacilityNuclearOutagesResponse parses an HTTP response from a GetV2NuclearOutagesFacilityNuclearOutagesWithResponse call
func ParseGetV2NuclearOutagesFacilityNuclearOutagesResponse(rsp *http.Response) (*GetV2NuclearOutagesFacilityNuclearOutagesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesFacilityNuclearOutagesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesFacilityNuclearOutagesDataResponse parses an HTTP response from a GetV2NuclearOutagesFacilityNuclearOutagesDataWithResponse call
func ParseGetV2NuclearOutagesFacilityNuclearOutagesDataResponse(rsp *http.Response) (*GetV2NuclearOutagesFacilityNuclearOutagesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesFacilityNuclearOutagesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2NuclearOutagesFacilityNuclearOutagesDataResponse parses an HTTP response from a PostV2NuclearOutagesFacilityNuclearOutagesDataWithResponse call
func ParsePostV2NuclearOutagesFacilityNuclearOutagesDataResponse(rsp *http.Response) (*PostV2NuclearOutagesFacilityNuclearOutagesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2NuclearOutagesFacilityNuclearOutagesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesFacilityNuclearOutagesFacetResponse parses an HTTP response from a GetV2NuclearOutagesFacilityNuclearOutagesFacetWithResponse call
func ParseGetV2NuclearOutagesFacilityNuclearOutagesFacetResponse(rsp *http.Response) (*GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesFacilityNuclearOutagesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse parses an HTTP response from a GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdWithResponse call
func ParseGetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse(rsp *http.Response) (*GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesFacilityNuclearOutagesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesGeneratorNuclearOutagesResponse parses an HTTP response from a GetV2NuclearOutagesGeneratorNuclearOutagesWithResponse call
func ParseGetV2NuclearOutagesGeneratorNuclearOutagesResponse(rsp *http.Response) (*GetV2NuclearOutagesGeneratorNuclearOutagesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesGeneratorNuclearOutagesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesGeneratorNuclearOutagesDataResponse parses an HTTP response from a GetV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse call
func ParseGetV2NuclearOutagesGeneratorNuclearOutagesDataResponse(rsp *http.Response) (*GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesGeneratorNuclearOutagesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2NuclearOutagesGeneratorNuclearOutagesDataResponse parses an HTTP response from a PostV2NuclearOutagesGeneratorNuclearOutagesDataWithResponse call
func ParsePostV2NuclearOutagesGeneratorNuclearOutagesDataResponse(rsp *http.Response) (*PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2NuclearOutagesGeneratorNuclearOutagesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse parses an HTTP response from a GetV2NuclearOutagesGeneratorNuclearOutagesFacetWithResponse call
func ParseGetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse(rsp *http.Response) (*GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesGeneratorNuclearOutagesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse parses an HTTP response from a GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdWithResponse call
func ParseGetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse(rsp *http.Response) (*GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesGeneratorNuclearOutagesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesUsNuclearOutagesResponse parses an HTTP response from a GetV2NuclearOutagesUsNuclearOutagesWithResponse call
func ParseGetV2NuclearOutagesUsNuclearOutagesResponse(rsp *http.Response) (*GetV2NuclearOutagesUsNuclearOutagesResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesUsNuclearOutagesResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesUsNuclearOutagesDataResponse parses an HTTP response from a GetV2NuclearOutagesUsNuclearOutagesDataWithResponse call
func ParseGetV2NuclearOutagesUsNuclearOutagesDataResponse(rsp *http.Response) (*GetV2NuclearOutagesUsNuclearOutagesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesUsNuclearOutagesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2NuclearOutagesUsNuclearOutagesDataResponse parses an HTTP response from a PostV2NuclearOutagesUsNuclearOutagesDataWithResponse call
func ParsePostV2NuclearOutagesUsNuclearOutagesDataResponse(rsp *http.Response) (*PostV2NuclearOutagesUsNuclearOutagesDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2NuclearOutagesUsNuclearOutagesDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesUsNuclearOutagesFacetResponse parses an HTTP response from a GetV2NuclearOutagesUsNuclearOutagesFacetWithResponse call
func ParseGetV2NuclearOutagesUsNuclearOutagesFacetResponse(rsp *http.Response) (*GetV2NuclearOutagesUsNuclearOutagesFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesUsNuclearOutagesFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse parses an HTTP response from a GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdWithResponse call
func ParseGetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse(rsp *http.Response) (*GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2NuclearOutagesUsNuclearOutagesFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SedsResponse parses an HTTP response from a GetV2SedsWithResponse call
func ParseGetV2SedsResponse(rsp *http.Response) (*GetV2SedsResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SedsResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SedsDataResponse parses an HTTP response from a GetV2SedsDataWithResponse call
func ParseGetV2SedsDataResponse(rsp *http.Response) (*GetV2SedsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SedsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2SedsDataResponse parses an HTTP response from a PostV2SedsDataWithResponse call
func ParsePostV2SedsDataResponse(rsp *http.Response) (*PostV2SedsDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2SedsDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SedsFacetResponse parses an HTTP response from a GetV2SedsFacetWithResponse call
func ParseGetV2SedsFacetResponse(rsp *http.Response) (*GetV2SedsFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SedsFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SedsFacetFacetIdResponse parses an HTTP response from a GetV2SedsFacetFacetIdWithResponse call
func ParseGetV2SedsFacetFacetIdResponse(rsp *http.Response) (*GetV2SedsFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SedsFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SteoResponse parses an HTTP response from a GetV2SteoWithResponse call
func ParseGetV2SteoResponse(rsp *http.Response) (*GetV2SteoResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SteoResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SteoDataResponse parses an HTTP response from a GetV2SteoDataWithResponse call
func ParseGetV2SteoDataResponse(rsp *http.Response) (*GetV2SteoDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SteoDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2SteoDataResponse parses an HTTP response from a PostV2SteoDataWithResponse call
func ParsePostV2SteoDataResponse(rsp *http.Response) (*PostV2SteoDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2SteoDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SteoFacetResponse parses an HTTP response from a GetV2SteoFacetWithResponse call
func ParseGetV2SteoFacetResponse(rsp *http.Response) (*GetV2SteoFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SteoFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2SteoFacetFacetIdResponse parses an HTTP response from a GetV2SteoFacetFacetIdWithResponse call
func ParseGetV2SteoFacetFacetIdResponse(rsp *http.Response) (*GetV2SteoFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2SteoFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2TotalEnergyResponse parses an HTTP response from a GetV2TotalEnergyWithResponse call
func ParseGetV2TotalEnergyResponse(rsp *http.Response) (*GetV2TotalEnergyResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2TotalEnergyResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FinalRouteResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2TotalEnergyDataResponse parses an HTTP response from a GetV2TotalEnergyDataWithResponse call
func ParseGetV2TotalEnergyDataResponse(rsp *http.Response) (*GetV2TotalEnergyDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2TotalEnergyDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParsePostV2TotalEnergyDataResponse parses an HTTP response from a PostV2TotalEnergyDataWithResponse call
func ParsePostV2TotalEnergyDataResponse(rsp *http.Response) (*PostV2TotalEnergyDataResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &PostV2TotalEnergyDataResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest DataResponseContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2TotalEnergyFacetResponse parses an HTTP response from a GetV2TotalEnergyFacetWithResponse call
func ParseGetV2TotalEnergyFacetResponse(rsp *http.Response) (*GetV2TotalEnergyFacetResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2TotalEnergyFacetResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetOptionListContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}

// ParseGetV2TotalEnergyFacetFacetIdResponse parses an HTTP response from a GetV2TotalEnergyFacetFacetIdWithResponse call
func ParseGetV2TotalEnergyFacetFacetIdResponse(rsp *http.Response) (*GetV2TotalEnergyFacetFacetIdResponse, error) {
	bodyBytes, err := io.ReadAll(rsp.Body)
	defer func() { _ = rsp.Body.Close() }()
	if err != nil {
		return nil, err
	}

	response := &GetV2TotalEnergyFacetFacetIdResponse{
		Body:         bodyBytes,
		HTTPResponse: rsp,
	}

	switch {
	case strings.Contains(rsp.Header.Get("Content-Type"), "json") && rsp.StatusCode == 200:
		var dest FacetDetailsContainer
		if err := json.Unmarshal(bodyBytes, &dest); err != nil {
			return nil, err
		}
		response.JSON200 = &dest
	}

	return response, nil
}
